package d2records

import (
	"github.com/OpenDiablo2/OpenDiablo2/d2common/d2enum"
)

// https://docs.google.com/spreadsheets/d/13Wo58CNxDQlQiZm066dAWVVU4kmgKayn0zdyvmU18AM/edit#gid=330752700

//nolint // This is a data dump file.
var objectLookups = []ObjectLookupRecord{
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 0, Description: "gheed-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 1, Description: "cain1-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 2, Description: "akara-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 3, Description: "chicken-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 4, Description: "rogue1-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 5, Description: "kashya-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 6, Description: "cow-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 7, Description: "warriv1-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 8, Description: "charsi-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 9, Description: "andariel-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 10, Description: "place_fallen-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 11, Description: "place_fallenshaman-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 12, Description: "place_bloodraven-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 13, Description: "cow-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 14, Description: "camel-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 15, Description: "place_unique_pack-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 16, Description: "place_npc_pack-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 17, Description: "place_nothing-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 18, Description: "place_nothing-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 19, Description: "place_champion-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 20, Description: "navi-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 21, Description: "rogue1-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 22, Description: "rogue3-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 23, Description: "gargoyletrap-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 24, Description: "place_fallennest-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 25, Description: "place_talkingrogue-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 26, Description: "place_fallen-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "BUC", S1: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 27, Description: "place_fallenshaman-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 28, Description: "trap-horzmissile-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 29, Description: "trap-vertmissile-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 30, Description: "place_group25-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 31, Description: "place_group50-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 32, Description: "place_group75-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 33, Description: "place_group100-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 34, Description: "Bishibosh-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 35, Description: "Bonebreak-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "SCM", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 36, Description: "Coldcrow-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "LIT", LH: "LBB", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 37, Description: "Rakanishu-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 38, Description: "Treehead WoodFist-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 39, Description: "Griswold-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 40, Description: "The Countess-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 41, Description: "Pitspawn Fouldog-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 42, Description: "Flamespike the Crawler-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 43, Description: "Boneash-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "DES", RA: "LIT", LA: "LIT", S1: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 44, Description: "The Smith-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 45, Description: "The Cow King-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 46, Description: "Corpsefire-ACT 1 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 47, Description: "skeleton1-Skeleton-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 48, Description: "skeleton2-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 49, Description: "skeleton3-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 50, Description: "skeleton4-BurningDead-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 51, Description: "skeleton5-Horror-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 52, Description: "zombie1-Zombie-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 53, Description: "zombie2-HungryDead-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 54, Description: "zombie3-Ghoul-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 55, Description: "zombie4-DrownedCarcass-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 56, Description: "zombie5-PlagueBearer-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 57, Description: "bighead1-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 58, Description: "bighead2-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 59, Description: "bighead3-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 60, Description: "bighead4-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 61, Description: "bighead5-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 62, Description: "foulcrow1-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 63, Description: "foulcrow2-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 64, Description: "foulcrow3-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 65, Description: "foulcrow4-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 66, Description: "fallen1-Fallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 67, Description: "fallen2-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 68, Description: "fallen3-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 69, Description: "fallen4-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 70, Description: "fallen5-WarpedFallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 71, Description: "brute2-Brute-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 72, Description: "brute3-Yeti-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 73, Description: "brute4-Crusher-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 74, Description: "brute5-WailingBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 75, Description: "brute1-GargantuanBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 76, Description: "sandraider1-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 77, Description: "sandraider2-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 78, Description: "sandraider3-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 79, Description: "sandraider4-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 80, Description: "sandraider5-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 81, Description: "gorgon1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 82, Description: "gorgon2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 83, Description: "gorgon3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 84, Description: "gorgon4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 85, Description: "wraith1-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 86, Description: "wraith2-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 87, Description: "wraith3-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 88, Description: "wraith4-Apparition-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 89, Description: "wraith5-DarkShape-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 90, Description: "corruptrogue1-DarkHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 91, Description: "corruptrogue2-VileHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 92, Description: "corruptrogue3-DarkStalker-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 93, Description: "corruptrogue4-BlackRogue-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 94, Description: "corruptrogue5-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 95, Description: "baboon1-DuneBeast-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 96, Description: "baboon2-RockDweller-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 97, Description: "baboon3-JungleHunter-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 98, Description: "baboon4-DoomApe-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 99, Description: "baboon5-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 100, Description: "goatman1-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 101, Description: "goatman2-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 102, Description: "goatman3-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 103, Description: "goatman4-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 104, Description: "goatman5-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 105, Description: "fallenshaman1-FallenShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 106, Description: "fallenshaman2-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 107, Description: "fallenshaman3-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 108, Description: "fallenshaman4-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 109, Description: "fallenshaman5-WarpedShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 110, Description: "quillrat1-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 111, Description: "quillrat2-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 112, Description: "quillrat3-ThornBeast-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 113, Description: "quillrat4-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 114, Description: "quillrat5-JungleUrchin-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 115, Description: "sandmaggot1-SandMaggot-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 116, Description: "sandmaggot2-RockWorm-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 117, Description: "sandmaggot3-Devourer-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 118, Description: "sandmaggot4-GiantLamprey-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 119, Description: "sandmaggot5-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 120, Description: "clawviper1-TombViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 121, Description: "clawviper2-ClawViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 122, Description: "clawviper3-Salamander-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 123, Description: "clawviper4-PitViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 124, Description: "clawviper5-SerpentMagus-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 125, Description: "sandleaper1-SandLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 126, Description: "sandleaper2-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 127, Description: "sandleaper3-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 128, Description: "sandleaper4-TreeLurker-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 129, Description: "sandleaper5-RazorPitDemon-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 130, Description: "pantherwoman1-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 131, Description: "pantherwoman2-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 132, Description: "pantherwoman3-NightTiger-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 133, Description: "pantherwoman4-HellCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 134, Description: "swarm1-Itchies-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 135, Description: "swarm2-BlackLocusts-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 136, Description: "swarm3-PlagueBugs-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 137, Description: "swarm4-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 138, Description: "scarab1-DungSoldier-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 139, Description: "scarab2-SandWarrior-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 140, Description: "scarab3-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 141, Description: "scarab4-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 142, Description: "scarab5-AlbinoRoach-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 143, Description: "mummy1-DriedCorpse-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 144, Description: "mummy2-Decayed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 145, Description: "mummy3-Embalmed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 146, Description: "mummy4-PreservedDead-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 147, Description: "mummy5-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 148, Description: "unraveler1-HollowOne-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 149, Description: "unraveler2-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 150, Description: "unraveler3-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 151, Description: "unraveler4-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 152, Description: "unraveler5-Baal Subject Mummy-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 153, Description: "chaoshorde1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 154, Description: "chaoshorde2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 155, Description: "chaoshorde3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 156, Description: "chaoshorde4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 157, Description: "vulture1-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 158, Description: "vulture2-UndeadScavenger-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 159, Description: "vulture3-HellBuzzard-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 160, Description: "vulture4-WingedNightmare-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 161, Description: "mosquito1-Sucker-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 162, Description: "mosquito2-Feeder-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 163, Description: "mosquito3-BloodHook-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 164, Description: "mosquito4-BloodWing-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 165, Description: "willowisp1-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 166, Description: "willowisp2-SwampGhost-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 167, Description: "willowisp3-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 168, Description: "willowisp4-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 169, Description: "arach1-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 170, Description: "arach2-SandFisher-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 171, Description: "arach3-PoisonSpinner-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 172, Description: "arach4-FlameSpider-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 173, Description: "arach5-SpiderMagus-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 174, Description: "thornhulk1-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 175, Description: "thornhulk2-BrambleHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 176, Description: "thornhulk3-Thrasher-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 177, Description: "thornhulk4-Spikefist-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 178, Description: "vampire1-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 179, Description: "vampire2-NightLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 180, Description: "vampire3-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 181, Description: "vampire4-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 182, Description: "vampire5-Banished-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 183, Description: "batdemon1-DesertWing-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 184, Description: "batdemon2-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 185, Description: "batdemon3-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 186, Description: "batdemon4-BloodDiver-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 187, Description: "batdemon5-DarkFamiliar-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 188, Description: "fetish1-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 189, Description: "fetish2-Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 190, Description: "fetish3-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 191, Description: "fetish4-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 192, Description: "fetish5-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 193, Description: "cain1-DeckardCain-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 194, Description: "gheed-Gheed-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 195, Description: "akara-Akara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 196, Description: "chicken-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 197, Description: "kashya-Kashya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 198, Description: "rat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 199, Description: "rogue1-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 200, Description: "hellmeteor-Dummy-HellMeteor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 201, Description: "charsi-Charsi-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 202, Description: "warriv1-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 203, Description: "andariel-Andariel-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 204, Description: "bird1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BS", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 205, Description: "bird2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 206, Description: "bat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "B9", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 207, Description: "cr_archer1-DarkRanger-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 208, Description: "cr_archer2-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 209, Description: "cr_archer3-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 210, Description: "cr_archer4-BlackArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 211, Description: "cr_archer5-FleshArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 212, Description: "cr_lancer1-DarkSpearwoman-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 213, Description: "cr_lancer2-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 214, Description: "cr_lancer3-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 215, Description: "cr_lancer4-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 216, Description: "cr_lancer5-FleshLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 217, Description: "sk_archer1-SkeletonArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 218, Description: "sk_archer2-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 219, Description: "sk_archer3-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 220, Description: "sk_archer4-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 221, Description: "sk_archer5-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 222, Description: "warriv2-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 223, Description: "atma-Atma-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 224, Description: "drognan-Drognan-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 225, Description: "fara-Fara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 226, Description: "cow-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 227, Description: "maggotbaby1-SandMaggotYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 228, Description: "maggotbaby2-RockWormYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 229, Description: "maggotbaby3-DevourerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 230, Description: "maggotbaby4-GiantLampreyYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 231, Description: "maggotbaby5-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 232, Description: "camel-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 233, Description: "blunderbore1-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 234, Description: "blunderbore2-Gorbelly-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 235, Description: "blunderbore3-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 236, Description: "blunderbore4-Urdar-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 237, Description: "maggotegg1-SandMaggotEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 238, Description: "maggotegg2-RockWormEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 239, Description: "maggotegg3-DevourerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 240, Description: "maggotegg4-GiantLampreyEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 241, Description: "maggotegg5-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 242, Description: "act2male-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "OLD", TR: "MED", LG: "MED", S1: "TUR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 243, Description: "act2female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 244, Description: "act2child-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2C", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 245, Description: "greiz-Greiz-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 246, Description: "elzix-Elzix-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 247, Description: "geglash-Geglash-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 248, Description: "jerhyn-Jerhyn-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 249, Description: "lysander-Lysander-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 250, Description: "act2guard1-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 251, Description: "act2vendor1-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 252, Description: "act2vendor2-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 253, Description: "crownest1-FoulCrowNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 254, Description: "crownest2-BloodHawkNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 255, Description: "crownest3-BlackVultureNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 256, Description: "crownest4-CloudStalkerNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 257, Description: "meshif1-Meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 258, Description: "duriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 259, Description: "bonefetish1-Undead RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 260, Description: "bonefetish2-Undead Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 261, Description: "bonefetish3-Undead Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 262, Description: "bonefetish4-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 263, Description: "bonefetish5-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 264, Description: "darkguard1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 265, Description: "darkguard2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 266, Description: "darkguard3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 267, Description: "darkguard4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 268, Description: "darkguard5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 269, Description: "bloodmage1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 270, Description: "bloodmage2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 271, Description: "bloodmage3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 272, Description: "bloodmage4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 273, Description: "bloodmage5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 274, Description: "maggot-Maggot-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 275, Description: "sarcophagus-MummyGenerator-Sarcophagus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 276, Description: "radament-Radament-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 277, Description: "firebeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 278, Description: "iceglobe-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 279, Description: "lightningbeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 280, Description: "poisonorb-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 281, Description: "flyingscimitar-FlyingScimitar-FlyingScimitar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ST", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 282, Description: "zealot1-Zakarumite-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 283, Description: "zealot2-Faithful-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 284, Description: "zealot3-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 285, Description: "cantor1-Sexton-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 286, Description: "cantor2-Cantor-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 287, Description: "cantor3-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 288, Description: "cantor4-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 289, Description: "mephisto-Mephisto-Mephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 290, Description: "diablo-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 291, Description: "cain2-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 292, Description: "cain3-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 293, Description: "cain4-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 294, Description: "frogdemon1-Swamp Dweller-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 295, Description: "frogdemon2-Bog Creature-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 296, Description: "frogdemon3-Slime Prince-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 297, Description: "summoner-Summoner-Summoner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 298, Description: "tyrael1-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 299, Description: "asheara-asheara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 300, Description: "hratli-hratli-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 301, Description: "alkor-alkor-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 302, Description: "ormus-ormus-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 303, Description: "izual-izual-Izual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 304, Description: "halbu-halbu-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 305, Description: "tentacle1-WaterWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 306, Description: "tentacle2-RiverStalkerLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 307, Description: "tentacle3-StygianWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 308, Description: "tentaclehead1-WaterWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 309, Description: "tentaclehead2-RiverStalkerHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 310, Description: "tentaclehead3-StygianWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 311, Description: "meshif2-meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 312, Description: "cain5-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 313, Description: "navi-navi-Navi", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 314, Description: "bloodraven-Bloodraven-BloodRaven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 315, Description: "bug-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 316, Description: "scorpion-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 317, Description: "rogue2-RogueScout-GoodNpcRanged", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 318, Description: "roguehire-Dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 319, Description: "rogue3-Dummy-TownRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 320, Description: "gargoyletrap-GargoyleTrap-GargoyleTrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 321, Description: "skmage_pois1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 322, Description: "skmage_pois2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 323, Description: "skmage_pois3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 324, Description: "skmage_pois4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 325, Description: "fetishshaman1-RatManShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 326, Description: "fetishshaman2-FetishShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 327, Description: "fetishshaman3-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 328, Description: "fetishshaman4-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 329, Description: "fetishshaman5-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 330, Description: "larva-larva-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 331, Description: "maggotqueen1-SandMaggotQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 332, Description: "maggotqueen2-RockWormQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 333, Description: "maggotqueen3-DevourerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 334, Description: "maggotqueen4-GiantLampreyQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 335, Description: "maggotqueen5-WorldKillerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 336, Description: "claygolem-ClayGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 337, Description: "bloodgolem-BloodGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 338, Description: "irongolem-IronGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 339, Description: "firegolem-FireGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 340, Description: "familiar-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 341, Description: "act3male-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "HVY", RA: "HEV", LA: "HEV", RH: "FSH", LH: "SAK", S1: "TKT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 342, Description: "baboon6-NightMarauder-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 343, Description: "act3female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MTP", LG: "SRT", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 344, Description: "natalya-Natalya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 345, Description: "vilemother1-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 346, Description: "vilemother2-StygianHag-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 347, Description: "vilemother3-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 348, Description: "vilechild1-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 349, Description: "vilechild2-StygianDog-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 350, Description: "vilechild3-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 351, Description: "fingermage1-Groper-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 352, Description: "fingermage2-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 353, Description: "fingermage3-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 354, Description: "regurgitator1-Corpulent-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 355, Description: "regurgitator2-CorpseSpitter-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 356, Description: "regurgitator3-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 357, Description: "doomknight1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 358, Description: "doomknight2-AbyssKnight-AbyssKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 359, Description: "doomknight3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 360, Description: "quillbear1-QuillBear-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 361, Description: "quillbear2-SpikeGiant-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 362, Description: "quillbear3-ThornBrute-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 363, Description: "quillbear4-RazorBeast-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 364, Description: "quillbear5-GiantUrchin-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 365, Description: "snake-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 366, Description: "parrot-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PR", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 367, Description: "fish-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FJ", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 368, Description: "evilhole1-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 369, Description: "evilhole2-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 370, Description: "evilhole3-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 371, Description: "evilhole4-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 372, Description: "evilhole5-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 373, Description: "trap-firebolt-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 374, Description: "trap-horzmissile-a trap-Trap-RightArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 375, Description: "trap-vertmissile-a trap-Trap-LeftArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 376, Description: "trap-poisoncloud-a trap-Trap-Poison", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 377, Description: "trap-lightning-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 378, Description: "act2guard2-Kaelan-JarJar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 379, Description: "invisospawner-Dummy-InvisoSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 380, Description: "diabloclone-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 381, Description: "suckernest1-SuckerNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 382, Description: "suckernest2-FeederNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 383, Description: "suckernest3-BloodHookNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 384, Description: "suckernest4-BloodWingNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 385, Description: "act2hire-Guard-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 386, Description: "minispider-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 387, Description: "boneprison1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "67", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 388, Description: "boneprison2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "66", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 389, Description: "boneprison3--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "69", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 390, Description: "boneprison4--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "68", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 391, Description: "bonewall-Dummy-BoneWall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 392, Description: "councilmember1-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 393, Description: "councilmember2-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 394, Description: "councilmember3-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 395, Description: "turret1-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 396, Description: "turret2-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 397, Description: "turret3-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 398, Description: "hydra1-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 399, Description: "hydra2-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "21", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 400, Description: "hydra3-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 401, Description: "trap-melee-a trap-Trap-Melee", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 402, Description: "seventombs-Dummy-7TIllusion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 403, Description: "dopplezon-Dopplezon-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 404, Description: "valkyrie-Valkyrie-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 405, Description: "act2guard3-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 406, Description: "act3hire-Iron Wolf-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "WND", SH: "KIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 407, Description: "megademon1-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 408, Description: "megademon2-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 409, Description: "megademon3-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 410, Description: "necroskeleton-NecroSkeleton-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "SCM", SH: "KIT", S1: "DES", S2: "DES", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 411, Description: "necromage-NecroMage-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 412, Description: "griswold-Griswold-Griswold", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 413, Description: "compellingorb-compellingorb-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9a", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 414, Description: "tyrael2-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 415, Description: "darkwanderer-youngdiablo-DarkWanderer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 416, Description: "trap-nova-a trap-Trap-Nova", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 417, Description: "spiritmummy-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 418, Description: "lightningspire-LightningSpire-ArcaneTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 419, Description: "firetower-FireTower-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 420, Description: "slinger1-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 421, Description: "slinger2-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 422, Description: "slinger3-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 423, Description: "slinger4-HellSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 424, Description: "act2guard4-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 425, Description: "act2guard5-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 426, Description: "skmage_cold1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 427, Description: "skmage_cold2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 428, Description: "skmage_cold3-BaalColdMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 429, Description: "skmage_cold4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 430, Description: "skmage_fire1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 431, Description: "skmage_fire2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 432, Description: "skmage_fire3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 433, Description: "skmage_fire4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 434, Description: "skmage_ltng1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 435, Description: "skmage_ltng2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 436, Description: "skmage_ltng3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 437, Description: "skmage_ltng4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 438, Description: "hellbovine-Hell Bovine-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 439, Description: "window1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 440, Description: "window2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 441, Description: "slinger5-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 442, Description: "slinger6-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 443, Description: "fetishblow1-RatMan-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 444, Description: "fetishblow2-Fetish-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 445, Description: "fetishblow3-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 446, Description: "fetishblow4-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 447, Description: "fetishblow5-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 448, Description: "mephistospirit-Dummy-Spirit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 449, Description: "smith-The Smith-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 450, Description: "trappedsoul1-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 451, Description: "trappedsoul2-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 452, Description: "jamella-Jamella-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ja", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 453, Description: "izualghost-Izual-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "17", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 454, Description: "fetish11-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 455, Description: "malachai-Malachai-Buffy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 456, Description: "hephasto-The Feature Creep-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 457, Description: "wakeofdestruction-Wake of Destruction-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 458, Description: "chargeboltsentry-Charged Bolt Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 459, Description: "lightningsentry-Lightning Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 460, Description: "bladecreeper-Blade Creeper-BladeCreeper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b8", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 461, Description: "invisopet-Invis Pet-InvisoPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 462, Description: "infernosentry-Inferno Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 463, Description: "deathsentry-Death Sentry-DeathSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 464, Description: "shadowwarrior-Shadow Warrior-ShadowWarrior", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 465, Description: "shadowmaster-Shadow Master-ShadowMaster", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 466, Description: "druidhawk-Druid Hawk-Raven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "hk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 467, Description: "spiritwolf-Druid Spirit Wolf-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 468, Description: "fenris-Druid Fenris-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 469, Description: "spiritofbarbs-Spirit of Barbs-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 470, Description: "heartofwolverine-Heart of Wolverine-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 471, Description: "oaksage-Oak Sage-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 472, Description: "plaguepoppy-Druid Plague Poppy-Vines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 473, Description: "cycleoflife-Druid Cycle of Life-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 474, Description: "vinecreature-Vine Creature-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 475, Description: "druidbear-Druid Bear-DruidBear", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 476, Description: "eagle-Eagle-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "eg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 477, Description: "wolf-Wolf-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "40", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 478, Description: "bear-Bear-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 479, Description: "barricadedoor1-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 480, Description: "barricadedoor2-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 481, Description: "prisondoor-Prison Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 482, Description: "barricadetower-Barricade Tower-SiegeTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ac", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 483, Description: "reanimatedhorde1-RotWalker-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 484, Description: "reanimatedhorde2-ReanimatedHorde-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 485, Description: "reanimatedhorde3-ProwlingDead-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 486, Description: "reanimatedhorde4-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 487, Description: "reanimatedhorde5-DefiledWarrior-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 488, Description: "siegebeast1-Siege Beast-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 489, Description: "siegebeast2-CrushBiest-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 490, Description: "siegebeast3-BloodBringer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 491, Description: "siegebeast4-GoreBearer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 492, Description: "siegebeast5-DeamonSteed-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 493, Description: "snowyeti1-SnowYeti1-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 494, Description: "snowyeti2-SnowYeti2-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 495, Description: "snowyeti3-SnowYeti3-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 496, Description: "snowyeti4-SnowYeti4-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 497, Description: "wolfrider1-WolfRider1-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 498, Description: "wolfrider2-WolfRider2-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 499, Description: "wolfrider3-WolfRider3-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 500, Description: "minion1-Minionexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 501, Description: "minion2-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 502, Description: "minion3-IceBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 503, Description: "minion4-FireBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 504, Description: "minion5-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 505, Description: "minion6-IceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 506, Description: "minion7-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 507, Description: "minion8-GreaterIceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 508, Description: "suicideminion1-FanaticMinion-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 509, Description: "suicideminion2-BerserkSlayer-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 510, Description: "suicideminion3-ConsumedIceBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 511, Description: "suicideminion4-ConsumedFireBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 512, Description: "suicideminion5-FrenziedHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 513, Description: "suicideminion6-FrenziedIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 514, Description: "suicideminion7-InsaneHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 515, Description: "suicideminion8-InsaneIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 516, Description: "succubus1-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 517, Description: "succubus2-VileTemptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 518, Description: "succubus3-StygianHarlot-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 519, Description: "succubus4-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 520, Description: "succubus5-Blood Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 521, Description: "succubuswitch1-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 522, Description: "succubuswitch2-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 523, Description: "succubuswitch3-StygianFury-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 524, Description: "succubuswitch4-Blood Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 525, Description: "succubuswitch5-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 526, Description: "overseer1-OverSeer-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 527, Description: "overseer2-Lasher-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 528, Description: "overseer3-OverLord-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 529, Description: "overseer4-BloodBoss-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 530, Description: "overseer5-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 531, Description: "minionspawner1-MinionSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 532, Description: "minionspawner2-MinionSlayerSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 533, Description: "minionspawner3-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 534, Description: "minionspawner4-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 535, Description: "minionspawner5-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 536, Description: "minionspawner6-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 537, Description: "minionspawner7-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 538, Description: "minionspawner8-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 539, Description: "imp1-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 540, Description: "imp2-Imp2-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 541, Description: "imp3-Imp3-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 542, Description: "imp4-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 543, Description: "imp5-Imp5-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 544, Description: "catapult1-CatapultS-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 545, Description: "catapult2-CatapultE-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 546, Description: "catapult3-CatapultSiege-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 547, Description: "catapult4-CatapultW-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ua", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 548, Description: "frozenhorror1-Frozen Horror1-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 549, Description: "frozenhorror2-Frozen Horror2-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 550, Description: "frozenhorror3-Frozen Horror3-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 551, Description: "frozenhorror4-Frozen Horror4-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 552, Description: "frozenhorror5-Frozen Horror5-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 553, Description: "bloodlord1-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 554, Description: "bloodlord2-Blood Lord2-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 555, Description: "bloodlord3-Blood Lord3-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 556, Description: "bloodlord4-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 557, Description: "bloodlord5-Blood Lord5-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 558, Description: "larzuk-Larzuk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 559, Description: "drehya-Drehya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 560, Description: "malah-Malah-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 561, Description: "nihlathak-Nihlathak Town-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 562, Description: "qual-kehk-Qual-Kehk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 563, Description: "catapultspotter1-Catapult Spotter S-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 564, Description: "catapultspotter2-Catapult Spotter E-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 565, Description: "catapultspotter3-Catapult Spotter Siege-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 566, Description: "catapultspotter4-Catapult Spotter W-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 567, Description: "cain6-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 568, Description: "tyrael3-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 569, Description: "act5barb1-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 570, Description: "act5barb2-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 571, Description: "barricadewall1-Barricade Wall Right-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "A6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 572, Description: "barricadewall2-Barricade Wall Left-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 573, Description: "nihlathakboss-Nihlathak-Nihlathak", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 574, Description: "drehyaiced-Drehya-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 575, Description: "evilhut-Evil hut-GenericSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 576, Description: "deathmauler1-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 577, Description: "deathmauler2-Death Mauler2-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 578, Description: "deathmauler3-Death Mauler3-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 579, Description: "deathmauler4-Death Mauler4-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 580, Description: "deathmauler5-Death Mauler5-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 581, Description: "act5pow-POW-Wussie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 582, Description: "act5barb3-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 583, Description: "act5barb4-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 584, Description: "ancientstatue1-Ancient Statue 1-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 585, Description: "ancientstatue2-Ancient Statue 2-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 586, Description: "ancientstatue3-Ancient Statue 3-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 587, Description: "ancientbarb1-Ancient Barbarian 1-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 588, Description: "ancientbarb2-Ancient Barbarian 2-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 589, Description: "ancientbarb3-Ancient Barbarian 3-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 590, Description: "baalthrone-Baal Throne-BaalThrone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 591, Description: "baalcrab-Baal Crab-BaalCrab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 592, Description: "baaltaunt-Baal Taunt-BaalTaunt", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 593, Description: "putriddefiler1-Putrid Defiler1-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 594, Description: "putriddefiler2-Putrid Defiler2-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 595, Description: "putriddefiler3-Putrid Defiler3-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 596, Description: "putriddefiler4-Putrid Defiler4-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 597, Description: "putriddefiler5-Putrid Defiler5-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 598, Description: "painworm1-Pain Worm1-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 599, Description: "painworm2-Pain Worm2-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 600, Description: "painworm3-Pain Worm3-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 601, Description: "painworm4-Pain Worm4-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 602, Description: "painworm5-Pain Worm5-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 603, Description: "bunny-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "48", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 604, Description: "baalhighpriest-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 605, Description: "venomlord-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FLB", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 606, Description: "baalcrabstairs-Baal Crab to Stairs-BaalToStairs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 607, Description: "act5hire1-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 608, Description: "act5hire2-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 609, Description: "baaltentacle1-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 610, Description: "baaltentacle2-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 611, Description: "baaltentacle3-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 612, Description: "baaltentacle4-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 613, Description: "baaltentacle5-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 614, Description: "injuredbarb1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 615, Description: "injuredbarb2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7j", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 616, Description: "injuredbarb3-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7i", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 617, Description: "baalclone-Baal Crab Clone-BaalCrabClone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 618, Description: "baalminion1-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 619, Description: "baalminion2-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 620, Description: "baalminion3-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 621, Description: "worldstoneeffect-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 622, Description: "sk_archer6-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 623, Description: "sk_archer7-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 624, Description: "sk_archer8-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 625, Description: "sk_archer9-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 626, Description: "sk_archer10-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 627, Description: "bighead6-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 628, Description: "bighead7-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 629, Description: "bighead8-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 630, Description: "bighead9-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 631, Description: "bighead10-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 632, Description: "goatman6-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 633, Description: "goatman7-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 634, Description: "goatman8-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 635, Description: "goatman9-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 636, Description: "goatman10-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 637, Description: "foulcrow5-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 638, Description: "foulcrow6-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 639, Description: "foulcrow7-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 640, Description: "foulcrow8-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 641, Description: "clawviper6-ClawViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 642, Description: "clawviper7-PitViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 643, Description: "clawviper8-Salamander-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 644, Description: "clawviper9-TombViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 645, Description: "clawviper10-SerpentMagus-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 646, Description: "sandraider6-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 647, Description: "sandraider7-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 648, Description: "sandraider8-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 649, Description: "sandraider9-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 650, Description: "sandraider10-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 651, Description: "deathmauler6-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 652, Description: "quillrat6-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 653, Description: "quillrat7-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 654, Description: "quillrat8-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 655, Description: "vulture5-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 656, Description: "thornhulk5-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 657, Description: "slinger7-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 658, Description: "slinger8-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 659, Description: "slinger9-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 660, Description: "cr_archer6-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 661, Description: "cr_archer7-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 662, Description: "cr_lancer6-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 663, Description: "cr_lancer7-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 664, Description: "cr_lancer8-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 665, Description: "blunderbore5-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 666, Description: "blunderbore6-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 667, Description: "skmage_fire5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 668, Description: "skmage_fire6-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 669, Description: "skmage_ltng5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 670, Description: "skmage_ltng6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 671, Description: "skmage_cold5-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 672, Description: "skmage_pois5-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 673, Description: "skmage_pois6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 674, Description: "pantherwoman5-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 675, Description: "pantherwoman6-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 676, Description: "sandleaper6-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 677, Description: "sandleaper7-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 678, Description: "wraith6-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 679, Description: "wraith7-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 680, Description: "wraith8-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 681, Description: "succubus6-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 682, Description: "succubus7-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 683, Description: "succubuswitch6-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 684, Description: "succubuswitch7-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 685, Description: "succubuswitch8-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 686, Description: "willowisp5-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 687, Description: "willowisp6-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 688, Description: "willowisp7-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 689, Description: "fallen6-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 690, Description: "fallen7-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 691, Description: "fallen8-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 692, Description: "fallenshaman6-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 693, Description: "fallenshaman7-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 694, Description: "fallenshaman8-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 695, Description: "skeleton6-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 696, Description: "skeleton7-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 697, Description: "batdemon6-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 698, Description: "batdemon7-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 699, Description: "bloodlord6-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 700, Description: "bloodlord7-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 701, Description: "scarab6-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 702, Description: "scarab7-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 703, Description: "fetish6-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 704, Description: "fetish7-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 705, Description: "fetish8-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 706, Description: "fetishblow6-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 707, Description: "fetishblow7-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 708, Description: "fetishblow8-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 709, Description: "fetishshaman6-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 710, Description: "fetishshaman7-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 711, Description: "fetishshaman8-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 712, Description: "baboon7-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 713, Description: "baboon8-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 714, Description: "unraveler6-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 715, Description: "unraveler7-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 716, Description: "unraveler8-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 717, Description: "unraveler9-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 718, Description: "zealot4-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 719, Description: "zealot5-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 720, Description: "cantor5-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 721, Description: "cantor6-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 722, Description: "vilemother4-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 723, Description: "vilemother5-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 724, Description: "vilechild4-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 725, Description: "vilechild5-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 726, Description: "sandmaggot6-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 727, Description: "maggotbaby6-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 728, Description: "maggotegg6-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 729, Description: "minion9-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 730, Description: "minion10-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 731, Description: "minion11-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 732, Description: "arach6-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 733, Description: "megademon4-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 734, Description: "megademon5-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 735, Description: "imp6-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 736, Description: "imp7-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 737, Description: "bonefetish6-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 738, Description: "bonefetish7-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 739, Description: "fingermage4-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 740, Description: "fingermage5-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 741, Description: "regurgitator4-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 742, Description: "vampire6-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 743, Description: "vampire7-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 744, Description: "vampire8-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 745, Description: "reanimatedhorde6-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 746, Description: "dkfig1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 747, Description: "dkfig2-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 748, Description: "dkmag1-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 749, Description: "dkmag2-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 750, Description: "mummy6-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 751, Description: "ubermephisto-Mephisto-UberMephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 752, Description: "uberdiablo-Diablo-UberDiablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 753, Description: "uberizual-izual-UberIzual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 754, Description: "uberandariel-Lilith-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 755, Description: "uberduriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 756, Description: "uberbaal-Baal Crab-UberBaal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 757, Description: "demonspawner-Evil hut-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 758, Description: "demonhole-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 759, Description: "megademon6-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 760, Description: "dkmag3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 761, Description: "imp8-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 762, Description: "swarm5-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 763, Description: "sandmaggot7-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 764, Description: "arach7-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 765, Description: "scarab8-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 766, Description: "succubus8-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 767, Description: "succubuswitch9-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 768, Description: "corruptrogue6-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 769, Description: "cr_archer8-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 770, Description: "cr_lancer9-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 771, Description: "overseer6-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 772, Description: "skeleton8-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 773, Description: "sk_archer11-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 774, Description: "skmage_fire7-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 775, Description: "skmage_ltng7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 776, Description: "skmage_cold6-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 777, Description: "skmage_pois7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 778, Description: "vampire9-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 779, Description: "wraith9-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 780, Description: "willowisp8-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 781, Description: "Bishibosh-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 782, Description: "Bonebreak-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 783, Description: "Coldcrow-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 784, Description: "Rakanishu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "SWD", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 785, Description: "Treehead WoodFist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 786, Description: "Griswold-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 787, Description: "The Countess-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 788, Description: "Pitspawn Fouldog-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 789, Description: "Flamespike the Crawler-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 790, Description: "Boneash-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 791, Description: "Radament-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 792, Description: "Bloodwitch the Wild-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 793, Description: "Fangskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 794, Description: "Beetleburst-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 795, Description: "Leatherarm-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 796, Description: "Coldworm the Burrower-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 797, Description: "Fire Eye-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 798, Description: "Dark Elder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 799, Description: "The Summoner-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 800, Description: "Ancient Kaa the Soulless-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 801, Description: "The Smith-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 802, Description: "Web Mage the Burning-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 803, Description: "Witch Doctor Endugu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 804, Description: "Stormtree-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 805, Description: "Sarina the Battlemaid-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 806, Description: "Icehawk Riftwing-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 807, Description: "Ismail Vilehand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 808, Description: "Geleb Flamefinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 809, Description: "Bremm Sparkfist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 810, Description: "Toorc Icefist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 811, Description: "Wyand Voidfinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 812, Description: "Maffer Dragonhand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 813, Description: "Winged Death-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 814, Description: "The Tormentor-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 815, Description: "Taintbreeder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 816, Description: "Riftwraith the Cannibal-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 817, Description: "Infector of Souls-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 818, Description: "Lord De Seis-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 819, Description: "Grand Vizier of Chaos-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 820, Description: "The Cow King-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 821, Description: "Corpsefire-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 822, Description: "The Feature Creep-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 823, Description: "Siege Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 824, Description: "Ancient Barbarian 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 825, Description: "Ancient Barbarian 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 826, Description: "Ancient Barbarian 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 827, Description: "Axe Dweller-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 828, Description: "Bonesaw Breaker-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 829, Description: "Dac Farren-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 830, Description: "Megaflow Rectifier-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 831, Description: "Eyeback Unleashed-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 832, Description: "Threash Socket-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 833, Description: "Pindleskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 834, Description: "Snapchip Shatter-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 835, Description: "Anodized Elite-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 836, Description: "Vinvear Molech-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 837, Description: "Sharp Tooth Sayer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 838, Description: "Magma Torquer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 839, Description: "Blaze Ripper-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 840, Description: "Frozenstein-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 841, Description: "Nihlathak Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 842, Description: "Baal Subject 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 843, Description: "Baal Subject 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 844, Description: "Baal Subject 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 845, Description: "Baal Subject 4-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeCharacter, Id: 846, Description: "Baal Subject 5-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 0, Description: "rogue fountain (12)", ObjectsTxtId: 12, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 1, Description: "torch 1 tiki (37)", ObjectsTxtId: 37, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 2, Description: "Fire, rogue camp (39)", ObjectsTxtId: 39, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 3, Description: "flag 1 (35)", ObjectsTxtId: 35, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 4, Description: "flag 2 (36)", ObjectsTxtId: 36, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 5, Description: "Chest, R Large (5)", ObjectsTxtId: 5, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 6, Description: "Cairn Stone, Alpha (17)", ObjectsTxtId: 17, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 7, Description: "Cairn Stone, Beta (18)", ObjectsTxtId: 18, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 8, Description: "Cairn Stone, Gamma (19)", ObjectsTxtId: 19, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 9, Description: "Cairn Stone, Delta (20)", ObjectsTxtId: 20, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 10, Description: "Cairn Stone, Lambda (21)", ObjectsTxtId: 21, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 11, Description: "Cairn Stone, Theta (inactive) (22)", ObjectsTxtId: 22, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 12, Description: "Tree of Inifuss (30)", ObjectsTxtId: 30, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 13, Description: "water effect 2 (70)", ObjectsTxtId: 70, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 14, Description: "water effect 2 (70)", ObjectsTxtId: 70, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 15, Description: "water effect 1 (69)", ObjectsTxtId: 69, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 16, Description: "water effect 1 (69)", ObjectsTxtId: 69, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 17, Description: "brazier (29)", ObjectsTxtId: 29, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 18, Description: "bloody fountain (31)", ObjectsTxtId: 31, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 19, Description: "candles 1 (33)", ObjectsTxtId: 33, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 20, Description: "candles 2 (34)", ObjectsTxtId: 34, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 21, Description: "torch 1 tiki (37)", ObjectsTxtId: 37, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 22, Description: "Invisible object (61)", ObjectsTxtId: 61, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 23, Description: "Invisible river sound 1 (65)", ObjectsTxtId: 65, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 24, Description: "Invisible river sound 2 (66)", ObjectsTxtId: 66, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 25, Description: "The Moldy Tome (8)", ObjectsTxtId: 8, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 26, Description: "Cain's Gibbet (26)", ObjectsTxtId: 26, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 27, Description: "Undefiled Grave (28)", ObjectsTxtId: 28, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 28, Description: "bubbling pool of blood (82)", ObjectsTxtId: 82, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 29, Description: "Shrine (2)", ObjectsTxtId: 2, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 30, Description: "Shrine, forest altar (81)", ObjectsTxtId: 81, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 31, Description: "Shrine, healing well (84)", ObjectsTxtId: 84, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 32, Description: "Shrine, horn (83)", ObjectsTxtId: 83, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 33, Description: "invisible town sound (78)", ObjectsTxtId: 78, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 34, Description: "invisible object (61)", ObjectsTxtId: 61, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 35, Description: "flies (103)", ObjectsTxtId: 103, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 36, Description: "Horadric Malus (108)", ObjectsTxtId: 108, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 37, Description: "Waypoint (119)", ObjectsTxtId: 119, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WP", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 38, Description: "error ? (-580)", ObjectsTxtId: 580, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 39, Description: "Well, pool wilderness (130)", ObjectsTxtId: 130, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 40, Description: "Hidden Stash, rock wilderness (159)", ObjectsTxtId: 159, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 41, Description: "Hiding Spot, cliff wilderness (163)", ObjectsTxtId: 163, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 42, Description: "Hollow Log (169)", ObjectsTxtId: 169, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 43, Description: "Fire, small (160)", ObjectsTxtId: 160, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 44, Description: "Fire, medium (161)", ObjectsTxtId: 161, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 45, Description: "Fire, large (162)", ObjectsTxtId: 162, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 46, Description: "Armor Stand, 1R (104)", ObjectsTxtId: 104, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 47, Description: "Armor Stand, 2L (105)", ObjectsTxtId: 105, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 48, Description: "Weapon Rack, 1R (106)", ObjectsTxtId: 106, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 49, Description: "Weapon Rack, 2L (107)", ObjectsTxtId: 107, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 50, Description: "Bookshelf L (179)", ObjectsTxtId: 179, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 51, Description: "Bookshelf R (180)", ObjectsTxtId: 180, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 52, Description: "Waypoint (119)", ObjectsTxtId: 119, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WP", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 53, Description: "Waypoint, wilderness (157)", ObjectsTxtId: 157, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WN", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 54, Description: "Bed R (247)", ObjectsTxtId: 247, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 55, Description: "Bed L (248)", ObjectsTxtId: 248, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 56, Description: "Hidden Stash, rock wilderness (155)", ObjectsTxtId: 155, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 57, Description: "Loose Rock, wilderness (174)", ObjectsTxtId: 174, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 58, Description: "Loose Boulder, wilderness (175)", ObjectsTxtId: 175, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 59, Description: "Chest, R Large (139)", ObjectsTxtId: 139, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 60, Description: "Chest, R Tallskinney (140)", ObjectsTxtId: 140, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 61, Description: "Chest, R Med (141)", ObjectsTxtId: 141, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 62, Description: "Chest, L (144)", ObjectsTxtId: 144, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 63, Description: "Chest, L Large (6)", ObjectsTxtId: 6, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 64, Description: "Chest, 1L general (240)", ObjectsTxtId: 240, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 65, Description: "Chest, 2R general (241)", ObjectsTxtId: 241, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 66, Description: "Chest, 3R general (242)", ObjectsTxtId: 242, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 67, Description: "Dead Rogue, 1 (54)", ObjectsTxtId: 54, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 68, Description: "Dead Rogue, 2 (55)", ObjectsTxtId: 55, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 69, Description: "Dead Rogue, rolling (56)", ObjectsTxtId: 56, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 70, Description: "Dead Rogue, on a stick 1 (57)", ObjectsTxtId: 57, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 71, Description: "Dead Rogue, on a stick 2 (58)", ObjectsTxtId: 58, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 72, Description: "Skeleton (171)", ObjectsTxtId: 171, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 73, Description: "Guard Corpse, on a stick (178)", ObjectsTxtId: 178, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 74, Description: "Body, burning town 1 (239)", ObjectsTxtId: 239, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 75, Description: "Body, burning town 2 (245)", ObjectsTxtId: 245, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BY", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 76, Description: "A Trap, exploding cow (250)", ObjectsTxtId: 250, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "EW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 77, Description: "Well, fountain 1 (111)", ObjectsTxtId: 111, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 78, Description: "Well, cavewell caves (138)", ObjectsTxtId: 138, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 79, Description: "Well, cathedralwell inside (132)", ObjectsTxtId: 132, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 80, Description: "Shrine, mana well 1 (164)", ObjectsTxtId: 164, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 81, Description: "Shrine, mana well 2 (165)", ObjectsTxtId: 165, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 82, Description: "Shrine, healthorama (77)", ObjectsTxtId: 77, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 83, Description: "Shrine, bull shrine, health, tombs (85)", ObjectsTxtId: 85, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 84, Description: "stele,magic shrine, stone, desert (86)", ObjectsTxtId: 86, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 85, Description: "Shrine, cathedral (262)", ObjectsTxtId: 262, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 86, Description: "Shrine, jail 1 (263)", ObjectsTxtId: 263, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JB", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 87, Description: "Shrine, jail 2 (264)", ObjectsTxtId: 264, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JD", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 88, Description: "Shrine, jail 3 (265)", ObjectsTxtId: 265, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JF", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 89, Description: "Casket, 1 R (50)", ObjectsTxtId: 50, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 90, Description: "Casket, 2 L (51)", ObjectsTxtId: 51, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 91, Description: "Casket, 3 (79)", ObjectsTxtId: 79, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 92, Description: "Casket, 4 (53)", ObjectsTxtId: 53, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 93, Description: "Casket, 5 (1)", ObjectsTxtId: 1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 94, Description: "Casket, 6 (3)", ObjectsTxtId: 3, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 95, Description: "Barrel (7)", ObjectsTxtId: 7, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 96, Description: "Crate (46)", ObjectsTxtId: 46, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 97, Description: "torch 2 wall (38)", ObjectsTxtId: 38, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 98, Description: "cabin stool (256)", ObjectsTxtId: 256, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 99, Description: "cabin wood (257)", ObjectsTxtId: 257, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 100, Description: "cabin wood more (258)", ObjectsTxtId: 258, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 101, Description: "Door, secret 1 (129)", ObjectsTxtId: 129, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "H2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 102, Description: "Your Private Stash (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 103, Description: "Wirt's body (268)", ObjectsTxtId: 268, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 104, Description: "gold placeholder (269)", ObjectsTxtId: 269, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1G", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 105, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 581, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 106, Description: "hell light source 1 (351)", ObjectsTxtId: 351, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 107, Description: "hell light source 2 (352)", ObjectsTxtId: 352, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 108, Description: "hell light source 3 (353)", ObjectsTxtId: 353, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 109, Description: "fog water (374)", ObjectsTxtId: 374, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 110, Description: "cain start position (385)", ObjectsTxtId: 385, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 111, Description: "Chest, sparkly (397)", ObjectsTxtId: 397, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 112, Description: "Red Portal (321)", ObjectsTxtId: 321, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 113, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 114, Description: "Myhrginoc's Book of Lore", ObjectsTxtId: 8, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 115, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 116, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 117, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 118, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 119, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 120, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 121, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 122, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 123, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 124, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 125, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 126, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 127, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 128, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 129, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 130, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 131, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 132, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 133, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 134, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 135, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 136, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 137, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 138, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 139, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 140, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 141, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 142, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 143, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 144, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 145, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 146, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 147, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 148, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 149, Description: "ACT 1 TABLE DO NOT USE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 150, Description: "Dummy-test data SKIPT IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "NU0", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 151, Description: "Casket-Casket #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 152, Description: "Shrine-Shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 153, Description: "Casket-Casket #6", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 154, Description: "LargeUrn-Urn #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 155, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 156, Description: "chest-LargeChestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 157, Description: "Barrel-Barrel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 158, Description: "TowerTome-Tower Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 159, Description: "Urn-Urn #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 160, Description: "Dummy-Bench", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 161, Description: "Barrel-BarrelExploding", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 162, Description: "Dummy-RogueFountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 163, Description: "Door-Door Gate Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 164, Description: "Door-Door Gate Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 165, Description: "Door-Door Wooden Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 166, Description: "Door-Door Wooden Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 167, Description: "StoneAlpha-StoneAlpha", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 168, Description: "StoneBeta-StoneBeta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 169, Description: "StoneGamma-StoneGamma", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 170, Description: "StoneDelta-StoneDelta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 171, Description: "StoneLambda-StoneLambda", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 172, Description: "StoneTheta-StoneTheta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 173, Description: "Door-Door Courtyard Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 174, Description: "Door-Door Courtyard Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 175, Description: "Door-Door Cathedral Double", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 176, Description: "Gibbet-Cain's Been Captured", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 177, Description: "Door-Door Monastery Double Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 178, Description: "HoleAnim-Hole in Ground", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 179, Description: "Dummy-Brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 180, Description: "Inifuss-inifuss tree", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 181, Description: "Dummy-Fountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 182, Description: "Dummy-crucifix", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 183, Description: "Dummy-Candles1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 184, Description: "Dummy-Candles2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 185, Description: "Dummy-Standard1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 186, Description: "Dummy-Standard2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 187, Description: "Dummy-Torch1 Tiki", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 188, Description: "Dummy-Torch2 Wall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 189, Description: "fire-RogueBonfire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 190, Description: "Dummy-River1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 191, Description: "Dummy-River2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 192, Description: "Dummy-River3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 193, Description: "Dummy-River4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 194, Description: "Dummy-River5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 195, Description: "AmbientSound-ambient sound generator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 196, Description: "Crate-Crate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 197, Description: "Door-Andariel's Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 198, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 199, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 200, Description: "Casket-CasketR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 201, Description: "Casket-CasketL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 202, Description: "Urn-Urn #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 203, Description: "Casket-Casket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 204, Description: "RogueCorpse-Rogue corpse 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 205, Description: "RogueCorpse-Rogue corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 206, Description: "RogueCorpse-rolling rogue corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 207, Description: "CorpseOnStick-rogue on a stick 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 208, Description: "CorpseOnStick-rogue on a stick 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 209, Description: "Portal-Town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 210, Description: "Portal-Permanent town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 211, Description: "Dummy-Invisible object", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 212, Description: "Door-Door Cathedral Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 213, Description: "Door-Door Cathedral Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 214, Description: "Door-Door Wooden Left #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 215, Description: "Dummy-invisible river sound1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 216, Description: "Dummy-invisible river sound2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 217, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 218, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 219, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 220, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 221, Description: "Dummy-forest night sound #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F1", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 222, Description: "Dummy-forest night sound #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F2", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 223, Description: "Dummy-yeti dung", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 224, Description: "TrappDoor-Trap Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 225, Description: "Door-Door by Dock, Act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 226, Description: "Dummy-sewer drip", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SZ", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 227, Description: "Shrine-healthorama", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 228, Description: "Dummy-invisible town sound", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 229, Description: "Casket-casket #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 230, Description: "Obelisk-obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "OB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 231, Description: "Shrine-forest altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 232, Description: "Dummy-bubbling pool of blood", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 233, Description: "Shrine-horn shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 234, Description: "Shrine-healing well", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 235, Description: "Shrine-bull shrine,health, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 236, Description: "Dummy-stele,magic shrine, stone, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 237, Description: "Chest3-tombchest 1, largechestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 238, Description: "Chest3-tombchest 2 largechestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 239, Description: "Sarcophagus-mummy coffinL, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 240, Description: "Obelisk-desert obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 241, Description: "Door-tomb door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 242, Description: "Door-tomb door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 243, Description: "Shrine-mana shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 244, Description: "LargeUrn-Urn #4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 245, Description: "LargeUrn-Urn #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 246, Description: "Shrine-health shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 247, Description: "Shrine-innershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ix", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 248, Description: "Door-tomb door left 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 249, Description: "Door-tomb door right 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 250, Description: "Duriel's Lair-Portal to Duriel's Lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 251, Description: "Dummy-Brazier3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 252, Description: "Dummy-Floor brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 253, Description: "Dummy-flies", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 254, Description: "ArmorStand-Armor Stand 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 255, Description: "ArmorStand-Armor Stand 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 256, Description: "WeaponRack-Weapon Rack 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 257, Description: "WeaponRack-Weapon Rack 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 258, Description: "Malus-Malus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 259, Description: "Shrine-palace shrine, healthR, harom, arcane Sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 260, Description: "not used-drinker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 261, Description: "well-Fountain 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 262, Description: "not used-gesturer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n6", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 263, Description: "well-Fountain 2, well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 264, Description: "not used-turner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 265, Description: "well-Fountain 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 266, Description: "Shrine-snake woman, magic shrine, tomb, arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 267, Description: "Dummy-jungle torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 268, Description: "Well-Fountain 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 269, Description: "Waypoint-waypoint portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wp", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 270, Description: "Dummy-healthshrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 271, Description: "jerhyn-placeholder #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 272, Description: "jerhyn-placeholder #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 273, Description: "Shrine-innershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 274, Description: "Shrine-innershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 275, Description: "hidden stash-ihobject3 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 276, Description: "skull pile-skullpile inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "is", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 277, Description: "hidden stash-ihobject5 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ir", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 278, Description: "hidden stash-hobject4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 279, Description: "Door-secret door 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "h2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 280, Description: "Well-pool act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 281, Description: "Dummy-vile dog afterglow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 282, Description: "Well-cathedralwell act 1 inside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 283, Description: "shrine-shrine1_arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 284, Description: "shrine-dshrine2 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zs", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 285, Description: "shrine-desertshrine3 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zr", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 286, Description: "shrine-dshrine1 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 287, Description: "Well-desertwell act 2 well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 288, Description: "Well-cavewell act 1 caves ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 289, Description: "chest-chest-r-large act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 290, Description: "chest-chest-r-tallskinney act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 291, Description: "chest-chest-r-med act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 292, Description: "jug-jug1 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 293, Description: "jug-jug2 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 294, Description: "chest-Lchest1 act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 295, Description: "Waypoint-waypointi inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 296, Description: "chest-dchest2R act 2, desert, tomb, chest-r-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 297, Description: "chest-dchestr act 2, desert, tomb, chest -r large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 298, Description: "chest-dchestL act 2, desert, tomb chest l large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 299, Description: "taintedsunaltar-tainted sun altar quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "za", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 300, Description: "shrine-dshrine1 act 2 , desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 301, Description: "shrine-dshrine4 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ze", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 302, Description: "orifice-Where you place the Horadric staff", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 303, Description: "Door-tyrael's door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 304, Description: "corpse-guard corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 305, Description: "hidden stash-rock act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 306, Description: "Waypoint-waypoint act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 307, Description: "Waypoint-waypoint act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wn", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 308, Description: "skeleton-corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 309, Description: "hidden stash-rockb act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 310, Description: "fire-fire small", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 311, Description: "fire-fire medium", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 312, Description: "fire-fire large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 313, Description: "hiding spot-cliff act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 314, Description: "Shrine-mana well1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 315, Description: "Shrine-mana well2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 316, Description: "Shrine-mana well3, act 2, tomb, ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 317, Description: "Shrine-mana well4, act 2, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 318, Description: "Shrine-mana well5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 319, Description: "hollow log-log", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 320, Description: "Shrine-jungle healwell act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 321, Description: "skeleton-corpseb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 322, Description: "Shrine-health well, health shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 323, Description: "Shrine-mana well7, mana shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 324, Description: "loose rock-rockc act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 325, Description: "loose boulder-rockd act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 326, Description: "chest-chest-L-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 327, Description: "chest-chest-L-large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 328, Description: "GuardCorpse-guard on a stick, desert, tomb, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 329, Description: "bookshelf-bookshelf1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 330, Description: "bookshelf-bookshelf2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 331, Description: "chest-jungle chest act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 332, Description: "coffin-tombcoffin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 333, Description: "chest-chest-L-med, jungle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 334, Description: "Shrine-jungle shrine2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 335, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 336, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 337, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 338, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ju", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 339, Description: "Dummy-cain portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tP", Mode: "OP", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 340, Description: "Shrine-jungle shrine3 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "js", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 341, Description: "Shrine-jungle shrine4 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 342, Description: "teleport pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 343, Description: "LamTome-Lam Esen's Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ab", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 344, Description: "stair-stairsl", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sl", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 345, Description: "stair-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 346, Description: "a trap-test data floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "a5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 347, Description: "Shrine-jungleshrine act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jq", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 348, Description: "chest-chest-L-tallskinney, general chest r?", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 349, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 350, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "my", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 351, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mx", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 352, Description: "Shrine-mafistomana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 353, Description: "stash-mafistolair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 354, Description: "stash-box", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 355, Description: "stash-altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 356, Description: "Shrine-mafistohealth", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 357, Description: "dummy-water rocks in act 3 wrok", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 358, Description: "Basket-basket 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 359, Description: "Basket-basket 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 360, Description: "Dummy-water logs in act 3  ne logw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 361, Description: "Dummy-water rocks girl in act 3 wrob", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 362, Description: "Dummy-bubbles in act3 water", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 363, Description: "Dummy-water logs in act 3 logx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wd", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 364, Description: "Dummy-water rocks in act 3 rokb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 365, Description: "Dummy-water rocks girl in act 3 watc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "we", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 366, Description: "Dummy-water rocks in act 3 waty", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 367, Description: "Dummy-water logs in act 3  logz", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lx", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 368, Description: "Dummy-web covered tree 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 369, Description: "Dummy-web covered tree 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 370, Description: "Dummy-web covered tree 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 371, Description: "Dummy-web covered tree 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 372, Description: "pillar-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 373, Description: "cocoon-cacoon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 374, Description: "cocoon-cacoon 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 375, Description: "skullpile-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ib", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 376, Description: "Shrine-outershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ia", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 377, Description: "dummy-water rock girl act 3  nw  blgb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 378, Description: "dummy-big log act 3  sw blga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 379, Description: "door-slimedoor1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 380, Description: "door-slimedoor2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 381, Description: "Shrine-outershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ht", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 382, Description: "Shrine-outershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 383, Description: "pillar-hobject2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 384, Description: "dummy-Big log act 3 se blgc ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 385, Description: "dummy-Big log act 3 nw blgd", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 386, Description: "Shrine-health wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ho", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 387, Description: "Waypoint-act3waypoint town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 388, Description: "Waypoint-waypointh", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wv", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 389, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 390, Description: "chest-gchest1L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cy", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 391, Description: "chest-gchest2R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 392, Description: "chest-gchest3R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 393, Description: "chest-glchest3L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 394, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 395, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "by", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 396, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ra", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 397, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qa", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 398, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 399, Description: "manashrine-mana wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hn", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 400, Description: "a trap-exploding cow  for Tristan and ACT 3 only??Very Rare  1 or 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ew", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 401, Description: "gidbinn altar-gidbinn altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ga", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 402, Description: "gidbinn-gidbinn decoy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "gd", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 403, Description: "Dummy-diablo right light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 404, Description: "Dummy-diablo left light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 405, Description: "Dummy-diablo start point", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 406, Description: "Dummy-stool for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 407, Description: "Dummy-wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wg", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 408, Description: "Dummy-more wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 409, Description: "Dummy-skeleton spawn for hell   facing nw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 410, Description: "Shrine-holyshrine for monastery,catacombs,jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HL", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 411, Description: "a trap-spikes for tombs floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 412, Description: "Shrine-act 1 cathedral", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 413, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jb", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 414, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 415, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jf", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 416, Description: "goo pile-goo pile for sand maggot lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 417, Description: "bank-bank", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 418, Description: "wirt's body-wirt's body", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 419, Description: "dummy-gold placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1g", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 420, Description: "corpse-guard corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 421, Description: "corpse-dead villager 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 422, Description: "corpse-dead villager 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "df", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 423, Description: "Dummy-yet another flame, no damage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 424, Description: "hidden stash-tiny pixel shaped thingie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f9", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 425, Description: "Shrine-health shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ce", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 426, Description: "Shrine-mana shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 427, Description: "Shrine-cave magic shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 428, Description: "Shrine-manashrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "de", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 429, Description: "Shrine-magic shrine, act 3 sewers.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wj", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 430, Description: "Shrine-healthwell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 431, Description: "Shrine-manawell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 432, Description: "Shrine-magic shrine, act 3 sewers, dungeon.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ws", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 433, Description: "dummy-brazier_celler, act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bi", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 434, Description: "sarcophagus-anubis coffin, act2, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 435, Description: "dummy-brazier_general, act 2, sewers, tomb, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bm", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 436, Description: "Dummy-brazier_tall, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bo", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 437, Description: "Dummy-brazier_small, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 438, Description: "Waypoint-waypoint, celler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 439, Description: "bed-bed for harum", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ub", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 440, Description: "door-iron grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 441, Description: "door-iron grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dn", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 442, Description: "door-wooden grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dp", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 443, Description: "door-wooden grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dt", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 444, Description: "door-wooden door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 445, Description: "door-wooden door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 446, Description: "Dummy-wall torch left for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qd", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 447, Description: "Dummy-wall torch right for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qe", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 448, Description: "portal-arcane sanctuary portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ay", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 449, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hb", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 450, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hc", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 451, Description: "Dummy-maggot well health", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 452, Description: "manashrine-maggot well mana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 453, Description: "magic shrine-magic shrine, act 3 arcane sanctuary.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 454, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 455, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 456, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 457, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7a", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 458, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7b", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 459, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 460, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7d", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 461, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7e", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 462, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7f", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 463, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7g", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 464, Description: "dead guard-harem guard 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 465, Description: "dead guard-harem guard 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qi", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 466, Description: "dead guard-harem guard 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qj", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 467, Description: "dead guard-harem guard 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 468, Description: "eunuch-harem blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 469, Description: "Dummy-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ax", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 470, Description: "manashrine-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "au", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 471, Description: "Dummy-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "S1", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 472, Description: "Well-tombwell act 2 well, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hu", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 473, Description: "Waypoint-waypoint act2 sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 474, Description: "Waypoint-waypoint act3 travincal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ql", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 475, Description: "magic shrine-magic shrine, act 3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qn", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 476, Description: "dead body-act3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 477, Description: "dummy-torch (act 3 sewer) stra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 478, Description: "dummy-torch (act 3 kurast) strb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 479, Description: "chest-mafistochestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 480, Description: "chest-mafistochestlargeright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 481, Description: "chest-mafistochestmedleft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 482, Description: "chest-mafistochestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xe", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 483, Description: "chest-spiderlairchestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 484, Description: "chest-spiderlairchesttallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 485, Description: "chest-spiderlairchestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xh", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 486, Description: "chest-spiderlairchesttallright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 487, Description: "Steeg Stone-steeg stone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 488, Description: "Guild Vault-guild vault", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 489, Description: "Trophy Case-trophy case", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 490, Description: "Message Board-message board", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 491, Description: "Dummy-mephisto bridge", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 492, Description: "portal-hellgate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 493, Description: "Shrine-manawell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 494, Description: "Shrine-healthwell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 495, Description: "Dummy-hellfire1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 496, Description: "Dummy-hellfire2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 497, Description: "Dummy-hellfire3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 498, Description: "Dummy-helllava1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 499, Description: "Dummy-helllava2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 500, Description: "Dummy-helllava3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 501, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 502, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 503, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 504, Description: "chest-horadric cube chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 505, Description: "chest-horadric scroll chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 506, Description: "chest-staff of kings chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 507, Description: "Tome-yet another tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 508, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 509, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 510, Description: "RockPIle-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 511, Description: "magic shrine-magic shrine, act 3,dundeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 512, Description: "basket-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 513, Description: "HungSkeleton-outerhell skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 514, Description: "Dummy-guy for dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ea", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 515, Description: "casket-casket for Act 3 dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 516, Description: "sewer stairs-stairs for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ve", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 517, Description: "sewer lever-lever for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 518, Description: "darkwanderer-start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 519, Description: "dummy-trapped soul placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 520, Description: "Dummy-torch for act3 town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 521, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 522, Description: "BoneChest-innerhellbonepile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 523, Description: "Dummy-skeleton spawn for hell facing ne", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qt", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 524, Description: "Dummy-fog act 3 water rfga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ud", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 525, Description: "Dummy-Not used", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 526, Description: "Hellforge-Forge  hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ux", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 527, Description: "Guild Portal-Portal to next guild level", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 528, Description: "Dummy-hratli start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 529, Description: "Dummy-hratli end", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 530, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "uy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 531, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "15", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 532, Description: "Dummy-natalya start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 533, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 534, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 535, Description: "Dummy-cain start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 536, Description: "Dummy-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 537, Description: "chest-arcanesanctuarybigchestLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 538, Description: "casket-arcanesanctuarycasket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 539, Description: "chest-arcanesanctuarybigchestRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 540, Description: "chest-arcanesanctuarychestsmallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ya", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 541, Description: "chest-arcanesanctuarychestsmallRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 542, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 543, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 544, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 545, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 546, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 547, Description: "chest-sparklychest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 548, Description: "Waypoint-waypoint pandamonia fortress", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yg", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 549, Description: "fissure-fissure for act 4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "fh", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 550, Description: "Dummy-brazier for act 4, hell mesa", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "he", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 551, Description: "Dummy-smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 552, Description: "Waypoint-waypoint valleywaypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 553, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 554, Description: "compellingorb-compelling orb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 555, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 556, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 557, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 558, Description: "Dummy-fortress brazier #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 559, Description: "Dummy-fortress brazier #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 560, Description: "Siege Control-To control siege machines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 561, Description: "ptox-Pot O Torch (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "px", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 562, Description: "pyox-fire pit  (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "py", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 563, Description: "chestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 564, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6r", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 565, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 566, Description: "hiddenstash-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 567, Description: "flag wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ym", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 568, Description: "barrel wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 569, Description: "barrel wilderness-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 570, Description: "woodchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 571, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 572, Description: "manashrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 573, Description: "healthshrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 574, Description: "burialchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 575, Description: "burialchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 576, Description: "well-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 577, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 578, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yx", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 579, Description: "Waypoint-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yy", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 580, Description: "ChestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 581, Description: "woodchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 582, Description: "ChestSL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 583, Description: "ChestSR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 584, Description: "etorch1-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 585, Description: "ecfra-camp fire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2w", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 586, Description: "ettr-town torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 587, Description: "etorch2-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6e", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 588, Description: "burningbodies-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 589, Description: "burningpit-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 590, Description: "tribal flag-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6h", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 591, Description: "eflg-town flag", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 592, Description: "chan-chandeleir", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 593, Description: "jar1-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 594, Description: "jar2-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 595, Description: "jar3-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 596, Description: "swingingheads-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 597, Description: "pole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6m", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 598, Description: "animated skulland rockpile-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 599, Description: "gate-town main gate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 600, Description: "pileofskullsandrocks-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 601, Description: "hellgate-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 602, Description: "banner 1-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ao", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 603, Description: "banner 2-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ap", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 604, Description: "explodingchest-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 605, Description: "chest-specialchest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 606, Description: "deathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6v", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 607, Description: "Ldeathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6w", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 608, Description: "Altar-inside of temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 609, Description: "dummy-Drehya Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 610, Description: "dummy-Drehya Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 611, Description: "dummy-Nihlathak Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 612, Description: "dummy-Nihlathak Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 613, Description: "hidden stash-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 614, Description: "healthshrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 615, Description: "manashrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 616, Description: "evilurn-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 617, Description: "icecavejar1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 618, Description: "icecavejar2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 619, Description: "icecavejar3-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 620, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 621, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 622, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 623, Description: "cagedwussie1-caged fellow(A5-Prisonner)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 624, Description: "Ancient Statue 3-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 625, Description: "Ancient Statue 1-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "61", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 626, Description: "Ancient Statue 2-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "62", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 627, Description: "deadbarbarian-seige/wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 628, Description: "clientsmoke-client smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "oz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 629, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8k", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 630, Description: "icecave_torch1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 631, Description: "icecave_torch2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 632, Description: "ttor-expansion tiki torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 633, Description: "manashrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 634, Description: "healthshrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8o", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 635, Description: "tomb1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8p", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 636, Description: "tomb2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 637, Description: "tomb3-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8r", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 638, Description: "magic shrine-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 639, Description: "torch1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 640, Description: "torch2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8u", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 641, Description: "manashrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8v", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 642, Description: "healthshrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8w", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 643, Description: "well-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 644, Description: "Waypoint-baals_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 645, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 646, Description: "Waypoint-wilderness_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 647, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5b", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 648, Description: "well-baalslair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 649, Description: "magic shrine2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 650, Description: "object1-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 651, Description: "woodchestL-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 652, Description: "woodchestR-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 653, Description: "magic shrine-baals_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 654, Description: "woodchest2L-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 655, Description: "woodchest2R-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 656, Description: "swingingheads-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 657, Description: "debris-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5l", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 658, Description: "pene-Pen breakable door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 659, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 660, Description: "mrpole-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 661, Description: "Waypoint-icecave ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 662, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 663, Description: "well-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 664, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5r", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 665, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 666, Description: "object1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 667, Description: "object2-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 668, Description: "mrbox-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 669, Description: "well-icecave", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 670, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5y", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 671, Description: "healthshrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5z", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 672, Description: "manashrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 673, Description: "red light- (touch me)  for blacksmith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 674, Description: "tomb1L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 675, Description: "tomb2L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 676, Description: "tomb3L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 677, Description: "ubub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2u", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 678, Description: "sbub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2s", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 679, Description: "tomb1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 680, Description: "tomb1L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 681, Description: "tomb2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 682, Description: "tomb2L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 683, Description: "tomb3-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 684, Description: "tomb3L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 685, Description: "mrbox-redbaals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3L", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 686, Description: "torch1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 687, Description: "torch2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3n", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 688, Description: "candles-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3o", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 689, Description: "Waypoint-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3p", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 690, Description: "deadperson-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 691, Description: "groundtomb-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3s", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 692, Description: "Dummy-Larzuk Greeting", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 693, Description: "Dummy-Larzuk Standard", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 694, Description: "groundtombL-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3t", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 695, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 696, Description: "ancientsaltar-ancientsaltar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4a", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 697, Description: "To The Worldstone Keep Level 1-ancientsdoor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 698, Description: "eweaponrackR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 699, Description: "eweaponrackL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 700, Description: "earmorstandR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 701, Description: "earmorstandL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 702, Description: "torch2-summit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 703, Description: "funeralpire-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 704, Description: "burninglogs-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 705, Description: "stma-Ice cave steam", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 706, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 707, Description: "Dummy-Baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 708, Description: "fana-frozen anya", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2n", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 709, Description: "BBQB-BBQ Bunny", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 710, Description: "btor-Baal Torch Big", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 711, Description: "Dummy-invisible ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 712, Description: "Dummy-invisible base", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 713, Description: "The Worldstone Chamber-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 714, Description: "Glacial Caves Level 1-summit door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 715, Description: "strlastcinematic-last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 716, Description: "Harrogath-last last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 717, Description: "Zoo-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 718, Description: "Keeper-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 719, Description: "Throne of Destruction-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 720, Description: "Dummy-fire place guy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 721, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 1, Type: d2enum.ObjectTypeItem, Id: 722, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 0, Description: "warriv2-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ss", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 1, Description: "atma-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ss", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 2, Description: "drognan-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 3, Description: "fara-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 4, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 5, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 6, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 7, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 8, Description: "greiz-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 9, Description: "elzix-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 10, Description: "lysander-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 11, Description: "meshif1-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 12, Description: "geglash-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 13, Description: "jerhyn-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 14, Description: "place_unique_pack-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 15, Description: "place_npc_pack-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 16, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 17, Description: "summoner-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 18, Description: "Radament-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 19, Description: "duriel-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 6, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 20, Description: "cain2-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 21, Description: "place_champion-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 22, Description: "act2male-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "YNG", TR: "MED", LG: "MED", S1: "FEZ", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 23, Description: "act2female-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 24, Description: "act2guard1-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "MED", RA: "MED", LA: "MED", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 25, Description: "act2vendor1-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 26, Description: "act2vendor2-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 27, Description: "place_tightspotboss-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 28, Description: "fish-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 29, Description: "place_talkingguard-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 30, Description: "place_dumbguard-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 31, Description: "place_maggot-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 32, Description: "place_maggotegg-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 33, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 34, Description: "gargoyletrap-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 35, Description: "trap-horzmissile-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 36, Description: "trap-vertmissile-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 37, Description: "place_group25-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 38, Description: "place_group50-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 39, Description: "place_group75-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 40, Description: "place_group100-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 41, Description: "lightningspire-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "A1", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 42, Description: "firetower-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 13, Base: "/Data/Global/Monsters", Token: "PB", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 43, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 44, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 45, Description: "place_nothing-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 46, Description: "Bloodwitch the Wild-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MED", RA: "MED", LA: "MED", LH: "WHP", SH: "BUC", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", ColorMap: "/Data/Global/Monsters/PW/COF/Palshift.dat", Index: 3},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 47, Description: "Fangskin-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", ColorMap: "/Data/Global/Monsters/SD/COF/Palshift.dat", Index: 6},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 48, Description: "Beetleburst-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 5, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "MED", TR: "LIT", RA: "HVY", ColorMap: "/Data/Global/Monsters/SC/COF/Palshift.dat", Index: 6},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 49, Description: "Leatherarm-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 3, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", ColorMap: "/Data/Global/Monsters/MM/COF/Palshift.dat", Index: 7},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 50, Description: "Coldworm the Burrower-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 51, Description: "Fire Eye-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", ColorMap: "/Data/Global/Monsters/SR/COF/Palshift.dat", Index: 5},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 52, Description: "Dark Elder-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "MED", RA: "MED", LA: "MED", S1: "MED", S2: "MED", S3: "BLD", ColorMap: "/Data/Global/Monsters/ZM/COF/Palshift.dat", Index: 6},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 53, Description: "Ancient Kaa the Soulless-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", ColorMap: "/Data/Global/Monsters/GY/COF/Palshift.dat", Index: 4},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 54, Description: "act2guard4-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "MED", RA: "MED", LA: "MED", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 55, Description: "act2guard5-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", LG: "MED", RA: "MED", LA: "MED", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 56, Description: "sarcophagus-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 57, Description: "tyrael1-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 58, Description: "skeleton5-ACT 2 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 3, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "AXE", SH: "LRG", S1: "DES", S2: "DES", S3: "LIT", ColorMap: "/Data/Global/Monsters/SK/COF/Palshift.dat", Index: 7},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 59, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 60, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 61, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 62, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 63, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 64, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 65, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 66, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 67, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 68, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 69, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 70, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 71, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 72, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 73, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 74, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 75, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 76, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 77, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 78, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 79, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 80, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 81, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 82, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 83, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 84, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 85, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 86, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 87, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 88, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 89, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 90, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 91, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 92, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 93, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 94, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 95, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 96, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 97, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 98, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 99, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 100, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 101, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 102, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 103, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 104, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 105, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 106, Description: "skeleton1-Skeleton-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 107, Description: "skeleton2-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 108, Description: "skeleton3-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 109, Description: "skeleton4-BurningDead-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 110, Description: "skeleton5-Horror-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 111, Description: "zombie1-Zombie-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 112, Description: "zombie2-HungryDead-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 113, Description: "zombie3-Ghoul-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 114, Description: "zombie4-DrownedCarcass-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 115, Description: "zombie5-PlagueBearer-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 116, Description: "bighead1-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 117, Description: "bighead2-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 118, Description: "bighead3-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 119, Description: "bighead4-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 120, Description: "bighead5-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 121, Description: "foulcrow1-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 122, Description: "foulcrow2-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 123, Description: "foulcrow3-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 124, Description: "foulcrow4-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 125, Description: "fallen1-Fallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 126, Description: "fallen2-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 127, Description: "fallen3-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 128, Description: "fallen4-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 129, Description: "fallen5-WarpedFallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 130, Description: "brute2-Brute-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 131, Description: "brute3-Yeti-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 132, Description: "brute4-Crusher-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 133, Description: "brute5-WailingBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 134, Description: "brute1-GargantuanBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 135, Description: "sandraider1-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 136, Description: "sandraider2-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 137, Description: "sandraider3-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 138, Description: "sandraider4-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 139, Description: "sandraider5-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 140, Description: "gorgon1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 141, Description: "gorgon2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 142, Description: "gorgon3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 143, Description: "gorgon4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 144, Description: "wraith1-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 145, Description: "wraith2-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 146, Description: "wraith3-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 147, Description: "wraith4-Apparition-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 148, Description: "wraith5-DarkShape-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 149, Description: "corruptrogue1-DarkHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 150, Description: "corruptrogue2-VileHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 151, Description: "corruptrogue3-DarkStalker-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 152, Description: "corruptrogue4-BlackRogue-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 153, Description: "corruptrogue5-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 154, Description: "baboon1-DuneBeast-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 155, Description: "baboon2-RockDweller-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 156, Description: "baboon3-JungleHunter-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 157, Description: "baboon4-DoomApe-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 158, Description: "baboon5-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 159, Description: "goatman1-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 160, Description: "goatman2-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 161, Description: "goatman3-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 162, Description: "goatman4-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 163, Description: "goatman5-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 164, Description: "fallenshaman1-FallenShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 165, Description: "fallenshaman2-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 166, Description: "fallenshaman3-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 167, Description: "fallenshaman4-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 168, Description: "fallenshaman5-WarpedShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 169, Description: "quillrat1-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 170, Description: "quillrat2-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 171, Description: "quillrat3-ThornBeast-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 172, Description: "quillrat4-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 173, Description: "quillrat5-JungleUrchin-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 174, Description: "sandmaggot1-SandMaggot-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 175, Description: "sandmaggot2-RockWorm-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 176, Description: "sandmaggot3-Devourer-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 177, Description: "sandmaggot4-GiantLamprey-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 178, Description: "sandmaggot5-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 179, Description: "clawviper1-TombViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 180, Description: "clawviper2-ClawViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 181, Description: "clawviper3-Salamander-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 182, Description: "clawviper4-PitViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 183, Description: "clawviper5-SerpentMagus-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 184, Description: "sandleaper1-SandLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 185, Description: "sandleaper2-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 186, Description: "sandleaper3-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 187, Description: "sandleaper4-TreeLurker-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 188, Description: "sandleaper5-RazorPitDemon-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 189, Description: "pantherwoman1-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 190, Description: "pantherwoman2-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 191, Description: "pantherwoman3-NightTiger-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 192, Description: "pantherwoman4-HellCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 193, Description: "swarm1-Itchies-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 194, Description: "swarm2-BlackLocusts-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 195, Description: "swarm3-PlagueBugs-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 196, Description: "swarm4-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 197, Description: "scarab1-DungSoldier-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 198, Description: "scarab2-SandWarrior-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 199, Description: "scarab3-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 200, Description: "scarab4-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 201, Description: "scarab5-AlbinoRoach-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 202, Description: "mummy1-DriedCorpse-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 203, Description: "mummy2-Decayed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 204, Description: "mummy3-Embalmed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 205, Description: "mummy4-PreservedDead-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 206, Description: "mummy5-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 207, Description: "unraveler1-HollowOne-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 208, Description: "unraveler2-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 209, Description: "unraveler3-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 210, Description: "unraveler4-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 211, Description: "unraveler5-Baal Subject Mummy-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 212, Description: "chaoshorde1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 213, Description: "chaoshorde2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 214, Description: "chaoshorde3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 215, Description: "chaoshorde4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 216, Description: "vulture1-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 217, Description: "vulture2-UndeadScavenger-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 218, Description: "vulture3-HellBuzzard-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 219, Description: "vulture4-WingedNightmare-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 220, Description: "mosquito1-Sucker-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 221, Description: "mosquito2-Feeder-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 222, Description: "mosquito3-BloodHook-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 223, Description: "mosquito4-BloodWing-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 224, Description: "willowisp1-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 225, Description: "willowisp2-SwampGhost-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 226, Description: "willowisp3-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 227, Description: "willowisp4-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 228, Description: "arach1-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 229, Description: "arach2-SandFisher-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 230, Description: "arach3-PoisonSpinner-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 231, Description: "arach4-FlameSpider-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 232, Description: "arach5-SpiderMagus-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 233, Description: "thornhulk1-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 234, Description: "thornhulk2-BrambleHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 235, Description: "thornhulk3-Thrasher-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 236, Description: "thornhulk4-Spikefist-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 237, Description: "vampire1-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 238, Description: "vampire2-NightLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 239, Description: "vampire3-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 240, Description: "vampire4-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 241, Description: "vampire5-Banished-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 242, Description: "batdemon1-DesertWing-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 243, Description: "batdemon2-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 244, Description: "batdemon3-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 245, Description: "batdemon4-BloodDiver-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 246, Description: "batdemon5-DarkFamiliar-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 247, Description: "fetish1-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 248, Description: "fetish2-Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 249, Description: "fetish3-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 250, Description: "fetish4-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 251, Description: "fetish5-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 252, Description: "cain1-DeckardCain-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 253, Description: "gheed-Gheed-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 254, Description: "akara-Akara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 255, Description: "chicken-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 256, Description: "kashya-Kashya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 257, Description: "rat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 258, Description: "rogue1-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 259, Description: "hellmeteor-Dummy-HellMeteor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 260, Description: "charsi-Charsi-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 261, Description: "warriv1-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 262, Description: "andariel-Andariel-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 263, Description: "bird1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BS", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 264, Description: "bird2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 265, Description: "bat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "B9", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 266, Description: "cr_archer1-DarkRanger-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 267, Description: "cr_archer2-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 268, Description: "cr_archer3-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 269, Description: "cr_archer4-BlackArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 270, Description: "cr_archer5-FleshArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 271, Description: "cr_lancer1-DarkSpearwoman-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 272, Description: "cr_lancer2-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 273, Description: "cr_lancer3-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 274, Description: "cr_lancer4-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 275, Description: "cr_lancer5-FleshLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 276, Description: "sk_archer1-SkeletonArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 277, Description: "sk_archer2-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 278, Description: "sk_archer3-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 279, Description: "sk_archer4-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 280, Description: "sk_archer5-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 281, Description: "warriv2-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 282, Description: "atma-Atma-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 283, Description: "drognan-Drognan-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 284, Description: "fara-Fara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 285, Description: "cow-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 286, Description: "maggotbaby1-SandMaggotYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 287, Description: "maggotbaby2-RockWormYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 288, Description: "maggotbaby3-DevourerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 289, Description: "maggotbaby4-GiantLampreyYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 290, Description: "maggotbaby5-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 291, Description: "camel-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 292, Description: "blunderbore1-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 293, Description: "blunderbore2-Gorbelly-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 294, Description: "blunderbore3-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 295, Description: "blunderbore4-Urdar-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 296, Description: "maggotegg1-SandMaggotEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 297, Description: "maggotegg2-RockWormEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 298, Description: "maggotegg3-DevourerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 299, Description: "maggotegg4-GiantLampreyEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 300, Description: "maggotegg5-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 301, Description: "act2male-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "OLD", TR: "MED", LG: "MED", S1: "TUR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 302, Description: "act2female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 303, Description: "act2child-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2C", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 304, Description: "greiz-Greiz-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 305, Description: "elzix-Elzix-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 306, Description: "geglash-Geglash-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 307, Description: "jerhyn-Jerhyn-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 308, Description: "lysander-Lysander-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 309, Description: "act2guard1-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 310, Description: "act2vendor1-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 311, Description: "act2vendor2-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 312, Description: "crownest1-FoulCrowNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 313, Description: "crownest2-BloodHawkNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 314, Description: "crownest3-BlackVultureNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 315, Description: "crownest4-CloudStalkerNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 316, Description: "meshif1-Meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 317, Description: "duriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 318, Description: "bonefetish1-Undead RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 319, Description: "bonefetish2-Undead Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 320, Description: "bonefetish3-Undead Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 321, Description: "bonefetish4-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 322, Description: "bonefetish5-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 323, Description: "darkguard1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 324, Description: "darkguard2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 325, Description: "darkguard3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 326, Description: "darkguard4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 327, Description: "darkguard5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 328, Description: "bloodmage1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 329, Description: "bloodmage2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 330, Description: "bloodmage3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 331, Description: "bloodmage4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 332, Description: "bloodmage5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 333, Description: "maggot-Maggot-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 334, Description: "sarcophagus-MummyGenerator-Sarcophagus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 335, Description: "radament-Radament-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 336, Description: "firebeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 337, Description: "iceglobe-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 338, Description: "lightningbeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 339, Description: "poisonorb-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 340, Description: "flyingscimitar-FlyingScimitar-FlyingScimitar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ST", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 341, Description: "zealot1-Zakarumite-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 342, Description: "zealot2-Faithful-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 343, Description: "zealot3-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 344, Description: "cantor1-Sexton-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 345, Description: "cantor2-Cantor-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 346, Description: "cantor3-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 347, Description: "cantor4-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 348, Description: "mephisto-Mephisto-Mephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 349, Description: "diablo-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 350, Description: "cain2-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 351, Description: "cain3-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 352, Description: "cain4-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 353, Description: "frogdemon1-Swamp Dweller-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 354, Description: "frogdemon2-Bog Creature-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 355, Description: "frogdemon3-Slime Prince-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 356, Description: "summoner-Summoner-Summoner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 357, Description: "tyrael1-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 358, Description: "asheara-asheara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 359, Description: "hratli-hratli-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 360, Description: "alkor-alkor-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 361, Description: "ormus-ormus-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 362, Description: "izual-izual-Izual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 363, Description: "halbu-halbu-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 364, Description: "tentacle1-WaterWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 365, Description: "tentacle2-RiverStalkerLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 366, Description: "tentacle3-StygianWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 367, Description: "tentaclehead1-WaterWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 368, Description: "tentaclehead2-RiverStalkerHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 369, Description: "tentaclehead3-StygianWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 370, Description: "meshif2-meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 371, Description: "cain5-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 372, Description: "navi-navi-Navi", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 373, Description: "bloodraven-Bloodraven-BloodRaven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 374, Description: "bug-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 375, Description: "scorpion-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 376, Description: "rogue2-RogueScout-GoodNpcRanged", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 377, Description: "roguehire-Dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 378, Description: "rogue3-Dummy-TownRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 379, Description: "gargoyletrap-GargoyleTrap-GargoyleTrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 380, Description: "skmage_pois1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 381, Description: "skmage_pois2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 382, Description: "skmage_pois3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 383, Description: "skmage_pois4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 384, Description: "fetishshaman1-RatManShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 385, Description: "fetishshaman2-FetishShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 386, Description: "fetishshaman3-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 387, Description: "fetishshaman4-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 388, Description: "fetishshaman5-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 389, Description: "larva-larva-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 390, Description: "maggotqueen1-SandMaggotQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 391, Description: "maggotqueen2-RockWormQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 392, Description: "maggotqueen3-DevourerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 393, Description: "maggotqueen4-GiantLampreyQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 394, Description: "maggotqueen5-WorldKillerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 395, Description: "claygolem-ClayGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 396, Description: "bloodgolem-BloodGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 397, Description: "irongolem-IronGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 398, Description: "firegolem-FireGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 399, Description: "familiar-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 400, Description: "act3male-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "HVY", RA: "HEV", LA: "HEV", RH: "FSH", LH: "SAK", S1: "TKT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 401, Description: "baboon6-NightMarauder-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 402, Description: "act3female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MTP", LG: "SRT", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 403, Description: "natalya-Natalya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 404, Description: "vilemother1-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 405, Description: "vilemother2-StygianHag-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 406, Description: "vilemother3-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 407, Description: "vilechild1-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 408, Description: "vilechild2-StygianDog-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 409, Description: "vilechild3-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 410, Description: "fingermage1-Groper-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 411, Description: "fingermage2-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 412, Description: "fingermage3-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 413, Description: "regurgitator1-Corpulent-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 414, Description: "regurgitator2-CorpseSpitter-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 415, Description: "regurgitator3-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 416, Description: "doomknight1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 417, Description: "doomknight2-AbyssKnight-AbyssKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 418, Description: "doomknight3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 419, Description: "quillbear1-QuillBear-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 420, Description: "quillbear2-SpikeGiant-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 421, Description: "quillbear3-ThornBrute-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 422, Description: "quillbear4-RazorBeast-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 423, Description: "quillbear5-GiantUrchin-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 424, Description: "snake-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 425, Description: "parrot-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PR", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 426, Description: "fish-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FJ", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 427, Description: "evilhole1-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 428, Description: "evilhole2-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 429, Description: "evilhole3-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 430, Description: "evilhole4-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 431, Description: "evilhole5-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 432, Description: "trap-firebolt-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 433, Description: "trap-horzmissile-a trap-Trap-RightArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 434, Description: "trap-vertmissile-a trap-Trap-LeftArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 435, Description: "trap-poisoncloud-a trap-Trap-Poison", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 436, Description: "trap-lightning-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 437, Description: "act2guard2-Kaelan-JarJar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 438, Description: "invisospawner-Dummy-InvisoSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 439, Description: "diabloclone-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 440, Description: "suckernest1-SuckerNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 441, Description: "suckernest2-FeederNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 442, Description: "suckernest3-BloodHookNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 443, Description: "suckernest4-BloodWingNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 444, Description: "act2hire-Guard-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 445, Description: "minispider-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 446, Description: "boneprison1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "67", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 447, Description: "boneprison2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "66", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 448, Description: "boneprison3--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "69", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 449, Description: "boneprison4--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "68", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 450, Description: "bonewall-Dummy-BoneWall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 451, Description: "councilmember1-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 452, Description: "councilmember2-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 453, Description: "councilmember3-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 454, Description: "turret1-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 455, Description: "turret2-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 456, Description: "turret3-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 457, Description: "hydra1-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 458, Description: "hydra2-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "21", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 459, Description: "hydra3-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 460, Description: "trap-melee-a trap-Trap-Melee", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 461, Description: "seventombs-Dummy-7TIllusion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 462, Description: "dopplezon-Dopplezon-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 463, Description: "valkyrie-Valkyrie-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 464, Description: "act2guard3-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 465, Description: "act3hire-Iron Wolf-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "WND", SH: "KIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 466, Description: "megademon1-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 467, Description: "megademon2-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 468, Description: "megademon3-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 469, Description: "necroskeleton-NecroSkeleton-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "SCM", SH: "KIT", S1: "DES", S2: "DES", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 470, Description: "necromage-NecroMage-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 471, Description: "griswold-Griswold-Griswold", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 472, Description: "compellingorb-compellingorb-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9a", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 473, Description: "tyrael2-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 474, Description: "darkwanderer-youngdiablo-DarkWanderer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 475, Description: "trap-nova-a trap-Trap-Nova", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 476, Description: "spiritmummy-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 477, Description: "lightningspire-LightningSpire-ArcaneTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 478, Description: "firetower-FireTower-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 479, Description: "slinger1-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 480, Description: "slinger2-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 481, Description: "slinger3-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 482, Description: "slinger4-HellSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 483, Description: "act2guard4-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 484, Description: "act2guard5-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 485, Description: "skmage_cold1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 486, Description: "skmage_cold2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 487, Description: "skmage_cold3-BaalColdMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 488, Description: "skmage_cold4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 489, Description: "skmage_fire1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 490, Description: "skmage_fire2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 491, Description: "skmage_fire3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 492, Description: "skmage_fire4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 493, Description: "skmage_ltng1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 494, Description: "skmage_ltng2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 495, Description: "skmage_ltng3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 496, Description: "skmage_ltng4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 497, Description: "hellbovine-Hell Bovine-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 498, Description: "window1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 499, Description: "window2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 500, Description: "slinger5-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 501, Description: "slinger6-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 502, Description: "fetishblow1-RatMan-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 503, Description: "fetishblow2-Fetish-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 504, Description: "fetishblow3-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 505, Description: "fetishblow4-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 506, Description: "fetishblow5-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 507, Description: "mephistospirit-Dummy-Spirit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 508, Description: "smith-The Smith-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 509, Description: "trappedsoul1-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 510, Description: "trappedsoul2-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 511, Description: "jamella-Jamella-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ja", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 512, Description: "izualghost-Izual-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "17", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 513, Description: "fetish11-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 514, Description: "malachai-Malachai-Buffy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 515, Description: "hephasto-The Feature Creep-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 516, Description: "wakeofdestruction-Wake of Destruction-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 517, Description: "chargeboltsentry-Charged Bolt Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 518, Description: "lightningsentry-Lightning Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 519, Description: "bladecreeper-Blade Creeper-BladeCreeper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b8", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 520, Description: "invisopet-Invis Pet-InvisoPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 521, Description: "infernosentry-Inferno Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 522, Description: "deathsentry-Death Sentry-DeathSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 523, Description: "shadowwarrior-Shadow Warrior-ShadowWarrior", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 524, Description: "shadowmaster-Shadow Master-ShadowMaster", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 525, Description: "druidhawk-Druid Hawk-Raven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "hk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 526, Description: "spiritwolf-Druid Spirit Wolf-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 527, Description: "fenris-Druid Fenris-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 528, Description: "spiritofbarbs-Spirit of Barbs-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 529, Description: "heartofwolverine-Heart of Wolverine-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 530, Description: "oaksage-Oak Sage-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 531, Description: "plaguepoppy-Druid Plague Poppy-Vines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 532, Description: "cycleoflife-Druid Cycle of Life-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 533, Description: "vinecreature-Vine Creature-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 534, Description: "druidbear-Druid Bear-DruidBear", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 535, Description: "eagle-Eagle-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "eg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 536, Description: "wolf-Wolf-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "40", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 537, Description: "bear-Bear-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 538, Description: "barricadedoor1-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 539, Description: "barricadedoor2-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 540, Description: "prisondoor-Prison Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 541, Description: "barricadetower-Barricade Tower-SiegeTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ac", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 542, Description: "reanimatedhorde1-RotWalker-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 543, Description: "reanimatedhorde2-ReanimatedHorde-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 544, Description: "reanimatedhorde3-ProwlingDead-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 545, Description: "reanimatedhorde4-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 546, Description: "reanimatedhorde5-DefiledWarrior-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 547, Description: "siegebeast1-Siege Beast-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 548, Description: "siegebeast2-CrushBiest-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 549, Description: "siegebeast3-BloodBringer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 550, Description: "siegebeast4-GoreBearer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 551, Description: "siegebeast5-DeamonSteed-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 552, Description: "snowyeti1-SnowYeti1-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 553, Description: "snowyeti2-SnowYeti2-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 554, Description: "snowyeti3-SnowYeti3-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 555, Description: "snowyeti4-SnowYeti4-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 556, Description: "wolfrider1-WolfRider1-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 557, Description: "wolfrider2-WolfRider2-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 558, Description: "wolfrider3-WolfRider3-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 559, Description: "minion1-Minionexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 560, Description: "minion2-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 561, Description: "minion3-IceBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 562, Description: "minion4-FireBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 563, Description: "minion5-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 564, Description: "minion6-IceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 565, Description: "minion7-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 566, Description: "minion8-GreaterIceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 567, Description: "suicideminion1-FanaticMinion-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 568, Description: "suicideminion2-BerserkSlayer-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 569, Description: "suicideminion3-ConsumedIceBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 570, Description: "suicideminion4-ConsumedFireBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 571, Description: "suicideminion5-FrenziedHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 572, Description: "suicideminion6-FrenziedIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 573, Description: "suicideminion7-InsaneHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 574, Description: "suicideminion8-InsaneIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 575, Description: "succubus1-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 576, Description: "succubus2-VileTemptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 577, Description: "succubus3-StygianHarlot-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 578, Description: "succubus4-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 579, Description: "succubus5-Blood Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 580, Description: "succubuswitch1-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 581, Description: "succubuswitch2-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 582, Description: "succubuswitch3-StygianFury-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 583, Description: "succubuswitch4-Blood Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 584, Description: "succubuswitch5-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 585, Description: "overseer1-OverSeer-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 586, Description: "overseer2-Lasher-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 587, Description: "overseer3-OverLord-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 588, Description: "overseer4-BloodBoss-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 589, Description: "overseer5-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 590, Description: "minionspawner1-MinionSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 591, Description: "minionspawner2-MinionSlayerSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 592, Description: "minionspawner3-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 593, Description: "minionspawner4-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 594, Description: "minionspawner5-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 595, Description: "minionspawner6-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 596, Description: "minionspawner7-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 597, Description: "minionspawner8-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 598, Description: "imp1-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 599, Description: "imp2-Imp2-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 600, Description: "imp3-Imp3-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 601, Description: "imp4-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 602, Description: "imp5-Imp5-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 603, Description: "catapult1-CatapultS-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 604, Description: "catapult2-CatapultE-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 605, Description: "catapult3-CatapultSiege-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 606, Description: "catapult4-CatapultW-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ua", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 607, Description: "frozenhorror1-Frozen Horror1-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 608, Description: "frozenhorror2-Frozen Horror2-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 609, Description: "frozenhorror3-Frozen Horror3-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 610, Description: "frozenhorror4-Frozen Horror4-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 611, Description: "frozenhorror5-Frozen Horror5-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 612, Description: "bloodlord1-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 613, Description: "bloodlord2-Blood Lord2-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 614, Description: "bloodlord3-Blood Lord3-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 615, Description: "bloodlord4-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 616, Description: "bloodlord5-Blood Lord5-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 617, Description: "larzuk-Larzuk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 618, Description: "drehya-Drehya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 619, Description: "malah-Malah-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 620, Description: "nihlathak-Nihlathak Town-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 621, Description: "qual-kehk-Qual-Kehk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 622, Description: "catapultspotter1-Catapult Spotter S-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 623, Description: "catapultspotter2-Catapult Spotter E-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 624, Description: "catapultspotter3-Catapult Spotter Siege-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 625, Description: "catapultspotter4-Catapult Spotter W-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 626, Description: "cain6-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 627, Description: "tyrael3-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 628, Description: "act5barb1-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 629, Description: "act5barb2-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 630, Description: "barricadewall1-Barricade Wall Right-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "A6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 631, Description: "barricadewall2-Barricade Wall Left-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 632, Description: "nihlathakboss-Nihlathak-Nihlathak", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 633, Description: "drehyaiced-Drehya-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 634, Description: "evilhut-Evil hut-GenericSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 635, Description: "deathmauler1-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 636, Description: "deathmauler2-Death Mauler2-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 637, Description: "deathmauler3-Death Mauler3-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 638, Description: "deathmauler4-Death Mauler4-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 639, Description: "deathmauler5-Death Mauler5-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 640, Description: "act5pow-POW-Wussie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 641, Description: "act5barb3-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 642, Description: "act5barb4-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 643, Description: "ancientstatue1-Ancient Statue 1-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 644, Description: "ancientstatue2-Ancient Statue 2-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 645, Description: "ancientstatue3-Ancient Statue 3-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 646, Description: "ancientbarb1-Ancient Barbarian 1-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 647, Description: "ancientbarb2-Ancient Barbarian 2-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 648, Description: "ancientbarb3-Ancient Barbarian 3-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 649, Description: "baalthrone-Baal Throne-BaalThrone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 650, Description: "baalcrab-Baal Crab-BaalCrab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 651, Description: "baaltaunt-Baal Taunt-BaalTaunt", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 652, Description: "putriddefiler1-Putrid Defiler1-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 653, Description: "putriddefiler2-Putrid Defiler2-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 654, Description: "putriddefiler3-Putrid Defiler3-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 655, Description: "putriddefiler4-Putrid Defiler4-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 656, Description: "putriddefiler5-Putrid Defiler5-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 657, Description: "painworm1-Pain Worm1-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 658, Description: "painworm2-Pain Worm2-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 659, Description: "painworm3-Pain Worm3-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 660, Description: "painworm4-Pain Worm4-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 661, Description: "painworm5-Pain Worm5-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 662, Description: "bunny-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "48", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 663, Description: "baalhighpriest-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 664, Description: "venomlord-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FLB", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 665, Description: "baalcrabstairs-Baal Crab to Stairs-BaalToStairs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 666, Description: "act5hire1-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 667, Description: "act5hire2-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 668, Description: "baaltentacle1-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 669, Description: "baaltentacle2-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 670, Description: "baaltentacle3-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 671, Description: "baaltentacle4-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 672, Description: "baaltentacle5-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 673, Description: "injuredbarb1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 674, Description: "injuredbarb2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7j", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 675, Description: "injuredbarb3-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7i", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 676, Description: "baalclone-Baal Crab Clone-BaalCrabClone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 677, Description: "baalminion1-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 678, Description: "baalminion2-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 679, Description: "baalminion3-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 680, Description: "worldstoneeffect-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 681, Description: "sk_archer6-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 682, Description: "sk_archer7-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 683, Description: "sk_archer8-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 684, Description: "sk_archer9-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 685, Description: "sk_archer10-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 686, Description: "bighead6-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 687, Description: "bighead7-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 688, Description: "bighead8-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 689, Description: "bighead9-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 690, Description: "bighead10-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 691, Description: "goatman6-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 692, Description: "goatman7-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 693, Description: "goatman8-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 694, Description: "goatman9-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 695, Description: "goatman10-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 696, Description: "foulcrow5-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 697, Description: "foulcrow6-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 698, Description: "foulcrow7-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 699, Description: "foulcrow8-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 700, Description: "clawviper6-ClawViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 701, Description: "clawviper7-PitViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 702, Description: "clawviper8-Salamander-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 703, Description: "clawviper9-TombViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 704, Description: "clawviper10-SerpentMagus-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 705, Description: "sandraider6-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 706, Description: "sandraider7-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 707, Description: "sandraider8-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 708, Description: "sandraider9-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 709, Description: "sandraider10-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 710, Description: "deathmauler6-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 711, Description: "quillrat6-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 712, Description: "quillrat7-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 713, Description: "quillrat8-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 714, Description: "vulture5-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 715, Description: "thornhulk5-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 716, Description: "slinger7-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 717, Description: "slinger8-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 718, Description: "slinger9-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 719, Description: "cr_archer6-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 720, Description: "cr_archer7-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 721, Description: "cr_lancer6-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 722, Description: "cr_lancer7-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 723, Description: "cr_lancer8-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 724, Description: "blunderbore5-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 725, Description: "blunderbore6-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 726, Description: "skmage_fire5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 727, Description: "skmage_fire6-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 728, Description: "skmage_ltng5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 729, Description: "skmage_ltng6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 730, Description: "skmage_cold5-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 731, Description: "skmage_pois5-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 732, Description: "skmage_pois6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 733, Description: "pantherwoman5-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 734, Description: "pantherwoman6-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 735, Description: "sandleaper6-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 736, Description: "sandleaper7-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 737, Description: "wraith6-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 738, Description: "wraith7-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 739, Description: "wraith8-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 740, Description: "succubus6-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 741, Description: "succubus7-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 742, Description: "succubuswitch6-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 743, Description: "succubuswitch7-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 744, Description: "succubuswitch8-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 745, Description: "willowisp5-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 746, Description: "willowisp6-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 747, Description: "willowisp7-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 748, Description: "fallen6-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 749, Description: "fallen7-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 750, Description: "fallen8-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 751, Description: "fallenshaman6-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 752, Description: "fallenshaman7-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 753, Description: "fallenshaman8-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 754, Description: "skeleton6-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 755, Description: "skeleton7-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 756, Description: "batdemon6-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 757, Description: "batdemon7-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 758, Description: "bloodlord6-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 759, Description: "bloodlord7-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 760, Description: "scarab6-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 761, Description: "scarab7-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 762, Description: "fetish6-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 763, Description: "fetish7-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 764, Description: "fetish8-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 765, Description: "fetishblow6-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 766, Description: "fetishblow7-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 767, Description: "fetishblow8-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 768, Description: "fetishshaman6-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 769, Description: "fetishshaman7-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 770, Description: "fetishshaman8-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 771, Description: "baboon7-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 772, Description: "baboon8-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 773, Description: "unraveler6-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 774, Description: "unraveler7-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 775, Description: "unraveler8-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 776, Description: "unraveler9-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 777, Description: "zealot4-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 778, Description: "zealot5-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 779, Description: "cantor5-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 780, Description: "cantor6-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 781, Description: "vilemother4-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 782, Description: "vilemother5-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 783, Description: "vilechild4-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 784, Description: "vilechild5-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 785, Description: "sandmaggot6-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 786, Description: "maggotbaby6-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 787, Description: "maggotegg6-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 788, Description: "minion9-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 789, Description: "minion10-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 790, Description: "minion11-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 791, Description: "arach6-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 792, Description: "megademon4-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 793, Description: "megademon5-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 794, Description: "imp6-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 795, Description: "imp7-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 796, Description: "bonefetish6-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 797, Description: "bonefetish7-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 798, Description: "fingermage4-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 799, Description: "fingermage5-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 800, Description: "regurgitator4-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 801, Description: "vampire6-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 802, Description: "vampire7-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 803, Description: "vampire8-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 804, Description: "reanimatedhorde6-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 805, Description: "dkfig1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 806, Description: "dkfig2-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 807, Description: "dkmag1-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 808, Description: "dkmag2-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 809, Description: "mummy6-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 810, Description: "ubermephisto-Mephisto-UberMephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 811, Description: "uberdiablo-Diablo-UberDiablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 812, Description: "uberizual-izual-UberIzual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 813, Description: "uberandariel-Lilith-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 814, Description: "uberduriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 815, Description: "uberbaal-Baal Crab-UberBaal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 816, Description: "demonspawner-Evil hut-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 817, Description: "demonhole-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 818, Description: "megademon6-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 819, Description: "dkmag3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 820, Description: "imp8-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 821, Description: "swarm5-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 822, Description: "sandmaggot7-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 823, Description: "arach7-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 824, Description: "scarab8-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 825, Description: "succubus8-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 826, Description: "succubuswitch9-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 827, Description: "corruptrogue6-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 828, Description: "cr_archer8-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 829, Description: "cr_lancer9-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 830, Description: "overseer6-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 831, Description: "skeleton8-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 832, Description: "sk_archer11-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 833, Description: "skmage_fire7-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 834, Description: "skmage_ltng7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 835, Description: "skmage_cold6-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 836, Description: "skmage_pois7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 837, Description: "vampire9-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 838, Description: "wraith9-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 839, Description: "willowisp8-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 840, Description: "Bishibosh-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 841, Description: "Bonebreak-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 842, Description: "Coldcrow-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 843, Description: "Rakanishu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "SWD", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 844, Description: "Treehead WoodFist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 845, Description: "Griswold-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 846, Description: "The Countess-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 847, Description: "Pitspawn Fouldog-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 848, Description: "Flamespike the Crawler-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 849, Description: "Boneash-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 850, Description: "Radament-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 851, Description: "Bloodwitch the Wild-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 852, Description: "Fangskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 853, Description: "Beetleburst-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 854, Description: "Leatherarm-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 855, Description: "Coldworm the Burrower-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 856, Description: "Fire Eye-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 857, Description: "Dark Elder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 858, Description: "The Summoner-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 859, Description: "Ancient Kaa the Soulless-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 860, Description: "The Smith-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 861, Description: "Web Mage the Burning-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 862, Description: "Witch Doctor Endugu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 863, Description: "Stormtree-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 864, Description: "Sarina the Battlemaid-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 865, Description: "Icehawk Riftwing-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 866, Description: "Ismail Vilehand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 867, Description: "Geleb Flamefinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 868, Description: "Bremm Sparkfist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 869, Description: "Toorc Icefist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 870, Description: "Wyand Voidfinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 871, Description: "Maffer Dragonhand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 872, Description: "Winged Death-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 873, Description: "The Tormentor-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 874, Description: "Taintbreeder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 875, Description: "Riftwraith the Cannibal-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 876, Description: "Infector of Souls-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 877, Description: "Lord De Seis-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 878, Description: "Grand Vizier of Chaos-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 879, Description: "The Cow King-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 880, Description: "Corpsefire-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 881, Description: "The Feature Creep-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 882, Description: "Siege Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 883, Description: "Ancient Barbarian 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 884, Description: "Ancient Barbarian 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 885, Description: "Ancient Barbarian 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 886, Description: "Axe Dweller-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 887, Description: "Bonesaw Breaker-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 888, Description: "Dac Farren-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 889, Description: "Megaflow Rectifier-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 890, Description: "Eyeback Unleashed-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 891, Description: "Threash Socket-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 892, Description: "Pindleskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 893, Description: "Snapchip Shatter-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 894, Description: "Anodized Elite-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 895, Description: "Vinvear Molech-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 896, Description: "Sharp Tooth Sayer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 897, Description: "Magma Torquer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 898, Description: "Blaze Ripper-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 899, Description: "Frozenstein-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 900, Description: "Nihlathak Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 901, Description: "Baal Subject 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 902, Description: "Baal Subject 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 903, Description: "Baal Subject 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 904, Description: "Baal Subject 4-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeCharacter, Id: 905, Description: "Baal Subject 5-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 0, Description: "Trap Door (74)", ObjectsTxtId: 74, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 1, Description: "torch 1 tiki (37)", ObjectsTxtId: 37, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 2, Description: "Teleport Pad 1 (192)", ObjectsTxtId: 192, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7H", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 3, Description: "Teleport Pad 2 (304)", ObjectsTxtId: 304, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7H", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 4, Description: "Teleport Pad 3 (305)", ObjectsTxtId: 305, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AA", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 5, Description: "Teleport Pad 4 (306)", ObjectsTxtId: 306, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AA", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 6, Description: "brazier 3 (101)", ObjectsTxtId: 101, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 7, Description: "brazier floor (102)", ObjectsTxtId: 102, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 8, Description: "invisible town sound (78)", ObjectsTxtId: 78, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 9, Description: "flies (103)", ObjectsTxtId: 103, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 10, Description: "waypoint (156)", ObjectsTxtId: 156, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WM", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 11, Description: "-580", ObjectsTxtId: 580, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 12, Description: "Well, cathedralwell inside (132)", ObjectsTxtId: 132, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 13, Description: "Door, secret 1 (129)", ObjectsTxtId: 129, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "H2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 14, Description: "Horazon's Journal (357)", ObjectsTxtId: 357, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 15, Description: "Door, Tyrael's door (153)", ObjectsTxtId: 153, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 16, Description: "Jerhyn, placeholder 1 (121)", ObjectsTxtId: 121, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 17, Description: "Jerhyn, placeholder 2 (122)", ObjectsTxtId: 122, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 18, Description: "Closed Door, slimedoor R (229)", ObjectsTxtId: 229, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 19, Description: "Closed Door, slimedoor L (230)", ObjectsTxtId: 230, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 20, Description: "a Trap, test data floortrap (196)", ObjectsTxtId: 196, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 21, Description: "Your Private Stash (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 22, Description: "a Trap, spikes tombs floortrap (261)", ObjectsTxtId: 261, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 23, Description: "Tainted Sun Altar (149)", ObjectsTxtId: 149, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZA", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 24, Description: "gold placeholder (269)", ObjectsTxtId: 269, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1G", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 25, Description: "Large Urn, urn 1 (4)", ObjectsTxtId: 4, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 26, Description: "Corona, urn 2 (9)", ObjectsTxtId: 9, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 27, Description: "Urn, urn 3 (52)", ObjectsTxtId: 52, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 28, Description: "Large Urn, urn 4 (94)", ObjectsTxtId: 94, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 29, Description: "Large Urn, urn 5 (95)", ObjectsTxtId: 95, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 30, Description: "Jug, desert 1 (142)", ObjectsTxtId: 142, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 31, Description: "Jug, desert 2 (143)", ObjectsTxtId: 143, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 32, Description: "Chest, R Large (5)", ObjectsTxtId: 5, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 33, Description: "Chest, L Large 1 (6)", ObjectsTxtId: 6, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 34, Description: "Chest, L Large tomb 1 (87)", ObjectsTxtId: 87, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 35, Description: "Chest, R Large tomb 2 (88)", ObjectsTxtId: 88, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 36, Description: "Chest, R Med  (146)", ObjectsTxtId: 146, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 37, Description: "Chest, R Med  (146)", ObjectsTxtId: 146, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 38, Description: "Chest, R Large desert tomb (147)", ObjectsTxtId: 147, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 39, Description: "Chest, L Large desert tomb (148)", ObjectsTxtId: 148, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 40, Description: "Chest, 1L general (240)", ObjectsTxtId: 240, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 41, Description: "Chest, 2R general (241)", ObjectsTxtId: 241, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 42, Description: "Chest, 3R general (242)", ObjectsTxtId: 242, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 43, Description: "Chest, 3L general (243)", ObjectsTxtId: 243, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 44, Description: "Chest, L Med (176)", ObjectsTxtId: 176, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 45, Description: "Chest, L Large 2 (177)", ObjectsTxtId: 177, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 46, Description: "Chest, L Tallskinney (198)", ObjectsTxtId: 198, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 47, Description: "Rat's Nest (246)", ObjectsTxtId: 246, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 48, Description: "brazier (29)", ObjectsTxtId: 29, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 49, Description: "Flame, fire small (160)", ObjectsTxtId: 160, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 50, Description: "Flame, fire medium (161)", ObjectsTxtId: 161, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 51, Description: "Fire, fire large (162)", ObjectsTxtId: 162, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 52, Description: "flame, no damage (273)", ObjectsTxtId: 273, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 53, Description: "brazier celler (283)", ObjectsTxtId: 283, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 54, Description: "Shrine, bull health tombs (85)", ObjectsTxtId: 85, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 55, Description: "stele, magic shrine stone desert (86)", ObjectsTxtId: 86, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 56, Description: "Shrine, palace health R harom arcane (109)", ObjectsTxtId: 109, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 57, Description: "Shrine, snake woman magic tomb arcane (116)", ObjectsTxtId: 116, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 58, Description: "Shrine, dshrine2 (134)", ObjectsTxtId: 134, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 59, Description: "Shrine, desertshrine 3 (135)", ObjectsTxtId: 135, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZR", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 60, Description: "Shrine, dshrine 1 a (136)", ObjectsTxtId: 136, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 61, Description: "Shrine, dshrine 1 b (150)", ObjectsTxtId: 150, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZV", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 62, Description: "Shrine, dshrine 4 (151)", ObjectsTxtId: 151, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZE", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 63, Description: "Shrine, health well desert (172)", ObjectsTxtId: 172, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 64, Description: "Shrine, mana well7 desert (173)", ObjectsTxtId: 173, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 65, Description: "Shrine, magic shrine sewers (279)", ObjectsTxtId: 279, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WJ", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 66, Description: "Shrine, healthwell sewers (280)", ObjectsTxtId: 280, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 67, Description: "Shrine, manawell sewers (281)", ObjectsTxtId: 281, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 68, Description: "Shrine, magic shrine sewers dungeon (282)", ObjectsTxtId: 282, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 69, Description: "Shrine, mana well3 tomb (166)", ObjectsTxtId: 166, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 70, Description: "Shrine, mana well4 harom (167)", ObjectsTxtId: 167, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 71, Description: "Well, fountain2 desert tomb (113)", ObjectsTxtId: 113, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 72, Description: "Well, desertwell tomb (137)", ObjectsTxtId: 137, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 73, Description: "Sarcophagus, mummy coffin L tomb (89)", ObjectsTxtId: 89, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 74, Description: "Armor stand, 1 R (104)", ObjectsTxtId: 104, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 75, Description: "Armor stand, 2 L (105)", ObjectsTxtId: 105, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 76, Description: "Weapon Rack, 1 R (106)", ObjectsTxtId: 106, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 77, Description: "Weapon Rack, 2 L (107)", ObjectsTxtId: 107, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 78, Description: "Corpse, guard (154)", ObjectsTxtId: 154, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 79, Description: "Skeleton (171)", ObjectsTxtId: 171, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 80, Description: "Guard Corpse, on stick (178)", ObjectsTxtId: 178, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 81, Description: "Corpse, guard 2 (270)", ObjectsTxtId: 270, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 82, Description: "Corpse, villager 1 (271)", ObjectsTxtId: 271, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 83, Description: "Corpse, villager 2 (272)", ObjectsTxtId: 272, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 84, Description: "Goo Pile, for sand maggot lair (266)", ObjectsTxtId: 266, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 85, Description: "Hidden Stash, tiny pixel shaped (274)", ObjectsTxtId: 274, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 86, Description: "Rat's Nest, sewers (244)", ObjectsTxtId: 244, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 87, Description: "Sarcophagus, anubis coffin tomb (284)", ObjectsTxtId: 284, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 88, Description: "waypoint, celler (288)", ObjectsTxtId: 288, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 89, Description: "Portal to, arcane portal (298)", ObjectsTxtId: 298, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AY", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 90, Description: "Bed, harum (289)", ObjectsTxtId: 289, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 91, Description: "wall torch L for tombs (296)", ObjectsTxtId: 296, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QD", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 92, Description: "wall torch R for tombs (297)", ObjectsTxtId: 297, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 93, Description: "brazier small desert town tombs (287)", ObjectsTxtId: 287, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BQ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 94, Description: "brazier tall desert town tombs (286)", ObjectsTxtId: 286, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 95, Description: "brazier general sewers tomb desert (285)", ObjectsTxtId: 285, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 96, Description: "Closed Door, iron grate L (290)", ObjectsTxtId: 290, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 97, Description: "Closed Door, iron grate R (291)", ObjectsTxtId: 291, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 98, Description: "Door, wooden grate L (292)", ObjectsTxtId: 292, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 99, Description: "Door, wooden grate R (293)", ObjectsTxtId: 293, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 100, Description: "Door, wooden L (294)", ObjectsTxtId: 294, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 101, Description: "Closed Door, wooden R (295)", ObjectsTxtId: 295, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 102, Description: "Shrine, arcane (133)", ObjectsTxtId: 133, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 103, Description: "Magic Shrine, arcane (303)", ObjectsTxtId: 303, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HD", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 104, Description: "Magic Shrine, haram 1 (299)", ObjectsTxtId: 299, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HB", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 105, Description: "Magic Shrine, haram 2 (300)", ObjectsTxtId: 300, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HC", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 106, Description: "maggot well health (301)", ObjectsTxtId: 301, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 107, Description: "Shrine, maggot well mana (302)", ObjectsTxtId: 302, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 108, Description: "-581", ObjectsTxtId: 581, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 109, Description: "Chest, horadric cube (354)", ObjectsTxtId: 354, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 110, Description: "Tomb signs in Arcane (582)", ObjectsTxtId: 582, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 111, Description: "Dead Guard, harem 1 (314)", ObjectsTxtId: 314, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 112, Description: "Dead Guard, harem 2 (315)", ObjectsTxtId: 315, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 113, Description: "Dead Guard, harem 3 (316)", ObjectsTxtId: 316, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 114, Description: "Dead Guard, harem 4 (317)", ObjectsTxtId: 317, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 115, Description: "Waypoint, sewer (323)", ObjectsTxtId: 323, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QM", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 116, Description: "Well, tomb (322)", ObjectsTxtId: 322, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 117, Description: "drinker (110)", ObjectsTxtId: 110, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 118, Description: "gesturer (112)", ObjectsTxtId: 112, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N6", Mode: "S2", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 119, Description: "turner (114)", ObjectsTxtId: 114, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 120, Description: "Chest, horadric scroll (355)", ObjectsTxtId: 355, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 121, Description: "Chest, staff of kings (356)", ObjectsTxtId: 356, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 122, Description: "Horazon's Journal (357)", ObjectsTxtId: 357, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 123, Description: "helllight source 1 (351)", ObjectsTxtId: 351, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 124, Description: "helllight source 2 (352)", ObjectsTxtId: 352, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 125, Description: "helllight source 3 (353)", ObjectsTxtId: 353, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 126, Description: "orifice, place Horadric Staff (152)", ObjectsTxtId: 152, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 127, Description: "fog water (374)", ObjectsTxtId: 374, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 128, Description: "Chest, arcane big L (387)", ObjectsTxtId: 387, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 129, Description: "Chest, arcane big R (389)", ObjectsTxtId: 389, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 130, Description: "Chest, arcane small L (390)", ObjectsTxtId: 390, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 131, Description: "Chest, arcane small R (391)", ObjectsTxtId: 391, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 132, Description: "Casket, arcane (388)", ObjectsTxtId: 388, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 133, Description: "Chest, sparkly (397)", ObjectsTxtId: 397, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 134, Description: "Waypoint, valley (402)", ObjectsTxtId: 402, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YI", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 135, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 136, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 137, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 138, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 139, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 140, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 141, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 142, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 143, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 144, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 145, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 146, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 147, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 148, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 149, Description: "ACT 2 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 150, Description: "Dummy-test data SKIPT IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "NU0", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 151, Description: "Casket-Casket #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 152, Description: "Shrine-Shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 153, Description: "Casket-Casket #6", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 154, Description: "LargeUrn-Urn #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 155, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 156, Description: "chest-LargeChestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 157, Description: "Barrel-Barrel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 158, Description: "TowerTome-Tower Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 159, Description: "Urn-Urn #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 160, Description: "Dummy-Bench", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 161, Description: "Barrel-BarrelExploding", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 162, Description: "Dummy-RogueFountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 163, Description: "Door-Door Gate Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 164, Description: "Door-Door Gate Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 165, Description: "Door-Door Wooden Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 166, Description: "Door-Door Wooden Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 167, Description: "StoneAlpha-StoneAlpha", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 168, Description: "StoneBeta-StoneBeta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 169, Description: "StoneGamma-StoneGamma", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 170, Description: "StoneDelta-StoneDelta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 171, Description: "StoneLambda-StoneLambda", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 172, Description: "StoneTheta-StoneTheta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 173, Description: "Door-Door Courtyard Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 174, Description: "Door-Door Courtyard Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 175, Description: "Door-Door Cathedral Double", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 176, Description: "Gibbet-Cain's Been Captured", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 177, Description: "Door-Door Monastery Double Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 178, Description: "HoleAnim-Hole in Ground", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 179, Description: "Dummy-Brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 180, Description: "Inifuss-inifuss tree", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 181, Description: "Dummy-Fountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 182, Description: "Dummy-crucifix", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 183, Description: "Dummy-Candles1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 184, Description: "Dummy-Candles2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 185, Description: "Dummy-Standard1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 186, Description: "Dummy-Standard2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 187, Description: "Dummy-Torch1 Tiki", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 188, Description: "Dummy-Torch2 Wall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 189, Description: "fire-RogueBonfire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 190, Description: "Dummy-River1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 191, Description: "Dummy-River2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 192, Description: "Dummy-River3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 193, Description: "Dummy-River4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 194, Description: "Dummy-River5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 195, Description: "AmbientSound-ambient sound generator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 196, Description: "Crate-Crate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 197, Description: "Door-Andariel's Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 198, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 199, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 200, Description: "Casket-CasketR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 201, Description: "Casket-CasketL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 202, Description: "Urn-Urn #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 203, Description: "Casket-Casket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 204, Description: "RogueCorpse-Rogue corpse 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 205, Description: "RogueCorpse-Rogue corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 206, Description: "RogueCorpse-rolling rogue corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 207, Description: "CorpseOnStick-rogue on a stick 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 208, Description: "CorpseOnStick-rogue on a stick 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 209, Description: "Portal-Town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 210, Description: "Portal-Permanent town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 211, Description: "Dummy-Invisible object", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 212, Description: "Door-Door Cathedral Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 213, Description: "Door-Door Cathedral Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 214, Description: "Door-Door Wooden Left #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 215, Description: "Dummy-invisible river sound1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 216, Description: "Dummy-invisible river sound2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 217, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 218, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 219, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 220, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 221, Description: "Dummy-forest night sound #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F1", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 222, Description: "Dummy-forest night sound #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F2", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 223, Description: "Dummy-yeti dung", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 224, Description: "TrappDoor-Trap Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 225, Description: "Door-Door by Dock, Act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 226, Description: "Dummy-sewer drip", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SZ", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 227, Description: "Shrine-healthorama", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 228, Description: "Dummy-invisible town sound", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 229, Description: "Casket-casket #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 230, Description: "Obelisk-obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "OB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 231, Description: "Shrine-forest altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 232, Description: "Dummy-bubbling pool of blood", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 233, Description: "Shrine-horn shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 234, Description: "Shrine-healing well", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 235, Description: "Shrine-bull shrine,health, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 236, Description: "Dummy-stele,magic shrine, stone, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 237, Description: "Chest3-tombchest 1, largechestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 238, Description: "Chest3-tombchest 2 largechestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 239, Description: "Sarcophagus-mummy coffinL, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 240, Description: "Obelisk-desert obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 241, Description: "Door-tomb door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 242, Description: "Door-tomb door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 243, Description: "Shrine-mana shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 244, Description: "LargeUrn-Urn #4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 245, Description: "LargeUrn-Urn #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 246, Description: "Shrine-health shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 247, Description: "Shrine-innershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ix", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 248, Description: "Door-tomb door left 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 249, Description: "Door-tomb door right 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 250, Description: "Duriel's Lair-Portal to Duriel's Lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 251, Description: "Dummy-Brazier3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 252, Description: "Dummy-Floor brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 253, Description: "Dummy-flies", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 254, Description: "ArmorStand-Armor Stand 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 255, Description: "ArmorStand-Armor Stand 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 256, Description: "WeaponRack-Weapon Rack 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 257, Description: "WeaponRack-Weapon Rack 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 258, Description: "Malus-Malus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 259, Description: "Shrine-palace shrine, healthR, harom, arcane Sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 260, Description: "not used-drinker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 261, Description: "well-Fountain 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 262, Description: "not used-gesturer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n6", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 263, Description: "well-Fountain 2, well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 264, Description: "not used-turner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 265, Description: "well-Fountain 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 266, Description: "Shrine-snake woman, magic shrine, tomb, arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 267, Description: "Dummy-jungle torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 268, Description: "Well-Fountain 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 269, Description: "Waypoint-waypoint portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wp", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 270, Description: "Dummy-healthshrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 271, Description: "jerhyn-placeholder #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 272, Description: "jerhyn-placeholder #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 273, Description: "Shrine-innershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 274, Description: "Shrine-innershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 275, Description: "hidden stash-ihobject3 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 276, Description: "skull pile-skullpile inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "is", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 277, Description: "hidden stash-ihobject5 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ir", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 278, Description: "hidden stash-hobject4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 279, Description: "Door-secret door 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "h2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 280, Description: "Well-pool act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 281, Description: "Dummy-vile dog afterglow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 282, Description: "Well-cathedralwell act 1 inside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 283, Description: "shrine-shrine1_arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 284, Description: "shrine-dshrine2 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zs", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 285, Description: "shrine-desertshrine3 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zr", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 286, Description: "shrine-dshrine1 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 287, Description: "Well-desertwell act 2 well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 288, Description: "Well-cavewell act 1 caves ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 289, Description: "chest-chest-r-large act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 290, Description: "chest-chest-r-tallskinney act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 291, Description: "chest-chest-r-med act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 292, Description: "jug-jug1 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 293, Description: "jug-jug2 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 294, Description: "chest-Lchest1 act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 295, Description: "Waypoint-waypointi inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 296, Description: "chest-dchest2R act 2, desert, tomb, chest-r-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 297, Description: "chest-dchestr act 2, desert, tomb, chest -r large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 298, Description: "chest-dchestL act 2, desert, tomb chest l large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 299, Description: "taintedsunaltar-tainted sun altar quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "za", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 300, Description: "shrine-dshrine1 act 2 , desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 301, Description: "shrine-dshrine4 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ze", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 302, Description: "orifice-Where you place the Horadric staff", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 303, Description: "Door-tyrael's door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 304, Description: "corpse-guard corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 305, Description: "hidden stash-rock act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 306, Description: "Waypoint-waypoint act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 307, Description: "Waypoint-waypoint act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wn", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 308, Description: "skeleton-corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 309, Description: "hidden stash-rockb act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 310, Description: "fire-fire small", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 311, Description: "fire-fire medium", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 312, Description: "fire-fire large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 313, Description: "hiding spot-cliff act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 314, Description: "Shrine-mana well1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 315, Description: "Shrine-mana well2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 316, Description: "Shrine-mana well3, act 2, tomb, ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 317, Description: "Shrine-mana well4, act 2, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 318, Description: "Shrine-mana well5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 319, Description: "hollow log-log", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 320, Description: "Shrine-jungle healwell act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 321, Description: "skeleton-corpseb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 322, Description: "Shrine-health well, health shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 323, Description: "Shrine-mana well7, mana shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 324, Description: "loose rock-rockc act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 325, Description: "loose boulder-rockd act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 326, Description: "chest-chest-L-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 327, Description: "chest-chest-L-large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 328, Description: "GuardCorpse-guard on a stick, desert, tomb, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 329, Description: "bookshelf-bookshelf1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 330, Description: "bookshelf-bookshelf2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 331, Description: "chest-jungle chest act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 332, Description: "coffin-tombcoffin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 333, Description: "chest-chest-L-med, jungle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 334, Description: "Shrine-jungle shrine2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 335, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 336, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 337, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 338, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ju", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 339, Description: "Dummy-cain portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tP", Mode: "OP", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 340, Description: "Shrine-jungle shrine3 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "js", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 341, Description: "Shrine-jungle shrine4 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 342, Description: "teleport pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 343, Description: "LamTome-Lam Esen's Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ab", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 344, Description: "stair-stairsl", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sl", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 345, Description: "stair-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 346, Description: "a trap-test data floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "a5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 347, Description: "Shrine-jungleshrine act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jq", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 348, Description: "chest-chest-L-tallskinney, general chest r?", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 349, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 350, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "my", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 351, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mx", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 352, Description: "Shrine-mafistomana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 353, Description: "stash-mafistolair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 354, Description: "stash-box", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 355, Description: "stash-altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 356, Description: "Shrine-mafistohealth", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 357, Description: "dummy-water rocks in act 3 wrok", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 358, Description: "Basket-basket 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 359, Description: "Basket-basket 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 360, Description: "Dummy-water logs in act 3  ne logw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 361, Description: "Dummy-water rocks girl in act 3 wrob", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 362, Description: "Dummy-bubbles in act3 water", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 363, Description: "Dummy-water logs in act 3 logx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wd", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 364, Description: "Dummy-water rocks in act 3 rokb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 365, Description: "Dummy-water rocks girl in act 3 watc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "we", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 366, Description: "Dummy-water rocks in act 3 waty", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 367, Description: "Dummy-water logs in act 3  logz", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lx", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 368, Description: "Dummy-web covered tree 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 369, Description: "Dummy-web covered tree 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 370, Description: "Dummy-web covered tree 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 371, Description: "Dummy-web covered tree 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 372, Description: "pillar-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 373, Description: "cocoon-cacoon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 374, Description: "cocoon-cacoon 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 375, Description: "skullpile-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ib", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 376, Description: "Shrine-outershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ia", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 377, Description: "dummy-water rock girl act 3  nw  blgb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 378, Description: "dummy-big log act 3  sw blga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 379, Description: "door-slimedoor1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 380, Description: "door-slimedoor2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 381, Description: "Shrine-outershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ht", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 382, Description: "Shrine-outershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 383, Description: "pillar-hobject2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 384, Description: "dummy-Big log act 3 se blgc ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 385, Description: "dummy-Big log act 3 nw blgd", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 386, Description: "Shrine-health wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ho", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 387, Description: "Waypoint-act3waypoint town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 388, Description: "Waypoint-waypointh", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wv", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 389, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 390, Description: "chest-gchest1L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cy", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 391, Description: "chest-gchest2R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 392, Description: "chest-gchest3R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 393, Description: "chest-glchest3L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 394, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 395, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "by", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 396, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ra", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 397, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qa", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 398, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 399, Description: "manashrine-mana wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hn", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 400, Description: "a trap-exploding cow  for Tristan and ACT 3 only??Very Rare  1 or 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ew", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 401, Description: "gidbinn altar-gidbinn altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ga", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 402, Description: "gidbinn-gidbinn decoy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "gd", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 403, Description: "Dummy-diablo right light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 404, Description: "Dummy-diablo left light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 405, Description: "Dummy-diablo start point", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 406, Description: "Dummy-stool for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 407, Description: "Dummy-wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wg", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 408, Description: "Dummy-more wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 409, Description: "Dummy-skeleton spawn for hell   facing nw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 410, Description: "Shrine-holyshrine for monastery,catacombs,jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HL", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 411, Description: "a trap-spikes for tombs floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 412, Description: "Shrine-act 1 cathedral", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 413, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jb", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 414, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 415, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jf", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 416, Description: "goo pile-goo pile for sand maggot lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 417, Description: "bank-bank", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 418, Description: "wirt's body-wirt's body", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 419, Description: "dummy-gold placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1g", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 420, Description: "corpse-guard corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 421, Description: "corpse-dead villager 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 422, Description: "corpse-dead villager 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "df", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 423, Description: "Dummy-yet another flame, no damage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 424, Description: "hidden stash-tiny pixel shaped thingie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f9", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 425, Description: "Shrine-health shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ce", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 426, Description: "Shrine-mana shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 427, Description: "Shrine-cave magic shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 428, Description: "Shrine-manashrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "de", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 429, Description: "Shrine-magic shrine, act 3 sewers.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wj", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 430, Description: "Shrine-healthwell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 431, Description: "Shrine-manawell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 432, Description: "Shrine-magic shrine, act 3 sewers, dungeon.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ws", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 433, Description: "dummy-brazier_celler, act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bi", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 434, Description: "sarcophagus-anubis coffin, act2, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 435, Description: "dummy-brazier_general, act 2, sewers, tomb, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bm", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 436, Description: "Dummy-brazier_tall, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bo", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 437, Description: "Dummy-brazier_small, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 438, Description: "Waypoint-waypoint, celler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 439, Description: "bed-bed for harum", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ub", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 440, Description: "door-iron grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 441, Description: "door-iron grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dn", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 442, Description: "door-wooden grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dp", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 443, Description: "door-wooden grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dt", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 444, Description: "door-wooden door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 445, Description: "door-wooden door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 446, Description: "Dummy-wall torch left for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qd", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 447, Description: "Dummy-wall torch right for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qe", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 448, Description: "portal-arcane sanctuary portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ay", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 449, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hb", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 450, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hc", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 451, Description: "Dummy-maggot well health", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 452, Description: "manashrine-maggot well mana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 453, Description: "magic shrine-magic shrine, act 3 arcane sanctuary.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 454, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 455, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 456, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 457, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7a", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 458, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7b", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 459, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 460, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7d", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 461, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7e", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 462, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7f", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 463, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7g", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 464, Description: "dead guard-harem guard 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 465, Description: "dead guard-harem guard 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qi", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 466, Description: "dead guard-harem guard 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qj", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 467, Description: "dead guard-harem guard 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 468, Description: "eunuch-harem blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 469, Description: "Dummy-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ax", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 470, Description: "manashrine-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "au", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 471, Description: "Dummy-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "S1", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 472, Description: "Well-tombwell act 2 well, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hu", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 473, Description: "Waypoint-waypoint act2 sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 474, Description: "Waypoint-waypoint act3 travincal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ql", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 475, Description: "magic shrine-magic shrine, act 3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qn", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 476, Description: "dead body-act3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 477, Description: "dummy-torch (act 3 sewer) stra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 478, Description: "dummy-torch (act 3 kurast) strb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 479, Description: "chest-mafistochestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 480, Description: "chest-mafistochestlargeright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 481, Description: "chest-mafistochestmedleft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 482, Description: "chest-mafistochestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xe", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 483, Description: "chest-spiderlairchestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 484, Description: "chest-spiderlairchesttallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 485, Description: "chest-spiderlairchestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xh", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 486, Description: "chest-spiderlairchesttallright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 487, Description: "Steeg Stone-steeg stone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 488, Description: "Guild Vault-guild vault", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 489, Description: "Trophy Case-trophy case", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 490, Description: "Message Board-message board", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 491, Description: "Dummy-mephisto bridge", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 492, Description: "portal-hellgate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 493, Description: "Shrine-manawell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 494, Description: "Shrine-healthwell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 495, Description: "Dummy-hellfire1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 496, Description: "Dummy-hellfire2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 497, Description: "Dummy-hellfire3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 498, Description: "Dummy-helllava1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 499, Description: "Dummy-helllava2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 500, Description: "Dummy-helllava3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 501, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 502, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 503, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 504, Description: "chest-horadric cube chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 505, Description: "chest-horadric scroll chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 506, Description: "chest-staff of kings chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 507, Description: "Tome-yet another tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 508, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 509, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 510, Description: "RockPIle-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 511, Description: "magic shrine-magic shrine, act 3,dundeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 512, Description: "basket-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 513, Description: "HungSkeleton-outerhell skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 514, Description: "Dummy-guy for dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ea", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 515, Description: "casket-casket for Act 3 dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 516, Description: "sewer stairs-stairs for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ve", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 517, Description: "sewer lever-lever for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 518, Description: "darkwanderer-start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 519, Description: "dummy-trapped soul placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 520, Description: "Dummy-torch for act3 town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 521, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 522, Description: "BoneChest-innerhellbonepile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 523, Description: "Dummy-skeleton spawn for hell facing ne", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qt", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 524, Description: "Dummy-fog act 3 water rfga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ud", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 525, Description: "Dummy-Not used", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 526, Description: "Hellforge-Forge  hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ux", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 527, Description: "Guild Portal-Portal to next guild level", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 528, Description: "Dummy-hratli start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 529, Description: "Dummy-hratli end", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 530, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "uy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 531, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "15", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 532, Description: "Dummy-natalya start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 533, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 534, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 535, Description: "Dummy-cain start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 536, Description: "Dummy-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 537, Description: "chest-arcanesanctuarybigchestLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 538, Description: "casket-arcanesanctuarycasket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 539, Description: "chest-arcanesanctuarybigchestRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 540, Description: "chest-arcanesanctuarychestsmallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ya", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 541, Description: "chest-arcanesanctuarychestsmallRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 542, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 543, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 544, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 545, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 546, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 547, Description: "chest-sparklychest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 548, Description: "Waypoint-waypoint pandamonia fortress", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yg", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 549, Description: "fissure-fissure for act 4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "fh", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 550, Description: "Dummy-brazier for act 4, hell mesa", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "he", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 551, Description: "Dummy-smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 552, Description: "Waypoint-waypoint valleywaypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 553, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 554, Description: "compellingorb-compelling orb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 555, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 556, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 557, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 558, Description: "Dummy-fortress brazier #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 559, Description: "Dummy-fortress brazier #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 560, Description: "Siege Control-To control siege machines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 561, Description: "ptox-Pot O Torch (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "px", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 562, Description: "pyox-fire pit  (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "py", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 563, Description: "chestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 564, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6r", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 565, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 566, Description: "hiddenstash-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 567, Description: "flag wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ym", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 568, Description: "barrel wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 569, Description: "barrel wilderness-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 570, Description: "woodchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 571, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 572, Description: "manashrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 573, Description: "healthshrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 574, Description: "burialchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 575, Description: "burialchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 576, Description: "well-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 577, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 578, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yx", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 579, Description: "Waypoint-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yy", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 580, Description: "ChestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 581, Description: "woodchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 582, Description: "ChestSL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 583, Description: "ChestSR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 584, Description: "etorch1-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 585, Description: "ecfra-camp fire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2w", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 586, Description: "ettr-town torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 587, Description: "etorch2-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6e", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 588, Description: "burningbodies-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 589, Description: "burningpit-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 590, Description: "tribal flag-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6h", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 591, Description: "eflg-town flag", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 592, Description: "chan-chandeleir", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 593, Description: "jar1-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 594, Description: "jar2-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 595, Description: "jar3-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 596, Description: "swingingheads-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 597, Description: "pole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6m", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 598, Description: "animated skulland rockpile-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 599, Description: "gate-town main gate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 600, Description: "pileofskullsandrocks-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 601, Description: "hellgate-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 602, Description: "banner 1-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ao", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 603, Description: "banner 2-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ap", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 604, Description: "explodingchest-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 605, Description: "chest-specialchest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 606, Description: "deathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6v", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 607, Description: "Ldeathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6w", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 608, Description: "Altar-inside of temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 609, Description: "dummy-Drehya Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 610, Description: "dummy-Drehya Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 611, Description: "dummy-Nihlathak Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 612, Description: "dummy-Nihlathak Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 613, Description: "hidden stash-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 614, Description: "healthshrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 615, Description: "manashrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 616, Description: "evilurn-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 617, Description: "icecavejar1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 618, Description: "icecavejar2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 619, Description: "icecavejar3-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 620, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 621, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 622, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 623, Description: "cagedwussie1-caged fellow(A5-Prisonner)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 624, Description: "Ancient Statue 3-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 625, Description: "Ancient Statue 1-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "61", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 626, Description: "Ancient Statue 2-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "62", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 627, Description: "deadbarbarian-seige/wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 628, Description: "clientsmoke-client smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "oz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 629, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8k", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 630, Description: "icecave_torch1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 631, Description: "icecave_torch2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 632, Description: "ttor-expansion tiki torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 633, Description: "manashrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 634, Description: "healthshrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8o", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 635, Description: "tomb1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8p", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 636, Description: "tomb2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 637, Description: "tomb3-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8r", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 638, Description: "magic shrine-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 639, Description: "torch1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 640, Description: "torch2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8u", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 641, Description: "manashrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8v", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 642, Description: "healthshrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8w", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 643, Description: "well-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 644, Description: "Waypoint-baals_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 645, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 646, Description: "Waypoint-wilderness_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 647, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5b", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 648, Description: "well-baalslair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 649, Description: "magic shrine2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 650, Description: "object1-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 651, Description: "woodchestL-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 652, Description: "woodchestR-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 653, Description: "magic shrine-baals_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 654, Description: "woodchest2L-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 655, Description: "woodchest2R-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 656, Description: "swingingheads-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 657, Description: "debris-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5l", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 658, Description: "pene-Pen breakable door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 659, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 660, Description: "mrpole-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 661, Description: "Waypoint-icecave ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 662, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 663, Description: "well-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 664, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5r", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 665, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 666, Description: "object1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 667, Description: "object2-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 668, Description: "mrbox-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 669, Description: "well-icecave", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 670, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5y", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 671, Description: "healthshrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5z", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 672, Description: "manashrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 673, Description: "red light- (touch me)  for blacksmith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 674, Description: "tomb1L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 675, Description: "tomb2L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 676, Description: "tomb3L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 677, Description: "ubub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2u", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 678, Description: "sbub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2s", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 679, Description: "tomb1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 680, Description: "tomb1L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 681, Description: "tomb2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 682, Description: "tomb2L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 683, Description: "tomb3-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 684, Description: "tomb3L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 685, Description: "mrbox-redbaals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3L", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 686, Description: "torch1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 687, Description: "torch2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3n", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 688, Description: "candles-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3o", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 689, Description: "Waypoint-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3p", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 690, Description: "deadperson-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 691, Description: "groundtomb-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3s", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 692, Description: "Dummy-Larzuk Greeting", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 693, Description: "Dummy-Larzuk Standard", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 694, Description: "groundtombL-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3t", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 695, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 696, Description: "ancientsaltar-ancientsaltar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4a", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 697, Description: "To The Worldstone Keep Level 1-ancientsdoor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 698, Description: "eweaponrackR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 699, Description: "eweaponrackL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 700, Description: "earmorstandR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 701, Description: "earmorstandL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 702, Description: "torch2-summit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 703, Description: "funeralpire-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 704, Description: "burninglogs-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 705, Description: "stma-Ice cave steam", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 706, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 707, Description: "Dummy-Baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 708, Description: "fana-frozen anya", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2n", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 709, Description: "BBQB-BBQ Bunny", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 710, Description: "btor-Baal Torch Big", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 711, Description: "Dummy-invisible ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 712, Description: "Dummy-invisible base", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 713, Description: "The Worldstone Chamber-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 714, Description: "Glacial Caves Level 1-summit door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 715, Description: "strlastcinematic-last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 716, Description: "Harrogath-last last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 717, Description: "Zoo-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 718, Description: "Keeper-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 719, Description: "Throne of Destruction-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 720, Description: "Dummy-fire place guy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 721, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 2, Type: d2enum.ObjectTypeItem, Id: 722, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 0, Description: "cain3-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 1, Description: "place_champion-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 2, Description: "act3male-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "MED", RA: "MED", LA: "MED", RH: "BAN", LH: "BUK", S1: "HBD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 3, Description: "act3female-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "BTP", LG: "DLN", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 4, Description: "asheara-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 5, Description: "hratli-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 6, Description: "alkor-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 7, Description: "ormus-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 8, Description: "meshif2-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 9, Description: "place_amphibian-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 10, Description: "place_tentacle_ns-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 11, Description: "place_tentacle_ew-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 5, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 12, Description: "place_fetishnest-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 13, Description: "trap-horzmissile-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 14, Description: "trap-vertmissile-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 15, Description: "natalya-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 16, Description: "place_mosquitonest-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 17, Description: "place_group25-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 18, Description: "place_group50-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 19, Description: "place_group75-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 20, Description: "place_group100-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 21, Description: "compellingorb-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 22, Description: "mephisto-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 23, Description: "trap-melee-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 24, Description: "mephistospirit-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 2, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 25, Description: "act3hire-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "LSD", SH: "KIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 26, Description: "place_fetish-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 27, Description: "place_fetishshaman-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 28, Description: "Web Mage the Burning-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 29, Description: "Witch Doctor Endugu-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 30, Description: "Stormtree-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 31, Description: "Sarina the Battlemaid-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 32, Description: "Icehawk Riftwing-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 33, Description: "Ismail Vilehand-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 34, Description: "Geleb Flamefinger-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 35, Description: "Bremm Sparkfist-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 36, Description: "Toorc Icefist-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 37, Description: "Wyand Voidfinger-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 38, Description: "Maffer Dragonhand-ACT 3 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 39, Description: "skeleton1-Skeleton-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 40, Description: "skeleton2-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 41, Description: "skeleton3-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 42, Description: "skeleton4-BurningDead-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 43, Description: "skeleton5-Horror-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 44, Description: "zombie1-Zombie-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 45, Description: "zombie2-HungryDead-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 46, Description: "zombie3-Ghoul-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 47, Description: "zombie4-DrownedCarcass-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 48, Description: "zombie5-PlagueBearer-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 49, Description: "bighead1-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 50, Description: "bighead2-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 51, Description: "bighead3-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 52, Description: "bighead4-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 53, Description: "bighead5-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 54, Description: "foulcrow1-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 55, Description: "foulcrow2-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 56, Description: "foulcrow3-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 57, Description: "foulcrow4-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 58, Description: "fallen1-Fallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 59, Description: "fallen2-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 60, Description: "fallen3-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 61, Description: "fallen4-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 62, Description: "fallen5-WarpedFallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 63, Description: "brute2-Brute-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 64, Description: "brute3-Yeti-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 65, Description: "brute4-Crusher-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 66, Description: "brute5-WailingBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 67, Description: "brute1-GargantuanBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 68, Description: "sandraider1-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 69, Description: "sandraider2-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 70, Description: "sandraider3-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 71, Description: "sandraider4-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 72, Description: "sandraider5-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 73, Description: "gorgon1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 74, Description: "gorgon2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 75, Description: "gorgon3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 76, Description: "gorgon4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 77, Description: "wraith1-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 78, Description: "wraith2-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 79, Description: "wraith3-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 80, Description: "wraith4-Apparition-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 81, Description: "wraith5-DarkShape-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 82, Description: "corruptrogue1-DarkHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 83, Description: "corruptrogue2-VileHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 84, Description: "corruptrogue3-DarkStalker-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 85, Description: "corruptrogue4-BlackRogue-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 86, Description: "corruptrogue5-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 87, Description: "baboon1-DuneBeast-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 88, Description: "baboon2-RockDweller-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 89, Description: "baboon3-JungleHunter-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 90, Description: "baboon4-DoomApe-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 91, Description: "baboon5-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 92, Description: "goatman1-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 93, Description: "goatman2-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 94, Description: "goatman3-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 95, Description: "goatman4-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 96, Description: "goatman5-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 97, Description: "fallenshaman1-FallenShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 98, Description: "fallenshaman2-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 99, Description: "fallenshaman3-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 100, Description: "fallenshaman4-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 101, Description: "fallenshaman5-WarpedShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 102, Description: "quillrat1-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 103, Description: "quillrat2-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 104, Description: "quillrat3-ThornBeast-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 105, Description: "quillrat4-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 106, Description: "quillrat5-JungleUrchin-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 107, Description: "sandmaggot1-SandMaggot-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 108, Description: "sandmaggot2-RockWorm-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 109, Description: "sandmaggot3-Devourer-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 110, Description: "sandmaggot4-GiantLamprey-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 111, Description: "sandmaggot5-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 112, Description: "clawviper1-TombViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 113, Description: "clawviper2-ClawViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 114, Description: "clawviper3-Salamander-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 115, Description: "clawviper4-PitViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 116, Description: "clawviper5-SerpentMagus-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 117, Description: "sandleaper1-SandLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 118, Description: "sandleaper2-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 119, Description: "sandleaper3-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 120, Description: "sandleaper4-TreeLurker-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 121, Description: "sandleaper5-RazorPitDemon-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 122, Description: "pantherwoman1-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 123, Description: "pantherwoman2-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 124, Description: "pantherwoman3-NightTiger-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 125, Description: "pantherwoman4-HellCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 126, Description: "swarm1-Itchies-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 127, Description: "swarm2-BlackLocusts-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 128, Description: "swarm3-PlagueBugs-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 129, Description: "swarm4-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 130, Description: "scarab1-DungSoldier-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 131, Description: "scarab2-SandWarrior-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 132, Description: "scarab3-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 133, Description: "scarab4-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 134, Description: "scarab5-AlbinoRoach-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 135, Description: "mummy1-DriedCorpse-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 136, Description: "mummy2-Decayed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 137, Description: "mummy3-Embalmed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 138, Description: "mummy4-PreservedDead-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 139, Description: "mummy5-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 140, Description: "unraveler1-HollowOne-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 141, Description: "unraveler2-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 142, Description: "unraveler3-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 143, Description: "unraveler4-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 144, Description: "unraveler5-Baal Subject Mummy-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 145, Description: "chaoshorde1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 146, Description: "chaoshorde2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 147, Description: "chaoshorde3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 148, Description: "chaoshorde4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 149, Description: "vulture1-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 150, Description: "vulture2-UndeadScavenger-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 151, Description: "vulture3-HellBuzzard-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 152, Description: "vulture4-WingedNightmare-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 153, Description: "mosquito1-Sucker-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 154, Description: "mosquito2-Feeder-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 155, Description: "mosquito3-BloodHook-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 156, Description: "mosquito4-BloodWing-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 157, Description: "willowisp1-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 158, Description: "willowisp2-SwampGhost-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 159, Description: "willowisp3-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 160, Description: "willowisp4-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 161, Description: "arach1-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 162, Description: "arach2-SandFisher-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 163, Description: "arach3-PoisonSpinner-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 164, Description: "arach4-FlameSpider-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 165, Description: "arach5-SpiderMagus-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 166, Description: "thornhulk1-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 167, Description: "thornhulk2-BrambleHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 168, Description: "thornhulk3-Thrasher-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 169, Description: "thornhulk4-Spikefist-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 170, Description: "vampire1-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 171, Description: "vampire2-NightLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 172, Description: "vampire3-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 173, Description: "vampire4-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 174, Description: "vampire5-Banished-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 175, Description: "batdemon1-DesertWing-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 176, Description: "batdemon2-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 177, Description: "batdemon3-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 178, Description: "batdemon4-BloodDiver-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 179, Description: "batdemon5-DarkFamiliar-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 180, Description: "fetish1-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 181, Description: "fetish2-Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 182, Description: "fetish3-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 183, Description: "fetish4-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 184, Description: "fetish5-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 185, Description: "cain1-DeckardCain-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 186, Description: "gheed-Gheed-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 187, Description: "akara-Akara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 188, Description: "chicken-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 189, Description: "kashya-Kashya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 190, Description: "rat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 191, Description: "rogue1-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 192, Description: "hellmeteor-Dummy-HellMeteor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 193, Description: "charsi-Charsi-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 194, Description: "warriv1-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 195, Description: "andariel-Andariel-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 196, Description: "bird1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BS", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 197, Description: "bird2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 198, Description: "bat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "B9", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 199, Description: "cr_archer1-DarkRanger-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 200, Description: "cr_archer2-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 201, Description: "cr_archer3-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 202, Description: "cr_archer4-BlackArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 203, Description: "cr_archer5-FleshArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 204, Description: "cr_lancer1-DarkSpearwoman-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 205, Description: "cr_lancer2-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 206, Description: "cr_lancer3-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 207, Description: "cr_lancer4-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 208, Description: "cr_lancer5-FleshLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 209, Description: "sk_archer1-SkeletonArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 210, Description: "sk_archer2-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 211, Description: "sk_archer3-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 212, Description: "sk_archer4-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 213, Description: "sk_archer5-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 214, Description: "warriv2-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 215, Description: "atma-Atma-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 216, Description: "drognan-Drognan-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 217, Description: "fara-Fara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 218, Description: "cow-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 219, Description: "maggotbaby1-SandMaggotYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 220, Description: "maggotbaby2-RockWormYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 221, Description: "maggotbaby3-DevourerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 222, Description: "maggotbaby4-GiantLampreyYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 223, Description: "maggotbaby5-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 224, Description: "camel-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 225, Description: "blunderbore1-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 226, Description: "blunderbore2-Gorbelly-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 227, Description: "blunderbore3-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 228, Description: "blunderbore4-Urdar-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 229, Description: "maggotegg1-SandMaggotEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 230, Description: "maggotegg2-RockWormEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 231, Description: "maggotegg3-DevourerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 232, Description: "maggotegg4-GiantLampreyEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 233, Description: "maggotegg5-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 234, Description: "act2male-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "OLD", TR: "MED", LG: "MED", S1: "TUR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 235, Description: "act2female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 236, Description: "act2child-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2C", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 237, Description: "greiz-Greiz-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 238, Description: "elzix-Elzix-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 239, Description: "geglash-Geglash-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 240, Description: "jerhyn-Jerhyn-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 241, Description: "lysander-Lysander-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 242, Description: "act2guard1-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 243, Description: "act2vendor1-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 244, Description: "act2vendor2-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 245, Description: "crownest1-FoulCrowNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 246, Description: "crownest2-BloodHawkNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 247, Description: "crownest3-BlackVultureNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 248, Description: "crownest4-CloudStalkerNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 249, Description: "meshif1-Meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 250, Description: "duriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 251, Description: "bonefetish1-Undead RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 252, Description: "bonefetish2-Undead Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 253, Description: "bonefetish3-Undead Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 254, Description: "bonefetish4-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 255, Description: "bonefetish5-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 256, Description: "darkguard1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 257, Description: "darkguard2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 258, Description: "darkguard3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 259, Description: "darkguard4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 260, Description: "darkguard5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 261, Description: "bloodmage1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 262, Description: "bloodmage2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 263, Description: "bloodmage3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 264, Description: "bloodmage4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 265, Description: "bloodmage5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 266, Description: "maggot-Maggot-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 267, Description: "sarcophagus-MummyGenerator-Sarcophagus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 268, Description: "radament-Radament-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 269, Description: "firebeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 270, Description: "iceglobe-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 271, Description: "lightningbeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 272, Description: "poisonorb-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 273, Description: "flyingscimitar-FlyingScimitar-FlyingScimitar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ST", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 274, Description: "zealot1-Zakarumite-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 275, Description: "zealot2-Faithful-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 276, Description: "zealot3-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 277, Description: "cantor1-Sexton-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 278, Description: "cantor2-Cantor-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 279, Description: "cantor3-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 280, Description: "cantor4-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 281, Description: "mephisto-Mephisto-Mephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 282, Description: "diablo-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 283, Description: "cain2-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 284, Description: "cain3-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 285, Description: "cain4-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 286, Description: "frogdemon1-Swamp Dweller-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 287, Description: "frogdemon2-Bog Creature-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 288, Description: "frogdemon3-Slime Prince-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 289, Description: "summoner-Summoner-Summoner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 290, Description: "tyrael1-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 291, Description: "asheara-asheara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 292, Description: "hratli-hratli-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 293, Description: "alkor-alkor-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 294, Description: "ormus-ormus-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 295, Description: "izual-izual-Izual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 296, Description: "halbu-halbu-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 297, Description: "tentacle1-WaterWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 298, Description: "tentacle2-RiverStalkerLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 299, Description: "tentacle3-StygianWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 300, Description: "tentaclehead1-WaterWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 301, Description: "tentaclehead2-RiverStalkerHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 302, Description: "tentaclehead3-StygianWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 303, Description: "meshif2-meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 304, Description: "cain5-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 305, Description: "navi-navi-Navi", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 306, Description: "bloodraven-Bloodraven-BloodRaven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 307, Description: "bug-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 308, Description: "scorpion-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 309, Description: "rogue2-RogueScout-GoodNpcRanged", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 310, Description: "roguehire-Dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 311, Description: "rogue3-Dummy-TownRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 312, Description: "gargoyletrap-GargoyleTrap-GargoyleTrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 313, Description: "skmage_pois1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 314, Description: "skmage_pois2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 315, Description: "skmage_pois3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 316, Description: "skmage_pois4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 317, Description: "fetishshaman1-RatManShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 318, Description: "fetishshaman2-FetishShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 319, Description: "fetishshaman3-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 320, Description: "fetishshaman4-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 321, Description: "fetishshaman5-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 322, Description: "larva-larva-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 323, Description: "maggotqueen1-SandMaggotQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 324, Description: "maggotqueen2-RockWormQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 325, Description: "maggotqueen3-DevourerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 326, Description: "maggotqueen4-GiantLampreyQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 327, Description: "maggotqueen5-WorldKillerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 328, Description: "claygolem-ClayGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 329, Description: "bloodgolem-BloodGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 330, Description: "irongolem-IronGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 331, Description: "firegolem-FireGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 332, Description: "familiar-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 333, Description: "act3male-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "HVY", RA: "HEV", LA: "HEV", RH: "FSH", LH: "SAK", S1: "TKT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 334, Description: "baboon6-NightMarauder-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 335, Description: "act3female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MTP", LG: "SRT", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 336, Description: "natalya-Natalya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 337, Description: "vilemother1-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 338, Description: "vilemother2-StygianHag-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 339, Description: "vilemother3-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 340, Description: "vilechild1-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 341, Description: "vilechild2-StygianDog-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 342, Description: "vilechild3-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 343, Description: "fingermage1-Groper-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 344, Description: "fingermage2-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 345, Description: "fingermage3-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 346, Description: "regurgitator1-Corpulent-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 347, Description: "regurgitator2-CorpseSpitter-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 348, Description: "regurgitator3-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 349, Description: "doomknight1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 350, Description: "doomknight2-AbyssKnight-AbyssKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 351, Description: "doomknight3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 352, Description: "quillbear1-QuillBear-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 353, Description: "quillbear2-SpikeGiant-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 354, Description: "quillbear3-ThornBrute-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 355, Description: "quillbear4-RazorBeast-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 356, Description: "quillbear5-GiantUrchin-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 357, Description: "snake-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 358, Description: "parrot-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PR", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 359, Description: "fish-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FJ", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 360, Description: "evilhole1-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 361, Description: "evilhole2-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 362, Description: "evilhole3-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 363, Description: "evilhole4-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 364, Description: "evilhole5-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 365, Description: "trap-firebolt-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 366, Description: "trap-horzmissile-a trap-Trap-RightArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 367, Description: "trap-vertmissile-a trap-Trap-LeftArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 368, Description: "trap-poisoncloud-a trap-Trap-Poison", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 369, Description: "trap-lightning-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 370, Description: "act2guard2-Kaelan-JarJar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 371, Description: "invisospawner-Dummy-InvisoSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 372, Description: "diabloclone-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 373, Description: "suckernest1-SuckerNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 374, Description: "suckernest2-FeederNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 375, Description: "suckernest3-BloodHookNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 376, Description: "suckernest4-BloodWingNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 377, Description: "act2hire-Guard-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 378, Description: "minispider-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 379, Description: "boneprison1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "67", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 380, Description: "boneprison2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "66", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 381, Description: "boneprison3--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "69", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 382, Description: "boneprison4--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "68", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 383, Description: "bonewall-Dummy-BoneWall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 384, Description: "councilmember1-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 385, Description: "councilmember2-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 386, Description: "councilmember3-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 387, Description: "turret1-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 388, Description: "turret2-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 389, Description: "turret3-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 390, Description: "hydra1-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 391, Description: "hydra2-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "21", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 392, Description: "hydra3-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 393, Description: "trap-melee-a trap-Trap-Melee", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 394, Description: "seventombs-Dummy-7TIllusion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 395, Description: "dopplezon-Dopplezon-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 396, Description: "valkyrie-Valkyrie-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 397, Description: "act2guard3-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 398, Description: "act3hire-Iron Wolf-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "WND", SH: "KIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 399, Description: "megademon1-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 400, Description: "megademon2-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 401, Description: "megademon3-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 402, Description: "necroskeleton-NecroSkeleton-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "SCM", SH: "KIT", S1: "DES", S2: "DES", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 403, Description: "necromage-NecroMage-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 404, Description: "griswold-Griswold-Griswold", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 405, Description: "compellingorb-compellingorb-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9a", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 406, Description: "tyrael2-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 407, Description: "darkwanderer-youngdiablo-DarkWanderer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 408, Description: "trap-nova-a trap-Trap-Nova", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 409, Description: "spiritmummy-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 410, Description: "lightningspire-LightningSpire-ArcaneTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 411, Description: "firetower-FireTower-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 412, Description: "slinger1-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 413, Description: "slinger2-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 414, Description: "slinger3-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 415, Description: "slinger4-HellSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 416, Description: "act2guard4-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 417, Description: "act2guard5-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 418, Description: "skmage_cold1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 419, Description: "skmage_cold2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 420, Description: "skmage_cold3-BaalColdMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 421, Description: "skmage_cold4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 422, Description: "skmage_fire1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 423, Description: "skmage_fire2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 424, Description: "skmage_fire3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 425, Description: "skmage_fire4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 426, Description: "skmage_ltng1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 427, Description: "skmage_ltng2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 428, Description: "skmage_ltng3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 429, Description: "skmage_ltng4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 430, Description: "hellbovine-Hell Bovine-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 431, Description: "window1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 432, Description: "window2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 433, Description: "slinger5-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 434, Description: "slinger6-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 435, Description: "fetishblow1-RatMan-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 436, Description: "fetishblow2-Fetish-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 437, Description: "fetishblow3-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 438, Description: "fetishblow4-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 439, Description: "fetishblow5-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 440, Description: "mephistospirit-Dummy-Spirit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 441, Description: "smith-The Smith-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 442, Description: "trappedsoul1-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 443, Description: "trappedsoul2-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 444, Description: "jamella-Jamella-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ja", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 445, Description: "izualghost-Izual-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "17", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 446, Description: "fetish11-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 447, Description: "malachai-Malachai-Buffy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 448, Description: "hephasto-The Feature Creep-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 449, Description: "wakeofdestruction-Wake of Destruction-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 450, Description: "chargeboltsentry-Charged Bolt Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 451, Description: "lightningsentry-Lightning Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 452, Description: "bladecreeper-Blade Creeper-BladeCreeper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b8", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 453, Description: "invisopet-Invis Pet-InvisoPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 454, Description: "infernosentry-Inferno Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 455, Description: "deathsentry-Death Sentry-DeathSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 456, Description: "shadowwarrior-Shadow Warrior-ShadowWarrior", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 457, Description: "shadowmaster-Shadow Master-ShadowMaster", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 458, Description: "druidhawk-Druid Hawk-Raven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "hk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 459, Description: "spiritwolf-Druid Spirit Wolf-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 460, Description: "fenris-Druid Fenris-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 461, Description: "spiritofbarbs-Spirit of Barbs-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 462, Description: "heartofwolverine-Heart of Wolverine-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 463, Description: "oaksage-Oak Sage-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 464, Description: "plaguepoppy-Druid Plague Poppy-Vines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 465, Description: "cycleoflife-Druid Cycle of Life-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 466, Description: "vinecreature-Vine Creature-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 467, Description: "druidbear-Druid Bear-DruidBear", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 468, Description: "eagle-Eagle-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "eg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 469, Description: "wolf-Wolf-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "40", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 470, Description: "bear-Bear-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 471, Description: "barricadedoor1-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 472, Description: "barricadedoor2-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 473, Description: "prisondoor-Prison Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 474, Description: "barricadetower-Barricade Tower-SiegeTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ac", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 475, Description: "reanimatedhorde1-RotWalker-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 476, Description: "reanimatedhorde2-ReanimatedHorde-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 477, Description: "reanimatedhorde3-ProwlingDead-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 478, Description: "reanimatedhorde4-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 479, Description: "reanimatedhorde5-DefiledWarrior-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 480, Description: "siegebeast1-Siege Beast-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 481, Description: "siegebeast2-CrushBiest-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 482, Description: "siegebeast3-BloodBringer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 483, Description: "siegebeast4-GoreBearer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 484, Description: "siegebeast5-DeamonSteed-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 485, Description: "snowyeti1-SnowYeti1-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 486, Description: "snowyeti2-SnowYeti2-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 487, Description: "snowyeti3-SnowYeti3-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 488, Description: "snowyeti4-SnowYeti4-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 489, Description: "wolfrider1-WolfRider1-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 490, Description: "wolfrider2-WolfRider2-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 491, Description: "wolfrider3-WolfRider3-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 492, Description: "minion1-Minionexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 493, Description: "minion2-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 494, Description: "minion3-IceBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 495, Description: "minion4-FireBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 496, Description: "minion5-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 497, Description: "minion6-IceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 498, Description: "minion7-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 499, Description: "minion8-GreaterIceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 500, Description: "suicideminion1-FanaticMinion-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 501, Description: "suicideminion2-BerserkSlayer-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 502, Description: "suicideminion3-ConsumedIceBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 503, Description: "suicideminion4-ConsumedFireBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 504, Description: "suicideminion5-FrenziedHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 505, Description: "suicideminion6-FrenziedIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 506, Description: "suicideminion7-InsaneHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 507, Description: "suicideminion8-InsaneIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 508, Description: "succubus1-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 509, Description: "succubus2-VileTemptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 510, Description: "succubus3-StygianHarlot-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 511, Description: "succubus4-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 512, Description: "succubus5-Blood Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 513, Description: "succubuswitch1-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 514, Description: "succubuswitch2-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 515, Description: "succubuswitch3-StygianFury-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 516, Description: "succubuswitch4-Blood Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 517, Description: "succubuswitch5-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 518, Description: "overseer1-OverSeer-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 519, Description: "overseer2-Lasher-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 520, Description: "overseer3-OverLord-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 521, Description: "overseer4-BloodBoss-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 522, Description: "overseer5-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 523, Description: "minionspawner1-MinionSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 524, Description: "minionspawner2-MinionSlayerSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 525, Description: "minionspawner3-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 526, Description: "minionspawner4-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 527, Description: "minionspawner5-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 528, Description: "minionspawner6-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 529, Description: "minionspawner7-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 530, Description: "minionspawner8-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 531, Description: "imp1-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 532, Description: "imp2-Imp2-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 533, Description: "imp3-Imp3-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 534, Description: "imp4-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 535, Description: "imp5-Imp5-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 536, Description: "catapult1-CatapultS-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 537, Description: "catapult2-CatapultE-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 538, Description: "catapult3-CatapultSiege-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 539, Description: "catapult4-CatapultW-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ua", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 540, Description: "frozenhorror1-Frozen Horror1-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 541, Description: "frozenhorror2-Frozen Horror2-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 542, Description: "frozenhorror3-Frozen Horror3-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 543, Description: "frozenhorror4-Frozen Horror4-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 544, Description: "frozenhorror5-Frozen Horror5-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 545, Description: "bloodlord1-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 546, Description: "bloodlord2-Blood Lord2-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 547, Description: "bloodlord3-Blood Lord3-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 548, Description: "bloodlord4-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 549, Description: "bloodlord5-Blood Lord5-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 550, Description: "larzuk-Larzuk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 551, Description: "drehya-Drehya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 552, Description: "malah-Malah-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 553, Description: "nihlathak-Nihlathak Town-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 554, Description: "qual-kehk-Qual-Kehk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 555, Description: "catapultspotter1-Catapult Spotter S-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 556, Description: "catapultspotter2-Catapult Spotter E-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 557, Description: "catapultspotter3-Catapult Spotter Siege-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 558, Description: "catapultspotter4-Catapult Spotter W-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 559, Description: "cain6-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 560, Description: "tyrael3-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 561, Description: "act5barb1-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 562, Description: "act5barb2-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 563, Description: "barricadewall1-Barricade Wall Right-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "A6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 564, Description: "barricadewall2-Barricade Wall Left-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 565, Description: "nihlathakboss-Nihlathak-Nihlathak", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 566, Description: "drehyaiced-Drehya-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 567, Description: "evilhut-Evil hut-GenericSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 568, Description: "deathmauler1-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 569, Description: "deathmauler2-Death Mauler2-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 570, Description: "deathmauler3-Death Mauler3-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 571, Description: "deathmauler4-Death Mauler4-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 572, Description: "deathmauler5-Death Mauler5-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 573, Description: "act5pow-POW-Wussie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 574, Description: "act5barb3-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 575, Description: "act5barb4-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 576, Description: "ancientstatue1-Ancient Statue 1-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 577, Description: "ancientstatue2-Ancient Statue 2-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 578, Description: "ancientstatue3-Ancient Statue 3-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 579, Description: "ancientbarb1-Ancient Barbarian 1-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 580, Description: "ancientbarb2-Ancient Barbarian 2-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 581, Description: "ancientbarb3-Ancient Barbarian 3-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 582, Description: "baalthrone-Baal Throne-BaalThrone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 583, Description: "baalcrab-Baal Crab-BaalCrab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 584, Description: "baaltaunt-Baal Taunt-BaalTaunt", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 585, Description: "putriddefiler1-Putrid Defiler1-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 586, Description: "putriddefiler2-Putrid Defiler2-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 587, Description: "putriddefiler3-Putrid Defiler3-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 588, Description: "putriddefiler4-Putrid Defiler4-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 589, Description: "putriddefiler5-Putrid Defiler5-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 590, Description: "painworm1-Pain Worm1-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 591, Description: "painworm2-Pain Worm2-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 592, Description: "painworm3-Pain Worm3-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 593, Description: "painworm4-Pain Worm4-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 594, Description: "painworm5-Pain Worm5-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 595, Description: "bunny-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "48", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 596, Description: "baalhighpriest-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 597, Description: "venomlord-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FLB", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 598, Description: "baalcrabstairs-Baal Crab to Stairs-BaalToStairs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 599, Description: "act5hire1-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 600, Description: "act5hire2-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 601, Description: "baaltentacle1-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 602, Description: "baaltentacle2-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 603, Description: "baaltentacle3-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 604, Description: "baaltentacle4-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 605, Description: "baaltentacle5-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 606, Description: "injuredbarb1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 607, Description: "injuredbarb2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7j", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 608, Description: "injuredbarb3-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7i", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 609, Description: "baalclone-Baal Crab Clone-BaalCrabClone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 610, Description: "baalminion1-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 611, Description: "baalminion2-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 612, Description: "baalminion3-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 613, Description: "worldstoneeffect-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 614, Description: "sk_archer6-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 615, Description: "sk_archer7-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 616, Description: "sk_archer8-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 617, Description: "sk_archer9-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 618, Description: "sk_archer10-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 619, Description: "bighead6-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 620, Description: "bighead7-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 621, Description: "bighead8-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 622, Description: "bighead9-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 623, Description: "bighead10-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 624, Description: "goatman6-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 625, Description: "goatman7-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 626, Description: "goatman8-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 627, Description: "goatman9-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 628, Description: "goatman10-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 629, Description: "foulcrow5-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 630, Description: "foulcrow6-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 631, Description: "foulcrow7-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 632, Description: "foulcrow8-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 633, Description: "clawviper6-ClawViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 634, Description: "clawviper7-PitViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 635, Description: "clawviper8-Salamander-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 636, Description: "clawviper9-TombViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 637, Description: "clawviper10-SerpentMagus-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 638, Description: "sandraider6-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 639, Description: "sandraider7-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 640, Description: "sandraider8-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 641, Description: "sandraider9-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 642, Description: "sandraider10-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 643, Description: "deathmauler6-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 644, Description: "quillrat6-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 645, Description: "quillrat7-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 646, Description: "quillrat8-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 647, Description: "vulture5-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 648, Description: "thornhulk5-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 649, Description: "slinger7-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 650, Description: "slinger8-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 651, Description: "slinger9-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 652, Description: "cr_archer6-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 653, Description: "cr_archer7-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 654, Description: "cr_lancer6-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 655, Description: "cr_lancer7-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 656, Description: "cr_lancer8-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 657, Description: "blunderbore5-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 658, Description: "blunderbore6-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 659, Description: "skmage_fire5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 660, Description: "skmage_fire6-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 661, Description: "skmage_ltng5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 662, Description: "skmage_ltng6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 663, Description: "skmage_cold5-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 664, Description: "skmage_pois5-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 665, Description: "skmage_pois6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 666, Description: "pantherwoman5-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 667, Description: "pantherwoman6-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 668, Description: "sandleaper6-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 669, Description: "sandleaper7-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 670, Description: "wraith6-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 671, Description: "wraith7-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 672, Description: "wraith8-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 673, Description: "succubus6-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 674, Description: "succubus7-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 675, Description: "succubuswitch6-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 676, Description: "succubuswitch7-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 677, Description: "succubuswitch8-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 678, Description: "willowisp5-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 679, Description: "willowisp6-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 680, Description: "willowisp7-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 681, Description: "fallen6-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 682, Description: "fallen7-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 683, Description: "fallen8-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 684, Description: "fallenshaman6-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 685, Description: "fallenshaman7-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 686, Description: "fallenshaman8-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 687, Description: "skeleton6-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 688, Description: "skeleton7-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 689, Description: "batdemon6-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 690, Description: "batdemon7-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 691, Description: "bloodlord6-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 692, Description: "bloodlord7-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 693, Description: "scarab6-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 694, Description: "scarab7-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 695, Description: "fetish6-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 696, Description: "fetish7-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 697, Description: "fetish8-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 698, Description: "fetishblow6-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 699, Description: "fetishblow7-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 700, Description: "fetishblow8-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 701, Description: "fetishshaman6-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 702, Description: "fetishshaman7-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 703, Description: "fetishshaman8-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 704, Description: "baboon7-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 705, Description: "baboon8-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 706, Description: "unraveler6-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 707, Description: "unraveler7-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 708, Description: "unraveler8-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 709, Description: "unraveler9-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 710, Description: "zealot4-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 711, Description: "zealot5-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 712, Description: "cantor5-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 713, Description: "cantor6-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 714, Description: "vilemother4-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 715, Description: "vilemother5-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 716, Description: "vilechild4-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 717, Description: "vilechild5-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 718, Description: "sandmaggot6-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 719, Description: "maggotbaby6-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 720, Description: "maggotegg6-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 721, Description: "minion9-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 722, Description: "minion10-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 723, Description: "minion11-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 724, Description: "arach6-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 725, Description: "megademon4-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 726, Description: "megademon5-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 727, Description: "imp6-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 728, Description: "imp7-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 729, Description: "bonefetish6-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 730, Description: "bonefetish7-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 731, Description: "fingermage4-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 732, Description: "fingermage5-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 733, Description: "regurgitator4-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 734, Description: "vampire6-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 735, Description: "vampire7-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 736, Description: "vampire8-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 737, Description: "reanimatedhorde6-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 738, Description: "dkfig1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 739, Description: "dkfig2-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 740, Description: "dkmag1-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 741, Description: "dkmag2-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 742, Description: "mummy6-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 743, Description: "ubermephisto-Mephisto-UberMephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 744, Description: "uberdiablo-Diablo-UberDiablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 745, Description: "uberizual-izual-UberIzual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 746, Description: "uberandariel-Lilith-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 747, Description: "uberduriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 748, Description: "uberbaal-Baal Crab-UberBaal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 749, Description: "demonspawner-Evil hut-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 750, Description: "demonhole-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 751, Description: "megademon6-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 752, Description: "dkmag3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 753, Description: "imp8-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 754, Description: "swarm5-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 755, Description: "sandmaggot7-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 756, Description: "arach7-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 757, Description: "scarab8-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 758, Description: "succubus8-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 759, Description: "succubuswitch9-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 760, Description: "corruptrogue6-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 761, Description: "cr_archer8-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 762, Description: "cr_lancer9-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 763, Description: "overseer6-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 764, Description: "skeleton8-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 765, Description: "sk_archer11-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 766, Description: "skmage_fire7-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 767, Description: "skmage_ltng7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 768, Description: "skmage_cold6-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 769, Description: "skmage_pois7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 770, Description: "vampire9-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 771, Description: "wraith9-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 772, Description: "willowisp8-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 773, Description: "Bishibosh-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 774, Description: "Bonebreak-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 775, Description: "Coldcrow-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 776, Description: "Rakanishu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "SWD", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 777, Description: "Treehead WoodFist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 778, Description: "Griswold-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 779, Description: "The Countess-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 780, Description: "Pitspawn Fouldog-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 781, Description: "Flamespike the Crawler-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 782, Description: "Boneash-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 783, Description: "Radament-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 784, Description: "Bloodwitch the Wild-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 785, Description: "Fangskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 786, Description: "Beetleburst-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 787, Description: "Leatherarm-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 788, Description: "Coldworm the Burrower-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 789, Description: "Fire Eye-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 790, Description: "Dark Elder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 791, Description: "The Summoner-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 792, Description: "Ancient Kaa the Soulless-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 793, Description: "The Smith-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 794, Description: "Web Mage the Burning-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 795, Description: "Witch Doctor Endugu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 796, Description: "Stormtree-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 797, Description: "Sarina the Battlemaid-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 798, Description: "Icehawk Riftwing-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 799, Description: "Ismail Vilehand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 800, Description: "Geleb Flamefinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 801, Description: "Bremm Sparkfist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 802, Description: "Toorc Icefist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 803, Description: "Wyand Voidfinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 804, Description: "Maffer Dragonhand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 805, Description: "Winged Death-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 806, Description: "The Tormentor-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 807, Description: "Taintbreeder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 808, Description: "Riftwraith the Cannibal-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 809, Description: "Infector of Souls-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 810, Description: "Lord De Seis-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 811, Description: "Grand Vizier of Chaos-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 812, Description: "The Cow King-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 813, Description: "Corpsefire-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 814, Description: "The Feature Creep-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 815, Description: "Siege Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 816, Description: "Ancient Barbarian 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 817, Description: "Ancient Barbarian 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 818, Description: "Ancient Barbarian 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 819, Description: "Axe Dweller-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 820, Description: "Bonesaw Breaker-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 821, Description: "Dac Farren-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 822, Description: "Megaflow Rectifier-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 823, Description: "Eyeback Unleashed-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 824, Description: "Threash Socket-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 825, Description: "Pindleskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 826, Description: "Snapchip Shatter-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 827, Description: "Anodized Elite-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 828, Description: "Vinvear Molech-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 829, Description: "Sharp Tooth Sayer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 830, Description: "Magma Torquer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 831, Description: "Blaze Ripper-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 832, Description: "Frozenstein-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 833, Description: "Nihlathak Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 834, Description: "Baal Subject 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 835, Description: "Baal Subject 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 836, Description: "Baal Subject 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 837, Description: "Baal Subject 4-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeCharacter, Id: 838, Description: "Baal Subject 5-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 0, Description: "jungle torch (117)", ObjectsTxtId: 117, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 1, Description: "Waypoint (237)", ObjectsTxtId: 237, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WZ", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 2, Description: "-580", ObjectsTxtId: 580, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 3, Description: "Well, pool wilderness (130)", ObjectsTxtId: 130, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 4, Description: "brazier floor (102)", ObjectsTxtId: 102, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 5, Description: "torch 1 tiki (37)", ObjectsTxtId: 37, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 6, Description: "Fire, small (160)", ObjectsTxtId: 160, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 7, Description: "Fire, medium (161)", ObjectsTxtId: 161, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 8, Description: "Fire, large (162)", ObjectsTxtId: 162, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 9, Description: "Armor Stand, 1 R (104)", ObjectsTxtId: 104, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 10, Description: "Armor Stand, 2 L (105)", ObjectsTxtId: 105, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 11, Description: "Weapon Rack, 1 R (106)", ObjectsTxtId: 106, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 12, Description: "Weapon Rack, 2 L (107)", ObjectsTxtId: 107, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 13, Description: "Stair, L altar to underground (194)", ObjectsTxtId: 194, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9C", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 14, Description: "Stair, R altar to underground (195)", ObjectsTxtId: 195, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 15, Description: "Lam Esen's Tome (193)", ObjectsTxtId: 193, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 16, Description: "water rocks 1 (207)", ObjectsTxtId: 207, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 17, Description: "water rocks girl 1 (211)", ObjectsTxtId: 211, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 18, Description: "water logs 1 (210)", ObjectsTxtId: 210, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "LW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 19, Description: "water log bigger 1 (234)", ObjectsTxtId: 234, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 20, Description: "water rocks 2 (214)", ObjectsTxtId: 214, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 21, Description: "water rocks girl 2 (215)", ObjectsTxtId: 215, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 22, Description: "water logs 2 (213)", ObjectsTxtId: 213, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 23, Description: "water log bigger 2 (228)", ObjectsTxtId: 228, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 24, Description: "water rocks 3 (216)", ObjectsTxtId: 216, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 25, Description: "water rocks girl 3 (227)", ObjectsTxtId: 227, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 26, Description: "water logs 3 (217)", ObjectsTxtId: 217, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "LX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 27, Description: "water log bigger 3 (235)", ObjectsTxtId: 235, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 28, Description: "web between 2 trees L (218)", ObjectsTxtId: 218, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 29, Description: "web between 2 trees R (219)", ObjectsTxtId: 219, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 30, Description: "web around 1 tree L (220)", ObjectsTxtId: 220, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 31, Description: "web around 1 tree R (221)", ObjectsTxtId: 221, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 32, Description: "Cocoon, living (223)", ObjectsTxtId: 223, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 33, Description: "Cocoon, static (224)", ObjectsTxtId: 224, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 34, Description: "Your Private Stash (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 35, Description: "gold placeholder (269)", ObjectsTxtId: 269, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 36, Description: "-581", ObjectsTxtId: 581, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 37, Description: "Shrine, jungle heal well (170)", ObjectsTxtId: 170, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 38, Description: "Magic Shrine, sewer (325)", ObjectsTxtId: 325, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 39, Description: "Shrine, jungle 1 (184)", ObjectsTxtId: 184, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JY", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 40, Description: "Shrine, jungle 2 (190)", ObjectsTxtId: 190, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JS", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 41, Description: "Shrine, jungle 3 (191)", ObjectsTxtId: 191, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 42, Description: "Shrine, jungle 4 (197)", ObjectsTxtId: 197, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JQ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 43, Description: "Shrine, mephisto 1 (199)", ObjectsTxtId: 199, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 44, Description: "Shrine, mephisto 2 (200)", ObjectsTxtId: 200, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MY", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 45, Description: "Shrine, mephisto 3 (201)", ObjectsTxtId: 201, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 46, Description: "Shrine, mephisto mana (202)", ObjectsTxtId: 202, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MW", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 47, Description: "Shrine, mephisto health (206)", ObjectsTxtId: 206, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MR", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 48, Description: "Shrine, mana dungeon (278)", ObjectsTxtId: 278, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DE", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 49, Description: "dummy shrine health dungeon (120)", ObjectsTxtId: 120, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 50, Description: "Well, pool wilderness (130)", ObjectsTxtId: 130, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ZW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 51, Description: "Dead Body, sewer (326)", ObjectsTxtId: 326, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 52, Description: "Skeleton (158)", ObjectsTxtId: 158, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 53, Description: "Corpse, villager 1 (271)", ObjectsTxtId: 271, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 54, Description: "Corpse, villager 2 (272)", ObjectsTxtId: 272, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 55, Description: "torch 1 (327)", ObjectsTxtId: 327, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 56, Description: "torch 2 (328)", ObjectsTxtId: 328, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 57, Description: "Chest, Mephisto L Large (329)", ObjectsTxtId: 329, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 58, Description: "Chest, Mephisto R Large (330)", ObjectsTxtId: 330, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 59, Description: "Chest, Mephisto L Med (331)", ObjectsTxtId: 331, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 60, Description: "Chest, Mephisto R Med (332)", ObjectsTxtId: 332, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XE", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 61, Description: "Chest, spider lair L Large (333)", ObjectsTxtId: 333, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 62, Description: "Chest, spider lair L Tall (334)", ObjectsTxtId: 334, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 63, Description: "Chest, spider lair R Med (335)", ObjectsTxtId: 335, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 64, Description: "Chest, spider lair R Tall (336)", ObjectsTxtId: 336, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 65, Description: "Chest, R Large (5)", ObjectsTxtId: 5, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 66, Description: "Chest, L Large (6)", ObjectsTxtId: 6, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 67, Description: "Chest, L Med (176)", ObjectsTxtId: 176, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 68, Description: "Chest, general L (240)", ObjectsTxtId: 240, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 69, Description: "Chest, general R (241)", ObjectsTxtId: 241, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 70, Description: "Chest, jungle (181)", ObjectsTxtId: 181, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 71, Description: "Chest, L Med jungle (183)", ObjectsTxtId: 183, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 72, Description: "Rat's Nest, sewers (246)", ObjectsTxtId: 246, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 73, Description: "Stash, jungle 1 (185)", ObjectsTxtId: 185, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 74, Description: "Stash, jungle 2 (186)", ObjectsTxtId: 186, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 75, Description: "Stash, jungle 3 (187)", ObjectsTxtId: 187, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 76, Description: "Stash, jungle 4 (188)", ObjectsTxtId: 188, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 77, Description: "Stash, Mephisto lair (203)", ObjectsTxtId: 203, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 78, Description: "Stash, box (204)", ObjectsTxtId: 204, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 79, Description: "Stash, altar (205)", ObjectsTxtId: 205, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 80, Description: "Basket, 1 say 'not here' (208)", ObjectsTxtId: 208, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 81, Description: "Basket, 2 say 'not here' (209)", ObjectsTxtId: 209, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 82, Description: "Hollow Log (169)", ObjectsTxtId: 169, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 83, Description: "Waypoint, sewer (323)", ObjectsTxtId: 323, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QM", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 84, Description: "Waypoint, Travincal (324)", ObjectsTxtId: 324, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QL", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 85, Description: "a Trap, test data floortrap (196)", ObjectsTxtId: 196, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 86, Description: "bubbles in water (212)", ObjectsTxtId: 212, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 87, Description: "Skullpile (225)", ObjectsTxtId: 225, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 88, Description: "Rat's Nest, sewers (244)", ObjectsTxtId: 244, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 89, Description: "helllight source 1 (351)", ObjectsTxtId: 351, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 90, Description: "helllight source 2 (352)", ObjectsTxtId: 352, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 91, Description: "helllight source 3 (353)", ObjectsTxtId: 353, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 92, Description: "Rock Pile, dungeon (360)", ObjectsTxtId: 360, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 93, Description: "Magic Shrine, dungeon (361)", ObjectsTxtId: 361, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XO", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 94, Description: "Basket, dungeon (362)", ObjectsTxtId: 362, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 95, Description: "Casket, dungeon (365)", ObjectsTxtId: 365, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 96, Description: "Gidbinn Altar (251)", ObjectsTxtId: 251, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GA", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 97, Description: "Gidbinn, decoy (252)", ObjectsTxtId: 252, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GD", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 98, Description: "Basket, 1 (208)", ObjectsTxtId: 208, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 99, Description: "brazier celler (283)", ObjectsTxtId: 283, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BI", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 100, Description: "Sewer Lever (367)", ObjectsTxtId: 367, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 101, Description: "Sewer Stairs (366)", ObjectsTxtId: 366, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VE", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 102, Description: "Dark Wanderer (368)", ObjectsTxtId: 368, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 103, Description: "Mephisto bridge (341)", ObjectsTxtId: 341, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XJ", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 342, Description: "Portal to hellgate (342)", ObjectsTxtId: 342, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1Y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 105, Description: "Shrine, mana well kurast (343)", ObjectsTxtId: 343, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 106, Description: "Shrine, health well kurast (344)", ObjectsTxtId: 344, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XM", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 107, Description: "fog water (374)", ObjectsTxtId: 374, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 108, Description: "torch town (370)", ObjectsTxtId: 370, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 109, Description: "Hratli start (378)", ObjectsTxtId: 378, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 110, Description: "Hratli end (379)", ObjectsTxtId: 379, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 111, Description: "stairs of Compelling Orb (386)", ObjectsTxtId: 386, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 112, Description: "Chest, sparkly (397)", ObjectsTxtId: 397, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 113, Description: "Chest, Khalim's Heart (405)", ObjectsTxtId: 405, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 114, Description: "Chest, Khalim's Eye (407)", ObjectsTxtId: 407, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 115, Description: "Chest, Khalim's Brain (406)", ObjectsTxtId: 406, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XK", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 116, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 117, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 118, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 119, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 120, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 121, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 122, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 123, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 124, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 125, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 126, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 127, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 128, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 129, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 130, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 131, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 132, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 133, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 134, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 135, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 136, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 137, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 138, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 139, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 140, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 141, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 142, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 143, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 144, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 145, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 146, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 147, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 148, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 149, Description: "ACT 3 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 150, Description: "Dummy-test data SKIPT IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "NU0", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 151, Description: "Casket-Casket #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 152, Description: "Shrine-Shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 153, Description: "Casket-Casket #6", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 154, Description: "LargeUrn-Urn #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 155, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 156, Description: "chest-LargeChestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 157, Description: "Barrel-Barrel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 158, Description: "TowerTome-Tower Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 159, Description: "Urn-Urn #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 160, Description: "Dummy-Bench", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 161, Description: "Barrel-BarrelExploding", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 162, Description: "Dummy-RogueFountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 163, Description: "Door-Door Gate Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 164, Description: "Door-Door Gate Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 165, Description: "Door-Door Wooden Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 166, Description: "Door-Door Wooden Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 167, Description: "StoneAlpha-StoneAlpha", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 168, Description: "StoneBeta-StoneBeta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 169, Description: "StoneGamma-StoneGamma", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 170, Description: "StoneDelta-StoneDelta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 171, Description: "StoneLambda-StoneLambda", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 172, Description: "StoneTheta-StoneTheta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 173, Description: "Door-Door Courtyard Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 174, Description: "Door-Door Courtyard Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 175, Description: "Door-Door Cathedral Double", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 176, Description: "Gibbet-Cain's Been Captured", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 177, Description: "Door-Door Monastery Double Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 178, Description: "HoleAnim-Hole in Ground", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 179, Description: "Dummy-Brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 180, Description: "Inifuss-inifuss tree", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 181, Description: "Dummy-Fountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 182, Description: "Dummy-crucifix", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 183, Description: "Dummy-Candles1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 184, Description: "Dummy-Candles2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 185, Description: "Dummy-Standard1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 186, Description: "Dummy-Standard2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 187, Description: "Dummy-Torch1 Tiki", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 188, Description: "Dummy-Torch2 Wall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 189, Description: "fire-RogueBonfire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 190, Description: "Dummy-River1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 191, Description: "Dummy-River2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 192, Description: "Dummy-River3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 193, Description: "Dummy-River4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 194, Description: "Dummy-River5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 195, Description: "AmbientSound-ambient sound generator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 196, Description: "Crate-Crate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 197, Description: "Door-Andariel's Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 198, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 199, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 200, Description: "Casket-CasketR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 201, Description: "Casket-CasketL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 202, Description: "Urn-Urn #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 203, Description: "Casket-Casket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 204, Description: "RogueCorpse-Rogue corpse 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 205, Description: "RogueCorpse-Rogue corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 206, Description: "RogueCorpse-rolling rogue corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 207, Description: "CorpseOnStick-rogue on a stick 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 208, Description: "CorpseOnStick-rogue on a stick 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 209, Description: "Portal-Town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 210, Description: "Portal-Permanent town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 211, Description: "Dummy-Invisible object", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 212, Description: "Door-Door Cathedral Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 213, Description: "Door-Door Cathedral Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 214, Description: "Door-Door Wooden Left #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 215, Description: "Dummy-invisible river sound1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 216, Description: "Dummy-invisible river sound2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 217, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 218, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 219, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 220, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 221, Description: "Dummy-forest night sound #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F1", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 222, Description: "Dummy-forest night sound #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F2", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 223, Description: "Dummy-yeti dung", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 224, Description: "TrappDoor-Trap Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 225, Description: "Door-Door by Dock, Act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 226, Description: "Dummy-sewer drip", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SZ", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 227, Description: "Shrine-healthorama", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 228, Description: "Dummy-invisible town sound", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 229, Description: "Casket-casket #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 230, Description: "Obelisk-obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "OB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 231, Description: "Shrine-forest altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 232, Description: "Dummy-bubbling pool of blood", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 233, Description: "Shrine-horn shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 234, Description: "Shrine-healing well", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 235, Description: "Shrine-bull shrine,health, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 236, Description: "Dummy-stele,magic shrine, stone, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 237, Description: "Chest3-tombchest 1, largechestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 238, Description: "Chest3-tombchest 2 largechestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 239, Description: "Sarcophagus-mummy coffinL, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 240, Description: "Obelisk-desert obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 241, Description: "Door-tomb door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 242, Description: "Door-tomb door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 243, Description: "Shrine-mana shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 244, Description: "LargeUrn-Urn #4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 245, Description: "LargeUrn-Urn #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 246, Description: "Shrine-health shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 247, Description: "Shrine-innershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ix", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 248, Description: "Door-tomb door left 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 249, Description: "Door-tomb door right 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 250, Description: "Duriel's Lair-Portal to Duriel's Lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 251, Description: "Dummy-Brazier3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 252, Description: "Dummy-Floor brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 253, Description: "Dummy-flies", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 254, Description: "ArmorStand-Armor Stand 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 255, Description: "ArmorStand-Armor Stand 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 256, Description: "WeaponRack-Weapon Rack 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 257, Description: "WeaponRack-Weapon Rack 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 258, Description: "Malus-Malus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 259, Description: "Shrine-palace shrine, healthR, harom, arcane Sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 260, Description: "not used-drinker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 261, Description: "well-Fountain 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 262, Description: "not used-gesturer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n6", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 263, Description: "well-Fountain 2, well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 264, Description: "not used-turner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 265, Description: "well-Fountain 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 266, Description: "Shrine-snake woman, magic shrine, tomb, arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 267, Description: "Dummy-jungle torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 268, Description: "Well-Fountain 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 269, Description: "Waypoint-waypoint portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wp", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 270, Description: "Dummy-healthshrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 271, Description: "jerhyn-placeholder #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 272, Description: "jerhyn-placeholder #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 273, Description: "Shrine-innershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 274, Description: "Shrine-innershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 275, Description: "hidden stash-ihobject3 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 276, Description: "skull pile-skullpile inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "is", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 277, Description: "hidden stash-ihobject5 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ir", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 278, Description: "hidden stash-hobject4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 279, Description: "Door-secret door 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "h2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 280, Description: "Well-pool act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 281, Description: "Dummy-vile dog afterglow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 282, Description: "Well-cathedralwell act 1 inside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 283, Description: "shrine-shrine1_arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 284, Description: "shrine-dshrine2 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zs", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 285, Description: "shrine-desertshrine3 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zr", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 286, Description: "shrine-dshrine1 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 287, Description: "Well-desertwell act 2 well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 288, Description: "Well-cavewell act 1 caves ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 289, Description: "chest-chest-r-large act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 290, Description: "chest-chest-r-tallskinney act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 291, Description: "chest-chest-r-med act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 292, Description: "jug-jug1 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 293, Description: "jug-jug2 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 294, Description: "chest-Lchest1 act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 295, Description: "Waypoint-waypointi inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 296, Description: "chest-dchest2R act 2, desert, tomb, chest-r-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 297, Description: "chest-dchestr act 2, desert, tomb, chest -r large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 298, Description: "chest-dchestL act 2, desert, tomb chest l large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 299, Description: "taintedsunaltar-tainted sun altar quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "za", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 300, Description: "shrine-dshrine1 act 2 , desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 301, Description: "shrine-dshrine4 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ze", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 302, Description: "orifice-Where you place the Horadric staff", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 303, Description: "Door-tyrael's door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 304, Description: "corpse-guard corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 305, Description: "hidden stash-rock act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 306, Description: "Waypoint-waypoint act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 307, Description: "Waypoint-waypoint act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wn", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 308, Description: "skeleton-corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 309, Description: "hidden stash-rockb act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 310, Description: "fire-fire small", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 311, Description: "fire-fire medium", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 312, Description: "fire-fire large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 313, Description: "hiding spot-cliff act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 314, Description: "Shrine-mana well1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 315, Description: "Shrine-mana well2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 316, Description: "Shrine-mana well3, act 2, tomb, ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 317, Description: "Shrine-mana well4, act 2, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 318, Description: "Shrine-mana well5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 319, Description: "hollow log-log", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 320, Description: "Shrine-jungle healwell act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 321, Description: "skeleton-corpseb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 322, Description: "Shrine-health well, health shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 323, Description: "Shrine-mana well7, mana shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 324, Description: "loose rock-rockc act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 325, Description: "loose boulder-rockd act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 326, Description: "chest-chest-L-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 327, Description: "chest-chest-L-large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 328, Description: "GuardCorpse-guard on a stick, desert, tomb, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 329, Description: "bookshelf-bookshelf1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 330, Description: "bookshelf-bookshelf2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 331, Description: "chest-jungle chest act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 332, Description: "coffin-tombcoffin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 333, Description: "chest-chest-L-med, jungle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 334, Description: "Shrine-jungle shrine2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 335, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 336, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 337, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 338, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ju", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 339, Description: "Dummy-cain portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tP", Mode: "OP", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 340, Description: "Shrine-jungle shrine3 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "js", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 341, Description: "Shrine-jungle shrine4 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 342, Description: "teleport pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 343, Description: "LamTome-Lam Esen's Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ab", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 344, Description: "stair-stairsl", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sl", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 345, Description: "stair-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 346, Description: "a trap-test data floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "a5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 347, Description: "Shrine-jungleshrine act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jq", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 348, Description: "chest-chest-L-tallskinney, general chest r?", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 349, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 350, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "my", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 351, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mx", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 352, Description: "Shrine-mafistomana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 353, Description: "stash-mafistolair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 354, Description: "stash-box", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 355, Description: "stash-altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 356, Description: "Shrine-mafistohealth", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 357, Description: "dummy-water rocks in act 3 wrok", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 358, Description: "Basket-basket 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 359, Description: "Basket-basket 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 360, Description: "Dummy-water logs in act 3  ne logw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 361, Description: "Dummy-water rocks girl in act 3 wrob", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 362, Description: "Dummy-bubbles in act3 water", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 363, Description: "Dummy-water logs in act 3 logx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wd", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 364, Description: "Dummy-water rocks in act 3 rokb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 365, Description: "Dummy-water rocks girl in act 3 watc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "we", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 366, Description: "Dummy-water rocks in act 3 waty", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 367, Description: "Dummy-water logs in act 3  logz", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lx", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 368, Description: "Dummy-web covered tree 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 369, Description: "Dummy-web covered tree 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 370, Description: "Dummy-web covered tree 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 371, Description: "Dummy-web covered tree 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 372, Description: "pillar-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 373, Description: "cocoon-cacoon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 374, Description: "cocoon-cacoon 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 375, Description: "skullpile-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ib", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 376, Description: "Shrine-outershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ia", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 377, Description: "dummy-water rock girl act 3  nw  blgb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 378, Description: "dummy-big log act 3  sw blga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 379, Description: "door-slimedoor1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 380, Description: "door-slimedoor2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 381, Description: "Shrine-outershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ht", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 382, Description: "Shrine-outershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 383, Description: "pillar-hobject2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 384, Description: "dummy-Big log act 3 se blgc ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 385, Description: "dummy-Big log act 3 nw blgd", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 386, Description: "Shrine-health wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ho", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 387, Description: "Waypoint-act3waypoint town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 388, Description: "Waypoint-waypointh", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wv", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 389, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 390, Description: "chest-gchest1L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cy", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 391, Description: "chest-gchest2R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 392, Description: "chest-gchest3R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 393, Description: "chest-glchest3L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 394, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 395, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "by", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 396, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ra", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 397, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qa", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 398, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 399, Description: "manashrine-mana wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hn", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 400, Description: "a trap-exploding cow  for Tristan and ACT 3 only??Very Rare  1 or 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ew", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 401, Description: "gidbinn altar-gidbinn altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ga", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 402, Description: "gidbinn-gidbinn decoy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "gd", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 403, Description: "Dummy-diablo right light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 404, Description: "Dummy-diablo left light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 405, Description: "Dummy-diablo start point", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 406, Description: "Dummy-stool for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 407, Description: "Dummy-wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wg", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 408, Description: "Dummy-more wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 409, Description: "Dummy-skeleton spawn for hell   facing nw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 410, Description: "Shrine-holyshrine for monastery,catacombs,jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HL", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 411, Description: "a trap-spikes for tombs floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 412, Description: "Shrine-act 1 cathedral", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 413, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jb", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 414, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 415, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jf", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 416, Description: "goo pile-goo pile for sand maggot lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 417, Description: "bank-bank", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 418, Description: "wirt's body-wirt's body", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 419, Description: "dummy-gold placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1g", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 420, Description: "corpse-guard corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 421, Description: "corpse-dead villager 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 422, Description: "corpse-dead villager 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "df", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 423, Description: "Dummy-yet another flame, no damage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 424, Description: "hidden stash-tiny pixel shaped thingie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f9", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 425, Description: "Shrine-health shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ce", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 426, Description: "Shrine-mana shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 427, Description: "Shrine-cave magic shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 428, Description: "Shrine-manashrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "de", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 429, Description: "Shrine-magic shrine, act 3 sewers.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wj", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 430, Description: "Shrine-healthwell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 431, Description: "Shrine-manawell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 432, Description: "Shrine-magic shrine, act 3 sewers, dungeon.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ws", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 433, Description: "dummy-brazier_celler, act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bi", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 434, Description: "sarcophagus-anubis coffin, act2, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 435, Description: "dummy-brazier_general, act 2, sewers, tomb, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bm", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 436, Description: "Dummy-brazier_tall, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bo", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 437, Description: "Dummy-brazier_small, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 438, Description: "Waypoint-waypoint, celler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 439, Description: "bed-bed for harum", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ub", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 440, Description: "door-iron grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 441, Description: "door-iron grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dn", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 442, Description: "door-wooden grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dp", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 443, Description: "door-wooden grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dt", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 444, Description: "door-wooden door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 445, Description: "door-wooden door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 446, Description: "Dummy-wall torch left for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qd", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 447, Description: "Dummy-wall torch right for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qe", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 448, Description: "portal-arcane sanctuary portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ay", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 449, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hb", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 450, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hc", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 451, Description: "Dummy-maggot well health", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 452, Description: "manashrine-maggot well mana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 453, Description: "magic shrine-magic shrine, act 3 arcane sanctuary.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 454, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 455, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 456, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 457, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7a", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 458, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7b", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 459, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 460, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7d", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 461, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7e", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 462, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7f", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 463, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7g", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 464, Description: "dead guard-harem guard 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 465, Description: "dead guard-harem guard 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qi", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 466, Description: "dead guard-harem guard 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qj", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 467, Description: "dead guard-harem guard 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 468, Description: "eunuch-harem blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 469, Description: "Dummy-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ax", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 470, Description: "manashrine-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "au", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 471, Description: "Dummy-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "S1", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 472, Description: "Well-tombwell act 2 well, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hu", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 473, Description: "Waypoint-waypoint act2 sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 474, Description: "Waypoint-waypoint act3 travincal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ql", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 475, Description: "magic shrine-magic shrine, act 3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qn", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 476, Description: "dead body-act3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 477, Description: "dummy-torch (act 3 sewer) stra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 478, Description: "dummy-torch (act 3 kurast) strb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 479, Description: "chest-mafistochestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 480, Description: "chest-mafistochestlargeright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 481, Description: "chest-mafistochestmedleft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 482, Description: "chest-mafistochestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xe", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 483, Description: "chest-spiderlairchestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 484, Description: "chest-spiderlairchesttallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 485, Description: "chest-spiderlairchestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xh", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 486, Description: "chest-spiderlairchesttallright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 487, Description: "Steeg Stone-steeg stone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 488, Description: "Guild Vault-guild vault", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 489, Description: "Trophy Case-trophy case", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 490, Description: "Message Board-message board", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 491, Description: "Dummy-mephisto bridge", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 492, Description: "portal-hellgate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 493, Description: "Shrine-manawell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 494, Description: "Shrine-healthwell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 495, Description: "Dummy-hellfire1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 496, Description: "Dummy-hellfire2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 497, Description: "Dummy-hellfire3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 498, Description: "Dummy-helllava1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 499, Description: "Dummy-helllava2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 500, Description: "Dummy-helllava3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 501, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 502, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 503, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 504, Description: "chest-horadric cube chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 505, Description: "chest-horadric scroll chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 506, Description: "chest-staff of kings chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 507, Description: "Tome-yet another tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 508, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 509, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 510, Description: "RockPIle-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 511, Description: "magic shrine-magic shrine, act 3,dundeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 512, Description: "basket-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 513, Description: "HungSkeleton-outerhell skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 514, Description: "Dummy-guy for dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ea", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 515, Description: "casket-casket for Act 3 dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 516, Description: "sewer stairs-stairs for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ve", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 517, Description: "sewer lever-lever for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 518, Description: "darkwanderer-start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 519, Description: "dummy-trapped soul placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 520, Description: "Dummy-torch for act3 town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 521, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 522, Description: "BoneChest-innerhellbonepile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 523, Description: "Dummy-skeleton spawn for hell facing ne", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qt", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 524, Description: "Dummy-fog act 3 water rfga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ud", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 525, Description: "Dummy-Not used", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 526, Description: "Hellforge-Forge  hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ux", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 527, Description: "Guild Portal-Portal to next guild level", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 528, Description: "Dummy-hratli start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 529, Description: "Dummy-hratli end", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 530, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "uy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 531, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "15", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 532, Description: "Dummy-natalya start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 533, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 534, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 535, Description: "Dummy-cain start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 536, Description: "Dummy-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 537, Description: "chest-arcanesanctuarybigchestLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 538, Description: "casket-arcanesanctuarycasket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 539, Description: "chest-arcanesanctuarybigchestRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 540, Description: "chest-arcanesanctuarychestsmallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ya", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 541, Description: "chest-arcanesanctuarychestsmallRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 542, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 543, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 544, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 545, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 546, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 547, Description: "chest-sparklychest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 548, Description: "Waypoint-waypoint pandamonia fortress", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yg", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 549, Description: "fissure-fissure for act 4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "fh", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 550, Description: "Dummy-brazier for act 4, hell mesa", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "he", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 551, Description: "Dummy-smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 552, Description: "Waypoint-waypoint valleywaypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 553, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 554, Description: "compellingorb-compelling orb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 555, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 556, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 557, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 558, Description: "Dummy-fortress brazier #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 559, Description: "Dummy-fortress brazier #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 560, Description: "Siege Control-To control siege machines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 561, Description: "ptox-Pot O Torch (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "px", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 562, Description: "pyox-fire pit  (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "py", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 563, Description: "chestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 564, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6r", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 565, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 566, Description: "hiddenstash-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 567, Description: "flag wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ym", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 568, Description: "barrel wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 569, Description: "barrel wilderness-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 570, Description: "woodchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 571, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 572, Description: "manashrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 573, Description: "healthshrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 574, Description: "burialchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 575, Description: "burialchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 576, Description: "well-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 577, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 578, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yx", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 579, Description: "Waypoint-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yy", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 580, Description: "ChestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 581, Description: "woodchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 582, Description: "ChestSL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 583, Description: "ChestSR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 584, Description: "etorch1-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 585, Description: "ecfra-camp fire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2w", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 586, Description: "ettr-town torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 587, Description: "etorch2-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6e", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 588, Description: "burningbodies-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 589, Description: "burningpit-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 590, Description: "tribal flag-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6h", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 591, Description: "eflg-town flag", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 592, Description: "chan-chandeleir", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 593, Description: "jar1-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 594, Description: "jar2-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 595, Description: "jar3-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 596, Description: "swingingheads-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 597, Description: "pole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6m", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 598, Description: "animated skulland rockpile-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 599, Description: "gate-town main gate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 600, Description: "pileofskullsandrocks-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 601, Description: "hellgate-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 602, Description: "banner 1-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ao", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 603, Description: "banner 2-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ap", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 604, Description: "explodingchest-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 605, Description: "chest-specialchest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 606, Description: "deathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6v", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 607, Description: "Ldeathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6w", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 608, Description: "Altar-inside of temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 609, Description: "dummy-Drehya Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 610, Description: "dummy-Drehya Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 611, Description: "dummy-Nihlathak Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 612, Description: "dummy-Nihlathak Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 613, Description: "hidden stash-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 614, Description: "healthshrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 615, Description: "manashrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 616, Description: "evilurn-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 617, Description: "icecavejar1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 618, Description: "icecavejar2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 619, Description: "icecavejar3-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 620, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 621, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 622, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 623, Description: "cagedwussie1-caged fellow(A5-Prisonner)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 624, Description: "Ancient Statue 3-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 625, Description: "Ancient Statue 1-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "61", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 626, Description: "Ancient Statue 2-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "62", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 627, Description: "deadbarbarian-seige/wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 628, Description: "clientsmoke-client smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "oz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 629, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8k", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 630, Description: "icecave_torch1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 631, Description: "icecave_torch2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 632, Description: "ttor-expansion tiki torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 633, Description: "manashrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 634, Description: "healthshrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8o", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 635, Description: "tomb1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8p", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 636, Description: "tomb2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 637, Description: "tomb3-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8r", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 638, Description: "magic shrine-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 639, Description: "torch1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 640, Description: "torch2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8u", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 641, Description: "manashrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8v", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 642, Description: "healthshrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8w", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 643, Description: "well-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 644, Description: "Waypoint-baals_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 645, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 646, Description: "Waypoint-wilderness_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 647, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5b", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 648, Description: "well-baalslair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 649, Description: "magic shrine2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 650, Description: "object1-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 651, Description: "woodchestL-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 652, Description: "woodchestR-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 653, Description: "magic shrine-baals_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 654, Description: "woodchest2L-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 655, Description: "woodchest2R-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 656, Description: "swingingheads-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 657, Description: "debris-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5l", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 658, Description: "pene-Pen breakable door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 659, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 660, Description: "mrpole-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 661, Description: "Waypoint-icecave ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 662, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 663, Description: "well-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 664, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5r", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 665, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 666, Description: "object1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 667, Description: "object2-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 668, Description: "mrbox-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 669, Description: "well-icecave", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 670, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5y", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 671, Description: "healthshrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5z", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 672, Description: "manashrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 673, Description: "red light- (touch me)  for blacksmith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 674, Description: "tomb1L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 675, Description: "tomb2L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 676, Description: "tomb3L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 677, Description: "ubub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2u", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 678, Description: "sbub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2s", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 679, Description: "tomb1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 680, Description: "tomb1L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 681, Description: "tomb2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 682, Description: "tomb2L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 683, Description: "tomb3-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 684, Description: "tomb3L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 685, Description: "mrbox-redbaals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3L", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 686, Description: "torch1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 687, Description: "torch2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3n", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 688, Description: "candles-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3o", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 689, Description: "Waypoint-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3p", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 690, Description: "deadperson-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 691, Description: "groundtomb-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3s", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 692, Description: "Dummy-Larzuk Greeting", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 693, Description: "Dummy-Larzuk Standard", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 694, Description: "groundtombL-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3t", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 695, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 696, Description: "ancientsaltar-ancientsaltar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4a", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 697, Description: "To The Worldstone Keep Level 1-ancientsdoor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 698, Description: "eweaponrackR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 699, Description: "eweaponrackL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 700, Description: "earmorstandR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 701, Description: "earmorstandL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 702, Description: "torch2-summit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 703, Description: "funeralpire-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 704, Description: "burninglogs-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 705, Description: "stma-Ice cave steam", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 706, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 707, Description: "Dummy-Baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 708, Description: "fana-frozen anya", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2n", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 709, Description: "BBQB-BBQ Bunny", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 710, Description: "btor-Baal Torch Big", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 711, Description: "Dummy-invisible ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 712, Description: "Dummy-invisible base", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 713, Description: "The Worldstone Chamber-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 714, Description: "Glacial Caves Level 1-summit door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 715, Description: "strlastcinematic-last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 716, Description: "Harrogath-last last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 717, Description: "Zoo-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 718, Description: "Keeper-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 719, Description: "Throne of Destruction-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 720, Description: "Dummy-fire place guy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 721, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 3, Type: d2enum.ObjectTypeItem, Id: 722, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 0, Description: "place_champion-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 1, Description: "trap-horzmissile-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 2, Description: "trap-vertmissile-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 3, Description: "place_group25-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 4, Description: "place_group50-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 5, Description: "place_group75-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 6, Description: "place_group100-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 7, Description: "tyrael2-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 8, Description: "window2-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "DT", Class: "HTH", TR: "LIT", S1: "S1", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 9, Description: "window1-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "DT", Class: "HTH", TR: "LIT", S1: "S1", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 10, Description: "jamella-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 11, Description: "halbu-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 12, Description: "hellmeteor-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 13, Description: "izual-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 6, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 14, Description: "diablo-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 15, Description: "Winged Death-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 16, Description: "The Tormentor-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 17, Description: "Taintbreeder-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 18, Description: "Riftwraith the Cannibal-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 19, Description: "Infector of Souls-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 20, Description: "Lord De Seis-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 21, Description: "Grand Vizier of Chaos-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 22, Description: "trappedsoul1-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 23, Description: "trappedsoul2-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 24, Description: "regurgitator3-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 6, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 25, Description: "cain4-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "4D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 26, Description: "malachai-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 27, Description: "The Feature Creep-ACT 4 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 28, Description: "skeleton1-Skeleton-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 29, Description: "skeleton2-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 30, Description: "skeleton3-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 31, Description: "skeleton4-BurningDead-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 32, Description: "skeleton5-Horror-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 33, Description: "zombie1-Zombie-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 34, Description: "zombie2-HungryDead-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 35, Description: "zombie3-Ghoul-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 36, Description: "zombie4-DrownedCarcass-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 37, Description: "zombie5-PlagueBearer-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 38, Description: "bighead1-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 39, Description: "bighead2-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 40, Description: "bighead3-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 41, Description: "bighead4-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 42, Description: "bighead5-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 43, Description: "foulcrow1-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 44, Description: "foulcrow2-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 45, Description: "foulcrow3-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 46, Description: "foulcrow4-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 47, Description: "fallen1-Fallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 48, Description: "fallen2-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 49, Description: "fallen3-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 50, Description: "fallen4-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 51, Description: "fallen5-WarpedFallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 52, Description: "brute2-Brute-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 53, Description: "brute3-Yeti-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 54, Description: "brute4-Crusher-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 55, Description: "brute5-WailingBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 56, Description: "brute1-GargantuanBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 57, Description: "sandraider1-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 58, Description: "sandraider2-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 59, Description: "sandraider3-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 60, Description: "sandraider4-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 61, Description: "sandraider5-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 62, Description: "gorgon1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 63, Description: "gorgon2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 64, Description: "gorgon3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 65, Description: "gorgon4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 66, Description: "wraith1-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 67, Description: "wraith2-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 68, Description: "wraith3-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 69, Description: "wraith4-Apparition-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 70, Description: "wraith5-DarkShape-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 71, Description: "corruptrogue1-DarkHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 72, Description: "corruptrogue2-VileHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 73, Description: "corruptrogue3-DarkStalker-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 74, Description: "corruptrogue4-BlackRogue-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 75, Description: "corruptrogue5-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 76, Description: "baboon1-DuneBeast-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 77, Description: "baboon2-RockDweller-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 78, Description: "baboon3-JungleHunter-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 79, Description: "baboon4-DoomApe-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 80, Description: "baboon5-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 81, Description: "goatman1-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 82, Description: "goatman2-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 83, Description: "goatman3-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 84, Description: "goatman4-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 85, Description: "goatman5-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 86, Description: "fallenshaman1-FallenShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 87, Description: "fallenshaman2-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 88, Description: "fallenshaman3-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 89, Description: "fallenshaman4-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 90, Description: "fallenshaman5-WarpedShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 91, Description: "quillrat1-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 92, Description: "quillrat2-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 93, Description: "quillrat3-ThornBeast-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 94, Description: "quillrat4-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 95, Description: "quillrat5-JungleUrchin-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 96, Description: "sandmaggot1-SandMaggot-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 97, Description: "sandmaggot2-RockWorm-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 98, Description: "sandmaggot3-Devourer-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 99, Description: "sandmaggot4-GiantLamprey-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 100, Description: "sandmaggot5-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 101, Description: "clawviper1-TombViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 102, Description: "clawviper2-ClawViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 103, Description: "clawviper3-Salamander-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 104, Description: "clawviper4-PitViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 105, Description: "clawviper5-SerpentMagus-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 106, Description: "sandleaper1-SandLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 107, Description: "sandleaper2-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 108, Description: "sandleaper3-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 109, Description: "sandleaper4-TreeLurker-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 110, Description: "sandleaper5-RazorPitDemon-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 111, Description: "pantherwoman1-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 112, Description: "pantherwoman2-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 113, Description: "pantherwoman3-NightTiger-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 114, Description: "pantherwoman4-HellCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 115, Description: "swarm1-Itchies-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 116, Description: "swarm2-BlackLocusts-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 117, Description: "swarm3-PlagueBugs-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 118, Description: "swarm4-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 119, Description: "scarab1-DungSoldier-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 120, Description: "scarab2-SandWarrior-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 121, Description: "scarab3-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 122, Description: "scarab4-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 123, Description: "scarab5-AlbinoRoach-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 124, Description: "mummy1-DriedCorpse-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 125, Description: "mummy2-Decayed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 126, Description: "mummy3-Embalmed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 127, Description: "mummy4-PreservedDead-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 128, Description: "mummy5-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 129, Description: "unraveler1-HollowOne-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 130, Description: "unraveler2-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 131, Description: "unraveler3-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 132, Description: "unraveler4-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 133, Description: "unraveler5-Baal Subject Mummy-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 134, Description: "chaoshorde1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 135, Description: "chaoshorde2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 136, Description: "chaoshorde3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 137, Description: "chaoshorde4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 138, Description: "vulture1-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 139, Description: "vulture2-UndeadScavenger-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 140, Description: "vulture3-HellBuzzard-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 141, Description: "vulture4-WingedNightmare-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 142, Description: "mosquito1-Sucker-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 143, Description: "mosquito2-Feeder-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 144, Description: "mosquito3-BloodHook-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 145, Description: "mosquito4-BloodWing-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 146, Description: "willowisp1-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 147, Description: "willowisp2-SwampGhost-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 148, Description: "willowisp3-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 149, Description: "willowisp4-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 150, Description: "arach1-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 151, Description: "arach2-SandFisher-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 152, Description: "arach3-PoisonSpinner-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 153, Description: "arach4-FlameSpider-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 154, Description: "arach5-SpiderMagus-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 155, Description: "thornhulk1-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 156, Description: "thornhulk2-BrambleHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 157, Description: "thornhulk3-Thrasher-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 158, Description: "thornhulk4-Spikefist-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 159, Description: "vampire1-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 160, Description: "vampire2-NightLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 161, Description: "vampire3-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 162, Description: "vampire4-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 163, Description: "vampire5-Banished-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 164, Description: "batdemon1-DesertWing-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 165, Description: "batdemon2-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 166, Description: "batdemon3-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 167, Description: "batdemon4-BloodDiver-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 168, Description: "batdemon5-DarkFamiliar-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 169, Description: "fetish1-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 170, Description: "fetish2-Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 171, Description: "fetish3-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 172, Description: "fetish4-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 173, Description: "fetish5-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 174, Description: "cain1-DeckardCain-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 175, Description: "gheed-Gheed-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 176, Description: "akara-Akara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 177, Description: "chicken-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 178, Description: "kashya-Kashya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 179, Description: "rat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 180, Description: "rogue1-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 181, Description: "hellmeteor-Dummy-HellMeteor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 182, Description: "charsi-Charsi-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 183, Description: "warriv1-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 184, Description: "andariel-Andariel-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 185, Description: "bird1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BS", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 186, Description: "bird2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 187, Description: "bat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "B9", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 188, Description: "cr_archer1-DarkRanger-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 189, Description: "cr_archer2-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 190, Description: "cr_archer3-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 191, Description: "cr_archer4-BlackArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 192, Description: "cr_archer5-FleshArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 193, Description: "cr_lancer1-DarkSpearwoman-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 194, Description: "cr_lancer2-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 195, Description: "cr_lancer3-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 196, Description: "cr_lancer4-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 197, Description: "cr_lancer5-FleshLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 198, Description: "sk_archer1-SkeletonArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 199, Description: "sk_archer2-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 200, Description: "sk_archer3-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 201, Description: "sk_archer4-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 202, Description: "sk_archer5-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 203, Description: "warriv2-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 204, Description: "atma-Atma-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 205, Description: "drognan-Drognan-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 206, Description: "fara-Fara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 207, Description: "cow-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 208, Description: "maggotbaby1-SandMaggotYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 209, Description: "maggotbaby2-RockWormYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 210, Description: "maggotbaby3-DevourerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 211, Description: "maggotbaby4-GiantLampreyYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 212, Description: "maggotbaby5-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 213, Description: "camel-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 214, Description: "blunderbore1-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 215, Description: "blunderbore2-Gorbelly-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 216, Description: "blunderbore3-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 217, Description: "blunderbore4-Urdar-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 218, Description: "maggotegg1-SandMaggotEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 219, Description: "maggotegg2-RockWormEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 220, Description: "maggotegg3-DevourerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 221, Description: "maggotegg4-GiantLampreyEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 222, Description: "maggotegg5-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 223, Description: "act2male-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "OLD", TR: "MED", LG: "MED", S1: "TUR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 224, Description: "act2female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 225, Description: "act2child-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2C", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 226, Description: "greiz-Greiz-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 227, Description: "elzix-Elzix-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 228, Description: "geglash-Geglash-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 229, Description: "jerhyn-Jerhyn-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 230, Description: "lysander-Lysander-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 231, Description: "act2guard1-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 232, Description: "act2vendor1-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 233, Description: "act2vendor2-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 234, Description: "crownest1-FoulCrowNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 235, Description: "crownest2-BloodHawkNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 236, Description: "crownest3-BlackVultureNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 237, Description: "crownest4-CloudStalkerNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 238, Description: "meshif1-Meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 239, Description: "duriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 240, Description: "bonefetish1-Undead RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 241, Description: "bonefetish2-Undead Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 242, Description: "bonefetish3-Undead Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 243, Description: "bonefetish4-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 244, Description: "bonefetish5-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 245, Description: "darkguard1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 246, Description: "darkguard2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 247, Description: "darkguard3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 248, Description: "darkguard4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 249, Description: "darkguard5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 250, Description: "bloodmage1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 251, Description: "bloodmage2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 252, Description: "bloodmage3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 253, Description: "bloodmage4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 254, Description: "bloodmage5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 255, Description: "maggot-Maggot-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 256, Description: "sarcophagus-MummyGenerator-Sarcophagus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 257, Description: "radament-Radament-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 258, Description: "firebeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 259, Description: "iceglobe-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 260, Description: "lightningbeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 261, Description: "poisonorb-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 262, Description: "flyingscimitar-FlyingScimitar-FlyingScimitar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ST", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 263, Description: "zealot1-Zakarumite-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 264, Description: "zealot2-Faithful-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 265, Description: "zealot3-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 266, Description: "cantor1-Sexton-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 267, Description: "cantor2-Cantor-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 268, Description: "cantor3-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 269, Description: "cantor4-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 270, Description: "mephisto-Mephisto-Mephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 271, Description: "diablo-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 272, Description: "cain2-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 273, Description: "cain3-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 274, Description: "cain4-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 275, Description: "frogdemon1-Swamp Dweller-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 276, Description: "frogdemon2-Bog Creature-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 277, Description: "frogdemon3-Slime Prince-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 278, Description: "summoner-Summoner-Summoner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 279, Description: "tyrael1-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 280, Description: "asheara-asheara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 281, Description: "hratli-hratli-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 282, Description: "alkor-alkor-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 283, Description: "ormus-ormus-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 284, Description: "izual-izual-Izual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 285, Description: "halbu-halbu-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 286, Description: "tentacle1-WaterWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 287, Description: "tentacle2-RiverStalkerLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 288, Description: "tentacle3-StygianWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 289, Description: "tentaclehead1-WaterWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 290, Description: "tentaclehead2-RiverStalkerHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 291, Description: "tentaclehead3-StygianWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 292, Description: "meshif2-meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 293, Description: "cain5-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 294, Description: "navi-navi-Navi", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 295, Description: "bloodraven-Bloodraven-BloodRaven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 296, Description: "bug-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 297, Description: "scorpion-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 298, Description: "rogue2-RogueScout-GoodNpcRanged", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 299, Description: "roguehire-Dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 300, Description: "rogue3-Dummy-TownRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 301, Description: "gargoyletrap-GargoyleTrap-GargoyleTrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 302, Description: "skmage_pois1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 303, Description: "skmage_pois2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 304, Description: "skmage_pois3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 305, Description: "skmage_pois4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 306, Description: "fetishshaman1-RatManShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 307, Description: "fetishshaman2-FetishShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 308, Description: "fetishshaman3-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 309, Description: "fetishshaman4-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 310, Description: "fetishshaman5-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 311, Description: "larva-larva-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 312, Description: "maggotqueen1-SandMaggotQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 313, Description: "maggotqueen2-RockWormQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 314, Description: "maggotqueen3-DevourerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 315, Description: "maggotqueen4-GiantLampreyQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 316, Description: "maggotqueen5-WorldKillerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 317, Description: "claygolem-ClayGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 318, Description: "bloodgolem-BloodGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 319, Description: "irongolem-IronGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 320, Description: "firegolem-FireGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 321, Description: "familiar-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 322, Description: "act3male-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "HVY", RA: "HEV", LA: "HEV", RH: "FSH", LH: "SAK", S1: "TKT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 323, Description: "baboon6-NightMarauder-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 324, Description: "act3female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MTP", LG: "SRT", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 325, Description: "natalya-Natalya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 326, Description: "vilemother1-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 327, Description: "vilemother2-StygianHag-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 328, Description: "vilemother3-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 329, Description: "vilechild1-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 330, Description: "vilechild2-StygianDog-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 331, Description: "vilechild3-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 332, Description: "fingermage1-Groper-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 333, Description: "fingermage2-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 334, Description: "fingermage3-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 335, Description: "regurgitator1-Corpulent-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 336, Description: "regurgitator2-CorpseSpitter-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 337, Description: "regurgitator3-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 338, Description: "doomknight1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 339, Description: "doomknight2-AbyssKnight-AbyssKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 340, Description: "doomknight3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 341, Description: "quillbear1-QuillBear-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 342, Description: "quillbear2-SpikeGiant-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 343, Description: "quillbear3-ThornBrute-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 344, Description: "quillbear4-RazorBeast-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 345, Description: "quillbear5-GiantUrchin-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 346, Description: "snake-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 347, Description: "parrot-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PR", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 348, Description: "fish-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FJ", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 349, Description: "evilhole1-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 350, Description: "evilhole2-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 351, Description: "evilhole3-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 352, Description: "evilhole4-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 353, Description: "evilhole5-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 354, Description: "trap-firebolt-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 355, Description: "trap-horzmissile-a trap-Trap-RightArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 356, Description: "trap-vertmissile-a trap-Trap-LeftArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 357, Description: "trap-poisoncloud-a trap-Trap-Poison", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 358, Description: "trap-lightning-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 359, Description: "act2guard2-Kaelan-JarJar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 360, Description: "invisospawner-Dummy-InvisoSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 361, Description: "diabloclone-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 362, Description: "suckernest1-SuckerNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 363, Description: "suckernest2-FeederNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 364, Description: "suckernest3-BloodHookNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 365, Description: "suckernest4-BloodWingNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 366, Description: "act2hire-Guard-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 367, Description: "minispider-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 368, Description: "boneprison1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "67", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 369, Description: "boneprison2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "66", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 370, Description: "boneprison3--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "69", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 371, Description: "boneprison4--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "68", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 372, Description: "bonewall-Dummy-BoneWall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 373, Description: "councilmember1-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 374, Description: "councilmember2-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 375, Description: "councilmember3-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 376, Description: "turret1-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 377, Description: "turret2-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 378, Description: "turret3-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 379, Description: "hydra1-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 380, Description: "hydra2-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "21", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 381, Description: "hydra3-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 382, Description: "trap-melee-a trap-Trap-Melee", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 383, Description: "seventombs-Dummy-7TIllusion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 384, Description: "dopplezon-Dopplezon-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 385, Description: "valkyrie-Valkyrie-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 386, Description: "act2guard3-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 387, Description: "act3hire-Iron Wolf-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "WND", SH: "KIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 388, Description: "megademon1-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 389, Description: "megademon2-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 390, Description: "megademon3-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 391, Description: "necroskeleton-NecroSkeleton-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "SCM", SH: "KIT", S1: "DES", S2: "DES", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 392, Description: "necromage-NecroMage-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 393, Description: "griswold-Griswold-Griswold", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 394, Description: "compellingorb-compellingorb-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9a", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 395, Description: "tyrael2-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 396, Description: "darkwanderer-youngdiablo-DarkWanderer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 397, Description: "trap-nova-a trap-Trap-Nova", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 398, Description: "spiritmummy-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 399, Description: "lightningspire-LightningSpire-ArcaneTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 400, Description: "firetower-FireTower-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 401, Description: "slinger1-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 402, Description: "slinger2-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 403, Description: "slinger3-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 404, Description: "slinger4-HellSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 405, Description: "act2guard4-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 406, Description: "act2guard5-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 407, Description: "skmage_cold1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 408, Description: "skmage_cold2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 409, Description: "skmage_cold3-BaalColdMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 410, Description: "skmage_cold4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 411, Description: "skmage_fire1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 412, Description: "skmage_fire2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 413, Description: "skmage_fire3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 414, Description: "skmage_fire4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 415, Description: "skmage_ltng1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 416, Description: "skmage_ltng2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 417, Description: "skmage_ltng3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 418, Description: "skmage_ltng4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 419, Description: "hellbovine-Hell Bovine-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 420, Description: "window1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 421, Description: "window2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 422, Description: "slinger5-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 423, Description: "slinger6-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 424, Description: "fetishblow1-RatMan-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 425, Description: "fetishblow2-Fetish-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 426, Description: "fetishblow3-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 427, Description: "fetishblow4-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 428, Description: "fetishblow5-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 429, Description: "mephistospirit-Dummy-Spirit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 430, Description: "smith-The Smith-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 431, Description: "trappedsoul1-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 432, Description: "trappedsoul2-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 433, Description: "jamella-Jamella-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ja", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 434, Description: "izualghost-Izual-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "17", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 435, Description: "fetish11-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 436, Description: "malachai-Malachai-Buffy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 437, Description: "hephasto-The Feature Creep-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 438, Description: "wakeofdestruction-Wake of Destruction-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 439, Description: "chargeboltsentry-Charged Bolt Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 440, Description: "lightningsentry-Lightning Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 441, Description: "bladecreeper-Blade Creeper-BladeCreeper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b8", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 442, Description: "invisopet-Invis Pet-InvisoPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 443, Description: "infernosentry-Inferno Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 444, Description: "deathsentry-Death Sentry-DeathSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 445, Description: "shadowwarrior-Shadow Warrior-ShadowWarrior", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 446, Description: "shadowmaster-Shadow Master-ShadowMaster", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 447, Description: "druidhawk-Druid Hawk-Raven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "hk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 448, Description: "spiritwolf-Druid Spirit Wolf-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 449, Description: "fenris-Druid Fenris-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 450, Description: "spiritofbarbs-Spirit of Barbs-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 451, Description: "heartofwolverine-Heart of Wolverine-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 452, Description: "oaksage-Oak Sage-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 453, Description: "plaguepoppy-Druid Plague Poppy-Vines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 454, Description: "cycleoflife-Druid Cycle of Life-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 455, Description: "vinecreature-Vine Creature-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 456, Description: "druidbear-Druid Bear-DruidBear", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 457, Description: "eagle-Eagle-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "eg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 458, Description: "wolf-Wolf-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "40", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 459, Description: "bear-Bear-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 460, Description: "barricadedoor1-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 461, Description: "barricadedoor2-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 462, Description: "prisondoor-Prison Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 463, Description: "barricadetower-Barricade Tower-SiegeTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ac", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 464, Description: "reanimatedhorde1-RotWalker-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 465, Description: "reanimatedhorde2-ReanimatedHorde-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 466, Description: "reanimatedhorde3-ProwlingDead-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 467, Description: "reanimatedhorde4-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 468, Description: "reanimatedhorde5-DefiledWarrior-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 469, Description: "siegebeast1-Siege Beast-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 470, Description: "siegebeast2-CrushBiest-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 471, Description: "siegebeast3-BloodBringer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 472, Description: "siegebeast4-GoreBearer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 473, Description: "siegebeast5-DeamonSteed-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 474, Description: "snowyeti1-SnowYeti1-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 475, Description: "snowyeti2-SnowYeti2-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 476, Description: "snowyeti3-SnowYeti3-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 477, Description: "snowyeti4-SnowYeti4-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 478, Description: "wolfrider1-WolfRider1-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 479, Description: "wolfrider2-WolfRider2-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 480, Description: "wolfrider3-WolfRider3-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 481, Description: "minion1-Minionexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 482, Description: "minion2-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 483, Description: "minion3-IceBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 484, Description: "minion4-FireBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 485, Description: "minion5-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 486, Description: "minion6-IceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 487, Description: "minion7-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 488, Description: "minion8-GreaterIceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 489, Description: "suicideminion1-FanaticMinion-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 490, Description: "suicideminion2-BerserkSlayer-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 491, Description: "suicideminion3-ConsumedIceBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 492, Description: "suicideminion4-ConsumedFireBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 493, Description: "suicideminion5-FrenziedHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 494, Description: "suicideminion6-FrenziedIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 495, Description: "suicideminion7-InsaneHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 496, Description: "suicideminion8-InsaneIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 497, Description: "succubus1-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 498, Description: "succubus2-VileTemptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 499, Description: "succubus3-StygianHarlot-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 500, Description: "succubus4-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 501, Description: "succubus5-Blood Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 502, Description: "succubuswitch1-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 503, Description: "succubuswitch2-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 504, Description: "succubuswitch3-StygianFury-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 505, Description: "succubuswitch4-Blood Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 506, Description: "succubuswitch5-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 507, Description: "overseer1-OverSeer-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 508, Description: "overseer2-Lasher-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 509, Description: "overseer3-OverLord-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 510, Description: "overseer4-BloodBoss-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 511, Description: "overseer5-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 512, Description: "minionspawner1-MinionSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 513, Description: "minionspawner2-MinionSlayerSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 514, Description: "minionspawner3-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 515, Description: "minionspawner4-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 516, Description: "minionspawner5-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 517, Description: "minionspawner6-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 518, Description: "minionspawner7-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 519, Description: "minionspawner8-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 520, Description: "imp1-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 521, Description: "imp2-Imp2-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 522, Description: "imp3-Imp3-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 523, Description: "imp4-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 524, Description: "imp5-Imp5-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 525, Description: "catapult1-CatapultS-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 526, Description: "catapult2-CatapultE-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 527, Description: "catapult3-CatapultSiege-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 528, Description: "catapult4-CatapultW-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ua", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 529, Description: "frozenhorror1-Frozen Horror1-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 530, Description: "frozenhorror2-Frozen Horror2-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 531, Description: "frozenhorror3-Frozen Horror3-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 532, Description: "frozenhorror4-Frozen Horror4-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 533, Description: "frozenhorror5-Frozen Horror5-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 534, Description: "bloodlord1-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 535, Description: "bloodlord2-Blood Lord2-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 536, Description: "bloodlord3-Blood Lord3-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 537, Description: "bloodlord4-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 538, Description: "bloodlord5-Blood Lord5-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 539, Description: "larzuk-Larzuk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 540, Description: "drehya-Drehya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 541, Description: "malah-Malah-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 542, Description: "nihlathak-Nihlathak Town-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 543, Description: "qual-kehk-Qual-Kehk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 544, Description: "catapultspotter1-Catapult Spotter S-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 545, Description: "catapultspotter2-Catapult Spotter E-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 546, Description: "catapultspotter3-Catapult Spotter Siege-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 547, Description: "catapultspotter4-Catapult Spotter W-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 548, Description: "cain6-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 549, Description: "tyrael3-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 550, Description: "act5barb1-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 551, Description: "act5barb2-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 552, Description: "barricadewall1-Barricade Wall Right-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "A6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 553, Description: "barricadewall2-Barricade Wall Left-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 554, Description: "nihlathakboss-Nihlathak-Nihlathak", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 555, Description: "drehyaiced-Drehya-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 556, Description: "evilhut-Evil hut-GenericSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 557, Description: "deathmauler1-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 558, Description: "deathmauler2-Death Mauler2-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 559, Description: "deathmauler3-Death Mauler3-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 560, Description: "deathmauler4-Death Mauler4-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 561, Description: "deathmauler5-Death Mauler5-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 562, Description: "act5pow-POW-Wussie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 563, Description: "act5barb3-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 564, Description: "act5barb4-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 565, Description: "ancientstatue1-Ancient Statue 1-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 566, Description: "ancientstatue2-Ancient Statue 2-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 567, Description: "ancientstatue3-Ancient Statue 3-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 568, Description: "ancientbarb1-Ancient Barbarian 1-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 569, Description: "ancientbarb2-Ancient Barbarian 2-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 570, Description: "ancientbarb3-Ancient Barbarian 3-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 571, Description: "baalthrone-Baal Throne-BaalThrone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 572, Description: "baalcrab-Baal Crab-BaalCrab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 573, Description: "baaltaunt-Baal Taunt-BaalTaunt", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 574, Description: "putriddefiler1-Putrid Defiler1-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 575, Description: "putriddefiler2-Putrid Defiler2-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 576, Description: "putriddefiler3-Putrid Defiler3-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 577, Description: "putriddefiler4-Putrid Defiler4-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 578, Description: "putriddefiler5-Putrid Defiler5-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 579, Description: "painworm1-Pain Worm1-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 580, Description: "painworm2-Pain Worm2-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 581, Description: "painworm3-Pain Worm3-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 582, Description: "painworm4-Pain Worm4-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 583, Description: "painworm5-Pain Worm5-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 584, Description: "bunny-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "48", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 585, Description: "baalhighpriest-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 586, Description: "venomlord-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FLB", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 587, Description: "baalcrabstairs-Baal Crab to Stairs-BaalToStairs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 588, Description: "act5hire1-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 589, Description: "act5hire2-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 590, Description: "baaltentacle1-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 591, Description: "baaltentacle2-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 592, Description: "baaltentacle3-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 593, Description: "baaltentacle4-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 594, Description: "baaltentacle5-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 595, Description: "injuredbarb1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 596, Description: "injuredbarb2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7j", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 597, Description: "injuredbarb3-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7i", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 598, Description: "baalclone-Baal Crab Clone-BaalCrabClone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 599, Description: "baalminion1-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 600, Description: "baalminion2-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 601, Description: "baalminion3-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 602, Description: "worldstoneeffect-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 603, Description: "sk_archer6-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 604, Description: "sk_archer7-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 605, Description: "sk_archer8-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 606, Description: "sk_archer9-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 607, Description: "sk_archer10-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 608, Description: "bighead6-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 609, Description: "bighead7-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 610, Description: "bighead8-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 611, Description: "bighead9-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 612, Description: "bighead10-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 613, Description: "goatman6-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 614, Description: "goatman7-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 615, Description: "goatman8-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 616, Description: "goatman9-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 617, Description: "goatman10-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 618, Description: "foulcrow5-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 619, Description: "foulcrow6-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 620, Description: "foulcrow7-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 621, Description: "foulcrow8-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 622, Description: "clawviper6-ClawViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 623, Description: "clawviper7-PitViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 624, Description: "clawviper8-Salamander-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 625, Description: "clawviper9-TombViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 626, Description: "clawviper10-SerpentMagus-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 627, Description: "sandraider6-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 628, Description: "sandraider7-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 629, Description: "sandraider8-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 630, Description: "sandraider9-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 631, Description: "sandraider10-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 632, Description: "deathmauler6-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 633, Description: "quillrat6-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 634, Description: "quillrat7-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 635, Description: "quillrat8-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 636, Description: "vulture5-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 637, Description: "thornhulk5-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 638, Description: "slinger7-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 639, Description: "slinger8-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 640, Description: "slinger9-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 641, Description: "cr_archer6-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 642, Description: "cr_archer7-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 643, Description: "cr_lancer6-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 644, Description: "cr_lancer7-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 645, Description: "cr_lancer8-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 646, Description: "blunderbore5-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 647, Description: "blunderbore6-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 648, Description: "skmage_fire5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 649, Description: "skmage_fire6-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 650, Description: "skmage_ltng5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 651, Description: "skmage_ltng6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 652, Description: "skmage_cold5-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 653, Description: "skmage_pois5-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 654, Description: "skmage_pois6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 655, Description: "pantherwoman5-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 656, Description: "pantherwoman6-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 657, Description: "sandleaper6-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 658, Description: "sandleaper7-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 659, Description: "wraith6-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 660, Description: "wraith7-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 661, Description: "wraith8-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 662, Description: "succubus6-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 663, Description: "succubus7-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 664, Description: "succubuswitch6-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 665, Description: "succubuswitch7-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 666, Description: "succubuswitch8-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 667, Description: "willowisp5-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 668, Description: "willowisp6-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 669, Description: "willowisp7-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 670, Description: "fallen6-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 671, Description: "fallen7-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 672, Description: "fallen8-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 673, Description: "fallenshaman6-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 674, Description: "fallenshaman7-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 675, Description: "fallenshaman8-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 676, Description: "skeleton6-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 677, Description: "skeleton7-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 678, Description: "batdemon6-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 679, Description: "batdemon7-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 680, Description: "bloodlord6-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 681, Description: "bloodlord7-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 682, Description: "scarab6-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 683, Description: "scarab7-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 684, Description: "fetish6-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 685, Description: "fetish7-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 686, Description: "fetish8-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 687, Description: "fetishblow6-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 688, Description: "fetishblow7-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 689, Description: "fetishblow8-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 690, Description: "fetishshaman6-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 691, Description: "fetishshaman7-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 692, Description: "fetishshaman8-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 693, Description: "baboon7-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 694, Description: "baboon8-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 695, Description: "unraveler6-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 696, Description: "unraveler7-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 697, Description: "unraveler8-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 698, Description: "unraveler9-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 699, Description: "zealot4-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 700, Description: "zealot5-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 701, Description: "cantor5-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 702, Description: "cantor6-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 703, Description: "vilemother4-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 704, Description: "vilemother5-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 705, Description: "vilechild4-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 706, Description: "vilechild5-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 707, Description: "sandmaggot6-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 708, Description: "maggotbaby6-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 709, Description: "maggotegg6-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 710, Description: "minion9-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 711, Description: "minion10-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 712, Description: "minion11-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 713, Description: "arach6-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 714, Description: "megademon4-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 715, Description: "megademon5-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 716, Description: "imp6-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 717, Description: "imp7-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 718, Description: "bonefetish6-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 719, Description: "bonefetish7-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 720, Description: "fingermage4-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 721, Description: "fingermage5-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 722, Description: "regurgitator4-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 723, Description: "vampire6-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 724, Description: "vampire7-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 725, Description: "vampire8-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 726, Description: "reanimatedhorde6-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 727, Description: "dkfig1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 728, Description: "dkfig2-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 729, Description: "dkmag1-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 730, Description: "dkmag2-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 731, Description: "mummy6-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 732, Description: "ubermephisto-Mephisto-UberMephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 733, Description: "uberdiablo-Diablo-UberDiablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 734, Description: "uberizual-izual-UberIzual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 735, Description: "uberandariel-Lilith-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 736, Description: "uberduriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 737, Description: "uberbaal-Baal Crab-UberBaal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 738, Description: "demonspawner-Evil hut-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 739, Description: "demonhole-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 740, Description: "megademon6-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 741, Description: "dkmag3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 742, Description: "imp8-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 743, Description: "swarm5-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 744, Description: "sandmaggot7-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 745, Description: "arach7-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 746, Description: "scarab8-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 747, Description: "succubus8-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 748, Description: "succubuswitch9-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 749, Description: "corruptrogue6-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 750, Description: "cr_archer8-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 751, Description: "cr_lancer9-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 752, Description: "overseer6-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 753, Description: "skeleton8-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 754, Description: "sk_archer11-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 755, Description: "skmage_fire7-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 756, Description: "skmage_ltng7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 757, Description: "skmage_cold6-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 758, Description: "skmage_pois7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 759, Description: "vampire9-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 760, Description: "wraith9-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 761, Description: "willowisp8-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 762, Description: "Bishibosh-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 763, Description: "Bonebreak-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 764, Description: "Coldcrow-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 765, Description: "Rakanishu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "SWD", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 766, Description: "Treehead WoodFist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 767, Description: "Griswold-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 768, Description: "The Countess-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 769, Description: "Pitspawn Fouldog-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 770, Description: "Flamespike the Crawler-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 771, Description: "Boneash-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 772, Description: "Radament-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 773, Description: "Bloodwitch the Wild-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 774, Description: "Fangskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 775, Description: "Beetleburst-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 776, Description: "Leatherarm-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 777, Description: "Coldworm the Burrower-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 778, Description: "Fire Eye-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 779, Description: "Dark Elder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 780, Description: "The Summoner-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 781, Description: "Ancient Kaa the Soulless-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 782, Description: "The Smith-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 783, Description: "Web Mage the Burning-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 784, Description: "Witch Doctor Endugu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 785, Description: "Stormtree-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 786, Description: "Sarina the Battlemaid-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 787, Description: "Icehawk Riftwing-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 788, Description: "Ismail Vilehand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 789, Description: "Geleb Flamefinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 790, Description: "Bremm Sparkfist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 791, Description: "Toorc Icefist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 792, Description: "Wyand Voidfinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 793, Description: "Maffer Dragonhand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 794, Description: "Winged Death-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 795, Description: "The Tormentor-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 796, Description: "Taintbreeder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 797, Description: "Riftwraith the Cannibal-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 798, Description: "Infector of Souls-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 799, Description: "Lord De Seis-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 800, Description: "Grand Vizier of Chaos-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 801, Description: "The Cow King-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 802, Description: "Corpsefire-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 803, Description: "The Feature Creep-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 804, Description: "Siege Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 805, Description: "Ancient Barbarian 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 806, Description: "Ancient Barbarian 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 807, Description: "Ancient Barbarian 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 808, Description: "Axe Dweller-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 809, Description: "Bonesaw Breaker-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 810, Description: "Dac Farren-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 811, Description: "Megaflow Rectifier-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 812, Description: "Eyeback Unleashed-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 813, Description: "Threash Socket-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 814, Description: "Pindleskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 815, Description: "Snapchip Shatter-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 816, Description: "Anodized Elite-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 817, Description: "Vinvear Molech-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 818, Description: "Sharp Tooth Sayer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 819, Description: "Magma Torquer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 820, Description: "Blaze Ripper-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 821, Description: "Frozenstein-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 822, Description: "Nihlathak Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 823, Description: "Baal Subject 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 824, Description: "Baal Subject 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 825, Description: "Baal Subject 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 826, Description: "Baal Subject 4-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeCharacter, Id: 827, Description: "Baal Subject 5-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 0, Description: "Waypoint (238)", ObjectsTxtId: 238, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WV", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 1, Description: "-580", ObjectsTxtId: 580, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 2, Description: "Your Private Stash (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 3, Description: "gold placeholder (269)", ObjectsTxtId: 269, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 4, Description: "-581", ObjectsTxtId: 581, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 5, Description: "-573", ObjectsTxtId: 573, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 6, Description: "-573", ObjectsTxtId: 573, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 7, Description: "-573", ObjectsTxtId: 573, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 8, Description: "hell fire 1 (345)", ObjectsTxtId: 345, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 9, Description: "hell fire 2 (346)", ObjectsTxtId: 346, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 10, Description: "hell fire 3 (347)", ObjectsTxtId: 347, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 11, Description: "hell lava 1 (348)", ObjectsTxtId: 348, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 12, Description: "hell lava 2 (349)", ObjectsTxtId: 349, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 13, Description: "hell lava 3 (350)", ObjectsTxtId: 350, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 14, Description: "hell light source 1 (351)", ObjectsTxtId: 351, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 15, Description: "hell light source 2 (352)", ObjectsTxtId: 352, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 16, Description: "hell light source 3 (353)", ObjectsTxtId: 353, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 17, Description: "Fire, hell brazier 1 (358)", ObjectsTxtId: 358, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 18, Description: "Fire, hell brazier 2 (359)", ObjectsTxtId: 359, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 19, Description: "Hung Skeleton (363)", ObjectsTxtId: 363, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "XQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 20, Description: "skeleton rising from lava L (259)", ObjectsTxtId: 259, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 21, Description: "skeleton rising from lava R (373)", ObjectsTxtId: 373, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QT", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 22, Description: "Bone Chest (372)", ObjectsTxtId: 372, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 23, Description: "fog water (374)", ObjectsTxtId: 374, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 24, Description: "Shrine, hell well (236)", ObjectsTxtId: 236, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HO", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 25, Description: "Shrine, mana well (249)", ObjectsTxtId: 249, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 26, Description: "Shrine, outer hell 1 (226)", ObjectsTxtId: 226, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IA", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 27, Description: "Shrine, outer hell 2 (231)", ObjectsTxtId: 231, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HT", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 28, Description: "Shrine, outer hell 3 (232)", ObjectsTxtId: 232, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HQ", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 29, Description: "Shrine, mana inner hell (93)", ObjectsTxtId: 93, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IZ", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 30, Description: "Shrine, inner hell 1 (97)", ObjectsTxtId: 97, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 31, Description: "Shrine, inner hell 2 (123)", ObjectsTxtId: 123, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IW", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 32, Description: "Shrine, inner hell 3 (124)", ObjectsTxtId: 124, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IV", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 33, Description: "Shrine, health inner hell (96)", ObjectsTxtId: 96, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IY", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 34, Description: "Skullpile (225)", ObjectsTxtId: 225, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 35, Description: "Pillar 1 (233)", ObjectsTxtId: 233, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HV", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 36, Description: "Pillar 2 (222)", ObjectsTxtId: 222, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 37, Description: "Hidden Stash, inner hell (125)", ObjectsTxtId: 125, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 38, Description: "Skull Pile, inner hell (126)", ObjectsTxtId: 126, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 39, Description: "Hidden Stash, inner hell 1 (127)", ObjectsTxtId: 127, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 40, Description: "Hidden Stash, inner hell 2 (128)", ObjectsTxtId: 128, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HG", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 41, Description: "CRASH THE GAME ! (375)", ObjectsTxtId: 375, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 42, Description: "Hellforge (376)", ObjectsTxtId: 376, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UX", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 43, Description: "ray of light L Diablo (254)", ObjectsTxtId: 254, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 44, Description: "ray of light R Diablo (253)", ObjectsTxtId: 253, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 45, Description: "Portal to hell (342)", ObjectsTxtId: 342, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1Y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 46, Description: "Diablo start point (255)", ObjectsTxtId: 255, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 47, Description: "Diablo seal 1 (392)", ObjectsTxtId: 392, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 48, Description: "Diablo seal 2 (393)", ObjectsTxtId: 393, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 49, Description: "Diablo seal 3 (394)", ObjectsTxtId: 394, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 50, Description: "Diablo seal 4 (395)", ObjectsTxtId: 395, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 51, Description: "Diablo seal 5 (396)", ObjectsTxtId: 396, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 52, Description: "Waypoint, fortress (398)", ObjectsTxtId: 398, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YG", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 53, Description: "Chest, sparkly (397)", ObjectsTxtId: 397, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 54, Description: "fissure (399)", ObjectsTxtId: 399, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FH", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 55, Description: "smoke (401)", ObjectsTxtId: 401, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 56, Description: "brazier hell mesa (400)", ObjectsTxtId: 400, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 57, Description: "Trapped Soul, burning guy (380)", ObjectsTxtId: 380, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UY", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 58, Description: "Trapped Soul, guy stuck 1 (383)", ObjectsTxtId: 383, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 59, Description: "Trapped Soul, guy stuck 2 (384)", ObjectsTxtId: 384, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 60, Description: "wall torch L tombs (296)", ObjectsTxtId: 296, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QD", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 61, Description: "wall torch R tombs (297)", ObjectsTxtId: 297, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 62, Description: "Fire, hell brazier (403)", ObjectsTxtId: 403, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9F", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 63, Description: "floor brazier (102)", ObjectsTxtId: 102, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 64, Description: "fortress brazier (408)", ObjectsTxtId: 408, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 65, Description: "Torch Pit (409)", ObjectsTxtId: 409, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 66, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 67, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 68, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 69, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 70, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 71, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 72, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 73, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 74, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 75, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 76, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 77, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 78, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 79, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 80, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 81, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 82, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 83, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 84, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 85, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 86, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 87, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 88, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 89, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 90, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 91, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 92, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 93, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 94, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 95, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 96, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 97, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 98, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 99, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 100, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 101, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 102, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 103, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 104, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 105, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 106, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 107, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 108, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 109, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 110, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 111, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 112, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 113, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 114, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 115, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 116, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 117, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 118, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 119, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 120, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 121, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 122, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 123, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 124, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 125, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 126, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 127, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 128, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 129, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 130, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 131, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 132, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 133, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 134, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 135, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 136, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 137, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 138, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 139, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 140, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 141, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 142, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 143, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 144, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 145, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 146, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 147, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 148, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 149, Description: "ACT 4 TABLE SKIP IT", ObjectsTxtId: 0, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 150, Description: "Dummy-test data SKIPT IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "NU0", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 151, Description: "Casket-Casket #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 152, Description: "Shrine-Shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 153, Description: "Casket-Casket #6", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 154, Description: "LargeUrn-Urn #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 155, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 156, Description: "chest-LargeChestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 157, Description: "Barrel-Barrel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 158, Description: "TowerTome-Tower Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 159, Description: "Urn-Urn #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 160, Description: "Dummy-Bench", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 161, Description: "Barrel-BarrelExploding", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 162, Description: "Dummy-RogueFountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 163, Description: "Door-Door Gate Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 164, Description: "Door-Door Gate Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 165, Description: "Door-Door Wooden Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 166, Description: "Door-Door Wooden Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 167, Description: "StoneAlpha-StoneAlpha", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 168, Description: "StoneBeta-StoneBeta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 169, Description: "StoneGamma-StoneGamma", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 170, Description: "StoneDelta-StoneDelta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 171, Description: "StoneLambda-StoneLambda", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 172, Description: "StoneTheta-StoneTheta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 173, Description: "Door-Door Courtyard Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 174, Description: "Door-Door Courtyard Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 175, Description: "Door-Door Cathedral Double", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 176, Description: "Gibbet-Cain's Been Captured", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 177, Description: "Door-Door Monastery Double Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 178, Description: "HoleAnim-Hole in Ground", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 179, Description: "Dummy-Brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 180, Description: "Inifuss-inifuss tree", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 181, Description: "Dummy-Fountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 182, Description: "Dummy-crucifix", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 183, Description: "Dummy-Candles1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 184, Description: "Dummy-Candles2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 185, Description: "Dummy-Standard1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 186, Description: "Dummy-Standard2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 187, Description: "Dummy-Torch1 Tiki", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 188, Description: "Dummy-Torch2 Wall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 189, Description: "fire-RogueBonfire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 190, Description: "Dummy-River1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 191, Description: "Dummy-River2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 192, Description: "Dummy-River3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 193, Description: "Dummy-River4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 194, Description: "Dummy-River5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 195, Description: "AmbientSound-ambient sound generator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 196, Description: "Crate-Crate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 197, Description: "Door-Andariel's Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 198, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 199, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 200, Description: "Casket-CasketR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 201, Description: "Casket-CasketL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 202, Description: "Urn-Urn #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 203, Description: "Casket-Casket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 204, Description: "RogueCorpse-Rogue corpse 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 205, Description: "RogueCorpse-Rogue corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 206, Description: "RogueCorpse-rolling rogue corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 207, Description: "CorpseOnStick-rogue on a stick 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 208, Description: "CorpseOnStick-rogue on a stick 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 209, Description: "Portal-Town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 210, Description: "Portal-Permanent town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 211, Description: "Dummy-Invisible object", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 212, Description: "Door-Door Cathedral Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 213, Description: "Door-Door Cathedral Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 214, Description: "Door-Door Wooden Left #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 215, Description: "Dummy-invisible river sound1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 216, Description: "Dummy-invisible river sound2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 217, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 218, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 219, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 220, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 221, Description: "Dummy-forest night sound #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F1", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 222, Description: "Dummy-forest night sound #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F2", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 223, Description: "Dummy-yeti dung", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 224, Description: "TrappDoor-Trap Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 225, Description: "Door-Door by Dock, Act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 226, Description: "Dummy-sewer drip", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SZ", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 227, Description: "Shrine-healthorama", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 228, Description: "Dummy-invisible town sound", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 229, Description: "Casket-casket #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 230, Description: "Obelisk-obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "OB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 231, Description: "Shrine-forest altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 232, Description: "Dummy-bubbling pool of blood", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 233, Description: "Shrine-horn shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 234, Description: "Shrine-healing well", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 235, Description: "Shrine-bull shrine,health, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 236, Description: "Dummy-stele,magic shrine, stone, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 237, Description: "Chest3-tombchest 1, largechestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 238, Description: "Chest3-tombchest 2 largechestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 239, Description: "Sarcophagus-mummy coffinL, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 240, Description: "Obelisk-desert obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 241, Description: "Door-tomb door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 242, Description: "Door-tomb door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 243, Description: "Shrine-mana shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 244, Description: "LargeUrn-Urn #4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 245, Description: "LargeUrn-Urn #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 246, Description: "Shrine-health shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 247, Description: "Shrine-innershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ix", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 248, Description: "Door-tomb door left 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 249, Description: "Door-tomb door right 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 250, Description: "Duriel's Lair-Portal to Duriel's Lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 251, Description: "Dummy-Brazier3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 252, Description: "Dummy-Floor brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 253, Description: "Dummy-flies", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 254, Description: "ArmorStand-Armor Stand 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 255, Description: "ArmorStand-Armor Stand 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 256, Description: "WeaponRack-Weapon Rack 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 257, Description: "WeaponRack-Weapon Rack 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 258, Description: "Malus-Malus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 259, Description: "Shrine-palace shrine, healthR, harom, arcane Sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 260, Description: "not used-drinker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 261, Description: "well-Fountain 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 262, Description: "not used-gesturer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n6", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 263, Description: "well-Fountain 2, well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 264, Description: "not used-turner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 265, Description: "well-Fountain 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 266, Description: "Shrine-snake woman, magic shrine, tomb, arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 267, Description: "Dummy-jungle torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 268, Description: "Well-Fountain 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 269, Description: "Waypoint-waypoint portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wp", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 270, Description: "Dummy-healthshrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 271, Description: "jerhyn-placeholder #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 272, Description: "jerhyn-placeholder #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 273, Description: "Shrine-innershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 274, Description: "Shrine-innershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 275, Description: "hidden stash-ihobject3 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 276, Description: "skull pile-skullpile inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "is", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 277, Description: "hidden stash-ihobject5 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ir", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 278, Description: "hidden stash-hobject4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 279, Description: "Door-secret door 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "h2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 280, Description: "Well-pool act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 281, Description: "Dummy-vile dog afterglow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 282, Description: "Well-cathedralwell act 1 inside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 283, Description: "shrine-shrine1_arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 284, Description: "shrine-dshrine2 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zs", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 285, Description: "shrine-desertshrine3 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zr", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 286, Description: "shrine-dshrine1 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 287, Description: "Well-desertwell act 2 well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 288, Description: "Well-cavewell act 1 caves ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 289, Description: "chest-chest-r-large act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 290, Description: "chest-chest-r-tallskinney act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 291, Description: "chest-chest-r-med act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 292, Description: "jug-jug1 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 293, Description: "jug-jug2 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 294, Description: "chest-Lchest1 act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 295, Description: "Waypoint-waypointi inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 296, Description: "chest-dchest2R act 2, desert, tomb, chest-r-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 297, Description: "chest-dchestr act 2, desert, tomb, chest -r large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 298, Description: "chest-dchestL act 2, desert, tomb chest l large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 299, Description: "taintedsunaltar-tainted sun altar quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "za", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 300, Description: "shrine-dshrine1 act 2 , desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 301, Description: "shrine-dshrine4 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ze", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 302, Description: "orifice-Where you place the Horadric staff", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 303, Description: "Door-tyrael's door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 304, Description: "corpse-guard corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 305, Description: "hidden stash-rock act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 306, Description: "Waypoint-waypoint act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 307, Description: "Waypoint-waypoint act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wn", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 308, Description: "skeleton-corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 309, Description: "hidden stash-rockb act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 310, Description: "fire-fire small", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 311, Description: "fire-fire medium", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 312, Description: "fire-fire large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 313, Description: "hiding spot-cliff act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 314, Description: "Shrine-mana well1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 315, Description: "Shrine-mana well2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 316, Description: "Shrine-mana well3, act 2, tomb, ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 317, Description: "Shrine-mana well4, act 2, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 318, Description: "Shrine-mana well5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 319, Description: "hollow log-log", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 320, Description: "Shrine-jungle healwell act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 321, Description: "skeleton-corpseb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 322, Description: "Shrine-health well, health shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 323, Description: "Shrine-mana well7, mana shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 324, Description: "loose rock-rockc act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 325, Description: "loose boulder-rockd act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 326, Description: "chest-chest-L-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 327, Description: "chest-chest-L-large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 328, Description: "GuardCorpse-guard on a stick, desert, tomb, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 329, Description: "bookshelf-bookshelf1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 330, Description: "bookshelf-bookshelf2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 331, Description: "chest-jungle chest act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 332, Description: "coffin-tombcoffin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 333, Description: "chest-chest-L-med, jungle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 334, Description: "Shrine-jungle shrine2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 335, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 336, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 337, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 338, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ju", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 339, Description: "Dummy-cain portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tP", Mode: "OP", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 340, Description: "Shrine-jungle shrine3 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "js", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 341, Description: "Shrine-jungle shrine4 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 342, Description: "teleport pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 343, Description: "LamTome-Lam Esen's Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ab", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 344, Description: "stair-stairsl", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sl", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 345, Description: "stair-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 346, Description: "a trap-test data floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "a5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 347, Description: "Shrine-jungleshrine act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jq", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 348, Description: "chest-chest-L-tallskinney, general chest r?", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 349, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 350, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "my", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 351, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mx", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 352, Description: "Shrine-mafistomana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 353, Description: "stash-mafistolair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 354, Description: "stash-box", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 355, Description: "stash-altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 356, Description: "Shrine-mafistohealth", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 357, Description: "dummy-water rocks in act 3 wrok", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 358, Description: "Basket-basket 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 359, Description: "Basket-basket 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 360, Description: "Dummy-water logs in act 3  ne logw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 361, Description: "Dummy-water rocks girl in act 3 wrob", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 362, Description: "Dummy-bubbles in act3 water", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 363, Description: "Dummy-water logs in act 3 logx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wd", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 364, Description: "Dummy-water rocks in act 3 rokb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 365, Description: "Dummy-water rocks girl in act 3 watc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "we", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 366, Description: "Dummy-water rocks in act 3 waty", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 367, Description: "Dummy-water logs in act 3  logz", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lx", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 368, Description: "Dummy-web covered tree 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 369, Description: "Dummy-web covered tree 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 370, Description: "Dummy-web covered tree 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 371, Description: "Dummy-web covered tree 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 372, Description: "pillar-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 373, Description: "cocoon-cacoon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 374, Description: "cocoon-cacoon 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 375, Description: "skullpile-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ib", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 376, Description: "Shrine-outershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ia", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 377, Description: "dummy-water rock girl act 3  nw  blgb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 378, Description: "dummy-big log act 3  sw blga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 379, Description: "door-slimedoor1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 380, Description: "door-slimedoor2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 381, Description: "Shrine-outershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ht", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 382, Description: "Shrine-outershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 383, Description: "pillar-hobject2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 384, Description: "dummy-Big log act 3 se blgc ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 385, Description: "dummy-Big log act 3 nw blgd", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 386, Description: "Shrine-health wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ho", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 387, Description: "Waypoint-act3waypoint town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 388, Description: "Waypoint-waypointh", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wv", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 389, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 390, Description: "chest-gchest1L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cy", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 391, Description: "chest-gchest2R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 392, Description: "chest-gchest3R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 393, Description: "chest-glchest3L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 394, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 395, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "by", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 396, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ra", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 397, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qa", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 398, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 399, Description: "manashrine-mana wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hn", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 400, Description: "a trap-exploding cow  for Tristan and ACT 3 only??Very Rare  1 or 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ew", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 401, Description: "gidbinn altar-gidbinn altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ga", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 402, Description: "gidbinn-gidbinn decoy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "gd", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 403, Description: "Dummy-diablo right light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 404, Description: "Dummy-diablo left light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 405, Description: "Dummy-diablo start point", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 406, Description: "Dummy-stool for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 407, Description: "Dummy-wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wg", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 408, Description: "Dummy-more wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 409, Description: "Dummy-skeleton spawn for hell   facing nw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 410, Description: "Shrine-holyshrine for monastery,catacombs,jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HL", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 411, Description: "a trap-spikes for tombs floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 412, Description: "Shrine-act 1 cathedral", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 413, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jb", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 414, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 415, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jf", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 416, Description: "goo pile-goo pile for sand maggot lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 417, Description: "bank-bank", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 418, Description: "wirt's body-wirt's body", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 419, Description: "dummy-gold placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1g", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 420, Description: "corpse-guard corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 421, Description: "corpse-dead villager 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 422, Description: "corpse-dead villager 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "df", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 423, Description: "Dummy-yet another flame, no damage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 424, Description: "hidden stash-tiny pixel shaped thingie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f9", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 425, Description: "Shrine-health shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ce", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 426, Description: "Shrine-mana shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 427, Description: "Shrine-cave magic shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 428, Description: "Shrine-manashrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "de", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 429, Description: "Shrine-magic shrine, act 3 sewers.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wj", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 430, Description: "Shrine-healthwell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 431, Description: "Shrine-manawell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 432, Description: "Shrine-magic shrine, act 3 sewers, dungeon.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ws", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 433, Description: "dummy-brazier_celler, act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bi", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 434, Description: "sarcophagus-anubis coffin, act2, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 435, Description: "dummy-brazier_general, act 2, sewers, tomb, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bm", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 436, Description: "Dummy-brazier_tall, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bo", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 437, Description: "Dummy-brazier_small, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 438, Description: "Waypoint-waypoint, celler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 439, Description: "bed-bed for harum", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ub", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 440, Description: "door-iron grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 441, Description: "door-iron grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dn", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 442, Description: "door-wooden grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dp", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 443, Description: "door-wooden grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dt", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 444, Description: "door-wooden door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 445, Description: "door-wooden door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 446, Description: "Dummy-wall torch left for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qd", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 447, Description: "Dummy-wall torch right for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qe", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 448, Description: "portal-arcane sanctuary portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ay", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 449, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hb", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 450, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hc", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 451, Description: "Dummy-maggot well health", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 452, Description: "manashrine-maggot well mana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 453, Description: "magic shrine-magic shrine, act 3 arcane sanctuary.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 454, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 455, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 456, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 457, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7a", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 458, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7b", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 459, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 460, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7d", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 461, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7e", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 462, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7f", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 463, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7g", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 464, Description: "dead guard-harem guard 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 465, Description: "dead guard-harem guard 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qi", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 466, Description: "dead guard-harem guard 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qj", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 467, Description: "dead guard-harem guard 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 468, Description: "eunuch-harem blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 469, Description: "Dummy-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ax", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 470, Description: "manashrine-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "au", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 471, Description: "Dummy-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "S1", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 472, Description: "Well-tombwell act 2 well, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hu", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 473, Description: "Waypoint-waypoint act2 sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 474, Description: "Waypoint-waypoint act3 travincal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ql", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 475, Description: "magic shrine-magic shrine, act 3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qn", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 476, Description: "dead body-act3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 477, Description: "dummy-torch (act 3 sewer) stra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 478, Description: "dummy-torch (act 3 kurast) strb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 479, Description: "chest-mafistochestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 480, Description: "chest-mafistochestlargeright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 481, Description: "chest-mafistochestmedleft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 482, Description: "chest-mafistochestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xe", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 483, Description: "chest-spiderlairchestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 484, Description: "chest-spiderlairchesttallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 485, Description: "chest-spiderlairchestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xh", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 486, Description: "chest-spiderlairchesttallright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 487, Description: "Steeg Stone-steeg stone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 488, Description: "Guild Vault-guild vault", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 489, Description: "Trophy Case-trophy case", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 490, Description: "Message Board-message board", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 491, Description: "Dummy-mephisto bridge", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 492, Description: "portal-hellgate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 493, Description: "Shrine-manawell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 494, Description: "Shrine-healthwell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 495, Description: "Dummy-hellfire1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 496, Description: "Dummy-hellfire2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 497, Description: "Dummy-hellfire3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 498, Description: "Dummy-helllava1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 499, Description: "Dummy-helllava2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 500, Description: "Dummy-helllava3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 501, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 502, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 503, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 504, Description: "chest-horadric cube chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 505, Description: "chest-horadric scroll chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 506, Description: "chest-staff of kings chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 507, Description: "Tome-yet another tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 508, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 509, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 510, Description: "RockPIle-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 511, Description: "magic shrine-magic shrine, act 3,dundeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 512, Description: "basket-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 513, Description: "HungSkeleton-outerhell skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 514, Description: "Dummy-guy for dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ea", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 515, Description: "casket-casket for Act 3 dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 516, Description: "sewer stairs-stairs for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ve", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 517, Description: "sewer lever-lever for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 518, Description: "darkwanderer-start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 519, Description: "dummy-trapped soul placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 520, Description: "Dummy-torch for act3 town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 521, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 522, Description: "BoneChest-innerhellbonepile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 523, Description: "Dummy-skeleton spawn for hell facing ne", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qt", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 524, Description: "Dummy-fog act 3 water rfga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ud", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 525, Description: "Dummy-Not used", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 526, Description: "Hellforge-Forge  hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ux", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 527, Description: "Guild Portal-Portal to next guild level", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 528, Description: "Dummy-hratli start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 529, Description: "Dummy-hratli end", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 530, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "uy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 531, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "15", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 532, Description: "Dummy-natalya start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 533, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 534, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 535, Description: "Dummy-cain start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 536, Description: "Dummy-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 537, Description: "chest-arcanesanctuarybigchestLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 538, Description: "casket-arcanesanctuarycasket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 539, Description: "chest-arcanesanctuarybigchestRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 540, Description: "chest-arcanesanctuarychestsmallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ya", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 541, Description: "chest-arcanesanctuarychestsmallRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 542, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 543, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 544, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 545, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 546, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 547, Description: "chest-sparklychest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 548, Description: "Waypoint-waypoint pandamonia fortress", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yg", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 549, Description: "fissure-fissure for act 4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "fh", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 550, Description: "Dummy-brazier for act 4, hell mesa", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "he", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 551, Description: "Dummy-smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 552, Description: "Waypoint-waypoint valleywaypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 553, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 554, Description: "compellingorb-compelling orb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 555, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 556, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 557, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 558, Description: "Dummy-fortress brazier #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 559, Description: "Dummy-fortress brazier #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 560, Description: "Siege Control-To control siege machines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 561, Description: "ptox-Pot O Torch (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "px", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 562, Description: "pyox-fire pit  (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "py", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 563, Description: "chestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 564, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6r", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 565, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 566, Description: "hiddenstash-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 567, Description: "flag wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ym", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 568, Description: "barrel wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 569, Description: "barrel wilderness-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 570, Description: "woodchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 571, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 572, Description: "manashrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 573, Description: "healthshrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 574, Description: "burialchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 575, Description: "burialchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 576, Description: "well-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 577, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 578, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yx", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 579, Description: "Waypoint-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yy", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 580, Description: "ChestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 581, Description: "woodchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 582, Description: "ChestSL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 583, Description: "ChestSR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 584, Description: "etorch1-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 585, Description: "ecfra-camp fire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2w", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 586, Description: "ettr-town torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 587, Description: "etorch2-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6e", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 588, Description: "burningbodies-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 589, Description: "burningpit-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 590, Description: "tribal flag-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6h", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 591, Description: "eflg-town flag", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 592, Description: "chan-chandeleir", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 593, Description: "jar1-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 594, Description: "jar2-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 595, Description: "jar3-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 596, Description: "swingingheads-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 597, Description: "pole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6m", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 598, Description: "animated skulland rockpile-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 599, Description: "gate-town main gate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 600, Description: "pileofskullsandrocks-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 601, Description: "hellgate-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 602, Description: "banner 1-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ao", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 603, Description: "banner 2-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ap", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 604, Description: "explodingchest-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 605, Description: "chest-specialchest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 606, Description: "deathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6v", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 607, Description: "Ldeathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6w", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 608, Description: "Altar-inside of temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 609, Description: "dummy-Drehya Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 610, Description: "dummy-Drehya Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 611, Description: "dummy-Nihlathak Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 612, Description: "dummy-Nihlathak Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 613, Description: "hidden stash-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 614, Description: "healthshrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 615, Description: "manashrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 616, Description: "evilurn-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 617, Description: "icecavejar1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 618, Description: "icecavejar2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 619, Description: "icecavejar3-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 620, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 621, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 622, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 623, Description: "cagedwussie1-caged fellow(A5-Prisonner)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 624, Description: "Ancient Statue 3-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 625, Description: "Ancient Statue 1-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "61", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 626, Description: "Ancient Statue 2-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "62", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 627, Description: "deadbarbarian-seige/wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 628, Description: "clientsmoke-client smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "oz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 629, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8k", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 630, Description: "icecave_torch1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 631, Description: "icecave_torch2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 632, Description: "ttor-expansion tiki torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 633, Description: "manashrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 634, Description: "healthshrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8o", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 635, Description: "tomb1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8p", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 636, Description: "tomb2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 637, Description: "tomb3-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8r", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 638, Description: "magic shrine-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 639, Description: "torch1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 640, Description: "torch2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8u", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 641, Description: "manashrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8v", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 642, Description: "healthshrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8w", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 643, Description: "well-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 644, Description: "Waypoint-baals_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 645, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 646, Description: "Waypoint-wilderness_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 647, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5b", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 648, Description: "well-baalslair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 649, Description: "magic shrine2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 650, Description: "object1-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 651, Description: "woodchestL-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 652, Description: "woodchestR-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 653, Description: "magic shrine-baals_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 654, Description: "woodchest2L-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 655, Description: "woodchest2R-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 656, Description: "swingingheads-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 657, Description: "debris-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5l", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 658, Description: "pene-Pen breakable door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 659, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 660, Description: "mrpole-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 661, Description: "Waypoint-icecave ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 662, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 663, Description: "well-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 664, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5r", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 665, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 666, Description: "object1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 667, Description: "object2-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 668, Description: "mrbox-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 669, Description: "well-icecave", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 670, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5y", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 671, Description: "healthshrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5z", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 672, Description: "manashrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 673, Description: "red light- (touch me)  for blacksmith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 674, Description: "tomb1L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 675, Description: "tomb2L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 676, Description: "tomb3L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 677, Description: "ubub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2u", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 678, Description: "sbub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2s", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 679, Description: "tomb1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 680, Description: "tomb1L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 681, Description: "tomb2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 682, Description: "tomb2L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 683, Description: "tomb3-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 684, Description: "tomb3L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 685, Description: "mrbox-redbaals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3L", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 686, Description: "torch1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 687, Description: "torch2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3n", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 688, Description: "candles-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3o", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 689, Description: "Waypoint-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3p", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 690, Description: "deadperson-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 691, Description: "groundtomb-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3s", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 692, Description: "Dummy-Larzuk Greeting", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 693, Description: "Dummy-Larzuk Standard", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 694, Description: "groundtombL-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3t", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 695, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 696, Description: "ancientsaltar-ancientsaltar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4a", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 697, Description: "To The Worldstone Keep Level 1-ancientsdoor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 698, Description: "eweaponrackR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 699, Description: "eweaponrackL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 700, Description: "earmorstandR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 701, Description: "earmorstandL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 702, Description: "torch2-summit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 703, Description: "funeralpire-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 704, Description: "burninglogs-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 705, Description: "stma-Ice cave steam", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 706, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 707, Description: "Dummy-Baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 708, Description: "fana-frozen anya", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2n", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 709, Description: "BBQB-BBQ Bunny", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 710, Description: "btor-Baal Torch Big", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 711, Description: "Dummy-invisible ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 712, Description: "Dummy-invisible base", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 713, Description: "The Worldstone Chamber-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 714, Description: "Glacial Caves Level 1-summit door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 715, Description: "strlastcinematic-last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 716, Description: "Harrogath-last last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 717, Description: "Zoo-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 718, Description: "Keeper-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 719, Description: "Throne of Destruction-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 720, Description: "Dummy-fire place guy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 721, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 4, Type: d2enum.ObjectTypeItem, Id: 722, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 0, Description: "larzuk-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 1, Description: "drehya-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 2, Description: "malah-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 3, Description: "nihlathak-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 4, Description: "qual-kehk-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 5, Description: "place_impgroup-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 6, Description: "Siege Boss-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "OS", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "HVY", SH: "HVY", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 7, Description: "tyrael3-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 8, Description: "cain6-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 9, Description: "place_imp-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 10, Description: "place_minion-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 11, Description: "place_miniongroup-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 12, Description: "catapult2-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 13, Description: "catapult1-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 14, Description: "place_bloodlord-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 15, Description: "catapultspotter2-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 16, Description: "catapultspotter1-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 17, Description: "act5barb1-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 3, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 18, Description: "place_deadbarb-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 19, Description: "place_deadminion-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 20, Description: "place_deadimp-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 21, Description: "cain6-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 22, Description: "act5barb3-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 23, Description: "place_reanimateddead-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 24, Description: "ancientstatue1-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 25, Description: "ancientstatue2-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 26, Description: "ancientstatue3-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 27, Description: "Dac Farren-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 28, Description: "baalthrone-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 29, Description: "baaltaunt-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 30, Description: "injuredbarb1-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 31, Description: "injuredbarb2-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 32, Description: "injuredbarb3-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 33, Description: "baalcrab-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", ColorMap: "/Data/Global/Monsters/42/COF/Palshift.dat", Index: 5},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 34, Description: "Axe Dweller-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 35, Description: "Bonesaw Breaker-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 36, Description: "Megaflow Rectifier-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 37, Description: "Eyeback Unleashed-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 38, Description: "Threash Socket-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 39, Description: "Pindleskin-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 40, Description: "Snapchip Shatter-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 41, Description: "Anodized Elite-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 42, Description: "Vinvear Molech-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 43, Description: "Sharp Tooth Sayer-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 44, Description: "Magma Torquer-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 45, Description: "Blaze Ripper-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 46, Description: "Frozenstein-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 47, Description: "worldstoneeffect-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 48, Description: "chicken-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: 2, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 49, Description: "place_champion-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 50, Description: "evilhut-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "S1", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 51, Description: "place_nothing-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 52, Description: "place_nothing-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 53, Description: "place_nothing-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 54, Description: "place_nothing-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 55, Description: "place_nothing-ACT 5 TABLE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 56, Description: "skeleton1-Skeleton-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 57, Description: "skeleton2-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 58, Description: "skeleton3-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 59, Description: "skeleton4-BurningDead-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 60, Description: "skeleton5-Horror-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 61, Description: "zombie1-Zombie-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 62, Description: "zombie2-HungryDead-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 63, Description: "zombie3-Ghoul-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 64, Description: "zombie4-DrownedCarcass-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 65, Description: "zombie5-PlagueBearer-Zombie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 66, Description: "bighead1-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 67, Description: "bighead2-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 68, Description: "bighead3-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 69, Description: "bighead4-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 70, Description: "bighead5-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 71, Description: "foulcrow1-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 72, Description: "foulcrow2-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 73, Description: "foulcrow3-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 74, Description: "foulcrow4-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 75, Description: "fallen1-Fallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 76, Description: "fallen2-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 77, Description: "fallen3-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 78, Description: "fallen4-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 79, Description: "fallen5-WarpedFallen-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "AXE", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 80, Description: "brute2-Brute-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 81, Description: "brute3-Yeti-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 82, Description: "brute4-Crusher-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 83, Description: "brute5-WailingBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 84, Description: "brute1-GargantuanBeast-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 85, Description: "sandraider1-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 86, Description: "sandraider2-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 87, Description: "sandraider3-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 88, Description: "sandraider4-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 89, Description: "sandraider5-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 90, Description: "gorgon1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 91, Description: "gorgon2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 92, Description: "gorgon3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 93, Description: "gorgon4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GO", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 94, Description: "wraith1-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 95, Description: "wraith2-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 96, Description: "wraith3-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 97, Description: "wraith4-Apparition-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 98, Description: "wraith5-DarkShape-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 99, Description: "corruptrogue1-DarkHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 100, Description: "corruptrogue2-VileHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 101, Description: "corruptrogue3-DarkStalker-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 102, Description: "corruptrogue4-BlackRogue-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 103, Description: "corruptrogue5-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 104, Description: "baboon1-DuneBeast-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 105, Description: "baboon2-RockDweller-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 106, Description: "baboon3-JungleHunter-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 107, Description: "baboon4-DoomApe-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 108, Description: "baboon5-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 109, Description: "goatman1-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 110, Description: "goatman2-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 111, Description: "goatman3-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 112, Description: "goatman4-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 113, Description: "goatman5-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 114, Description: "fallenshaman1-FallenShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 115, Description: "fallenshaman2-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 116, Description: "fallenshaman3-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 117, Description: "fallenshaman4-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 118, Description: "fallenshaman5-WarpedShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 119, Description: "quillrat1-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 120, Description: "quillrat2-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 121, Description: "quillrat3-ThornBeast-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 122, Description: "quillrat4-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 123, Description: "quillrat5-JungleUrchin-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 124, Description: "sandmaggot1-SandMaggot-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 125, Description: "sandmaggot2-RockWorm-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 126, Description: "sandmaggot3-Devourer-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 127, Description: "sandmaggot4-GiantLamprey-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 128, Description: "sandmaggot5-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 129, Description: "clawviper1-TombViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 130, Description: "clawviper2-ClawViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 131, Description: "clawviper3-Salamander-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 132, Description: "clawviper4-PitViper-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 133, Description: "clawviper5-SerpentMagus-ClawViper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 134, Description: "sandleaper1-SandLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 135, Description: "sandleaper2-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 136, Description: "sandleaper3-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 137, Description: "sandleaper4-TreeLurker-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 138, Description: "sandleaper5-RazorPitDemon-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 139, Description: "pantherwoman1-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 140, Description: "pantherwoman2-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 141, Description: "pantherwoman3-NightTiger-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 142, Description: "pantherwoman4-HellCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 143, Description: "swarm1-Itchies-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 144, Description: "swarm2-BlackLocusts-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 145, Description: "swarm3-PlagueBugs-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 146, Description: "swarm4-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 147, Description: "scarab1-DungSoldier-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 148, Description: "scarab2-SandWarrior-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 149, Description: "scarab3-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 150, Description: "scarab4-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 151, Description: "scarab5-AlbinoRoach-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 152, Description: "mummy1-DriedCorpse-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 153, Description: "mummy2-Decayed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 154, Description: "mummy3-Embalmed-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 155, Description: "mummy4-PreservedDead-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 156, Description: "mummy5-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 157, Description: "unraveler1-HollowOne-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 158, Description: "unraveler2-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 159, Description: "unraveler3-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 160, Description: "unraveler4-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 161, Description: "unraveler5-Baal Subject Mummy-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 162, Description: "chaoshorde1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 163, Description: "chaoshorde2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 164, Description: "chaoshorde3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 165, Description: "chaoshorde4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CH", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 166, Description: "vulture1-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 167, Description: "vulture2-UndeadScavenger-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 168, Description: "vulture3-HellBuzzard-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 169, Description: "vulture4-WingedNightmare-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 170, Description: "mosquito1-Sucker-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 171, Description: "mosquito2-Feeder-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 172, Description: "mosquito3-BloodHook-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 173, Description: "mosquito4-BloodWing-Mosquito", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MO", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 174, Description: "willowisp1-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 175, Description: "willowisp2-SwampGhost-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 176, Description: "willowisp3-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 177, Description: "willowisp4-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 178, Description: "arach1-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 179, Description: "arach2-SandFisher-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 180, Description: "arach3-PoisonSpinner-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 181, Description: "arach4-FlameSpider-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 182, Description: "arach5-SpiderMagus-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 183, Description: "thornhulk1-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 184, Description: "thornhulk2-BrambleHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 185, Description: "thornhulk3-Thrasher-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 186, Description: "thornhulk4-Spikefist-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 187, Description: "vampire1-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 188, Description: "vampire2-NightLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 189, Description: "vampire3-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 190, Description: "vampire4-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 191, Description: "vampire5-Banished-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 192, Description: "batdemon1-DesertWing-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 193, Description: "batdemon2-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 194, Description: "batdemon3-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 195, Description: "batdemon4-BloodDiver-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 196, Description: "batdemon5-DarkFamiliar-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 197, Description: "fetish1-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 198, Description: "fetish2-Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 199, Description: "fetish3-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 200, Description: "fetish4-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 201, Description: "fetish5-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 202, Description: "cain1-DeckardCain-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 203, Description: "gheed-Gheed-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 204, Description: "akara-Akara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 205, Description: "chicken-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 206, Description: "kashya-Kashya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 207, Description: "rat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 208, Description: "rogue1-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 209, Description: "hellmeteor-Dummy-HellMeteor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 210, Description: "charsi-Charsi-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 211, Description: "warriv1-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 212, Description: "andariel-Andariel-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 213, Description: "bird1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BS", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 214, Description: "bird2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 215, Description: "bat-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "B9", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 216, Description: "cr_archer1-DarkRanger-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 217, Description: "cr_archer2-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 218, Description: "cr_archer3-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 219, Description: "cr_archer4-BlackArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 220, Description: "cr_archer5-FleshArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 221, Description: "cr_lancer1-DarkSpearwoman-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 222, Description: "cr_lancer2-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 223, Description: "cr_lancer3-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 224, Description: "cr_lancer4-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 225, Description: "cr_lancer5-FleshLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 226, Description: "sk_archer1-SkeletonArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 227, Description: "sk_archer2-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 228, Description: "sk_archer3-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 229, Description: "sk_archer4-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 230, Description: "sk_archer5-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 231, Description: "warriv2-Warriv-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 232, Description: "atma-Atma-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 233, Description: "drognan-Drognan-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 234, Description: "fara-Fara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 235, Description: "cow-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 236, Description: "maggotbaby1-SandMaggotYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 237, Description: "maggotbaby2-RockWormYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 238, Description: "maggotbaby3-DevourerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 239, Description: "maggotbaby4-GiantLampreyYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 240, Description: "maggotbaby5-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 241, Description: "camel-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 242, Description: "blunderbore1-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 243, Description: "blunderbore2-Gorbelly-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 244, Description: "blunderbore3-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 245, Description: "blunderbore4-Urdar-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 246, Description: "maggotegg1-SandMaggotEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 247, Description: "maggotegg2-RockWormEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 248, Description: "maggotegg3-DevourerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 249, Description: "maggotegg4-GiantLampreyEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 250, Description: "maggotegg5-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 251, Description: "act2male-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2M", Mode: "NU", Class: "HTH", HD: "OLD", TR: "MED", LG: "MED", S1: "TUR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 252, Description: "act2female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2F", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 253, Description: "act2child-dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2C", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 254, Description: "greiz-Greiz-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 255, Description: "elzix-Elzix-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 256, Description: "geglash-Geglash-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 257, Description: "jerhyn-Jerhyn-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "JE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 258, Description: "lysander-Lysander-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 259, Description: "act2guard1-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 260, Description: "act2vendor1-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 261, Description: "act2vendor2-dummy-Vendor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 262, Description: "crownest1-FoulCrowNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 263, Description: "crownest2-BloodHawkNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 264, Description: "crownest3-BlackVultureNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 265, Description: "crownest4-CloudStalkerNest-FoulCrowNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 266, Description: "meshif1-Meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 267, Description: "duriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 268, Description: "bonefetish1-Undead RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 269, Description: "bonefetish2-Undead Fetish-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 270, Description: "bonefetish3-Undead Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 271, Description: "bonefetish4-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 272, Description: "bonefetish5-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 273, Description: "darkguard1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 274, Description: "darkguard2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 275, Description: "darkguard3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 276, Description: "darkguard4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 277, Description: "darkguard5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 278, Description: "bloodmage1-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 279, Description: "bloodmage2-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 280, Description: "bloodmage3-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 281, Description: "bloodmage4-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 282, Description: "bloodmage5-unused-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 283, Description: "maggot-Maggot-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 284, Description: "sarcophagus-MummyGenerator-Sarcophagus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 285, Description: "radament-Radament-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 286, Description: "firebeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 287, Description: "iceglobe-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 288, Description: "lightningbeast-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 289, Description: "poisonorb-unused-ElementalBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 290, Description: "flyingscimitar-FlyingScimitar-FlyingScimitar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ST", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 291, Description: "zealot1-Zakarumite-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 292, Description: "zealot2-Faithful-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 293, Description: "zealot3-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 294, Description: "cantor1-Sexton-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 295, Description: "cantor2-Cantor-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 296, Description: "cantor3-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 297, Description: "cantor4-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 298, Description: "mephisto-Mephisto-Mephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 299, Description: "diablo-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 300, Description: "cain2-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 301, Description: "cain3-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 302, Description: "cain4-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 303, Description: "frogdemon1-Swamp Dweller-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 304, Description: "frogdemon2-Bog Creature-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 305, Description: "frogdemon3-Slime Prince-FrogDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 306, Description: "summoner-Summoner-Summoner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 307, Description: "tyrael1-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TX", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 308, Description: "asheara-asheara-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 309, Description: "hratli-hratli-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 310, Description: "alkor-alkor-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 311, Description: "ormus-ormus-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "OR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 312, Description: "izual-izual-Izual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 313, Description: "halbu-halbu-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "20", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 314, Description: "tentacle1-WaterWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 315, Description: "tentacle2-RiverStalkerLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 316, Description: "tentacle3-StygianWatcherLimb-Tentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TN", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 317, Description: "tentaclehead1-WaterWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 318, Description: "tentaclehead2-RiverStalkerHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 319, Description: "tentaclehead3-StygianWatcherHead-TentacleHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 320, Description: "meshif2-meshif-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 321, Description: "cain5-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1D", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 322, Description: "navi-navi-Navi", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", LH: "LBW", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 323, Description: "bloodraven-Bloodraven-BloodRaven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "BRV", TR: "HVY", LG: "BRV", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBB", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 324, Description: "bug-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 325, Description: "scorpion-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 326, Description: "rogue2-RogueScout-GoodNpcRanged", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 327, Description: "roguehire-Dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 328, Description: "rogue3-Dummy-TownRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RG", Mode: "NU", Class: "HTH", HD: "MED", TR: "MED", RA: "LIT", LA: "LIT", LH: "LBW", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 329, Description: "gargoyletrap-GargoyleTrap-GargoyleTrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 330, Description: "skmage_pois1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 331, Description: "skmage_pois2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 332, Description: "skmage_pois3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 333, Description: "skmage_pois4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 334, Description: "fetishshaman1-RatManShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 335, Description: "fetishshaman2-FetishShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 336, Description: "fetishshaman3-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 337, Description: "fetishshaman4-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 338, Description: "fetishshaman5-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 339, Description: "larva-larva-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 340, Description: "maggotqueen1-SandMaggotQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 341, Description: "maggotqueen2-RockWormQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 342, Description: "maggotqueen3-DevourerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 343, Description: "maggotqueen4-GiantLampreyQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 344, Description: "maggotqueen5-WorldKillerQueen-SandMaggotQueen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 345, Description: "claygolem-ClayGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 346, Description: "bloodgolem-BloodGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 347, Description: "irongolem-IronGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 348, Description: "firegolem-FireGolem-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "G3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 349, Description: "familiar-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 350, Description: "act3male-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N4", Mode: "NU", Class: "HTH", HD: "BRD", TR: "HVY", LG: "HVY", RA: "HEV", LA: "HEV", RH: "FSH", LH: "SAK", S1: "TKT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 351, Description: "baboon6-NightMarauder-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 352, Description: "act3female-Dummy-Towner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "N3", Mode: "NU", Class: "HTH", HD: "LIT", TR: "MTP", LG: "SRT", RH: "BSK", LH: "BSK", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 353, Description: "natalya-Natalya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 354, Description: "vilemother1-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 355, Description: "vilemother2-StygianHag-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 356, Description: "vilemother3-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 357, Description: "vilechild1-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 358, Description: "vilechild2-StygianDog-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 359, Description: "vilechild3-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 360, Description: "fingermage1-Groper-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 361, Description: "fingermage2-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 362, Description: "fingermage3-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 363, Description: "regurgitator1-Corpulent-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 364, Description: "regurgitator2-CorpseSpitter-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 365, Description: "regurgitator3-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 366, Description: "doomknight1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 367, Description: "doomknight2-AbyssKnight-AbyssKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 368, Description: "doomknight3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 369, Description: "quillbear1-QuillBear-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 370, Description: "quillbear2-SpikeGiant-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 371, Description: "quillbear3-ThornBrute-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 372, Description: "quillbear4-RazorBeast-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 373, Description: "quillbear5-GiantUrchin-QuillMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "S7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 374, Description: "snake-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 375, Description: "parrot-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PR", Mode: "WL", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 376, Description: "fish-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FJ", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 377, Description: "evilhole1-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 378, Description: "evilhole2-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 379, Description: "evilhole3-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 380, Description: "evilhole4-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 381, Description: "evilhole5-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 382, Description: "trap-firebolt-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 383, Description: "trap-horzmissile-a trap-Trap-RightArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 384, Description: "trap-vertmissile-a trap-Trap-LeftArrow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 385, Description: "trap-poisoncloud-a trap-Trap-Poison", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 386, Description: "trap-lightning-a trap-Trap-Missile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 387, Description: "act2guard2-Kaelan-JarJar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 388, Description: "invisospawner-Dummy-InvisoSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 389, Description: "diabloclone-Diablo-Diablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 390, Description: "suckernest1-SuckerNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 391, Description: "suckernest2-FeederNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 392, Description: "suckernest3-BloodHookNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 393, Description: "suckernest4-BloodWingNest-MosquitoNest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 394, Description: "act2hire-Guard-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "GLV", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 395, Description: "minispider-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "LS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 396, Description: "boneprison1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "67", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 397, Description: "boneprison2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "66", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 398, Description: "boneprison3--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "69", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 399, Description: "boneprison4--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "68", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 400, Description: "bonewall-Dummy-BoneWall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 401, Description: "councilmember1-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 402, Description: "councilmember2-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 403, Description: "councilmember3-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 404, Description: "turret1-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 405, Description: "turret2-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 406, Description: "turret3-Turret-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 407, Description: "hydra1-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 408, Description: "hydra2-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "21", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 409, Description: "hydra3-Hydra-Hydra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HZ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 410, Description: "trap-melee-a trap-Trap-Melee", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M4", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 411, Description: "seventombs-Dummy-7TIllusion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 412, Description: "dopplezon-Dopplezon-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 413, Description: "valkyrie-Valkyrie-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VK", Mode: "DT", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 414, Description: "act2guard3-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 415, Description: "act3hire-Iron Wolf-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "IW", Mode: "NU", Class: "1HS", HD: "LIT", TR: "LIT", RH: "WND", SH: "KIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 416, Description: "megademon1-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 417, Description: "megademon2-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 418, Description: "megademon3-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 419, Description: "necroskeleton-NecroSkeleton-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", RH: "SCM", SH: "KIT", S1: "DES", S2: "DES", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 420, Description: "necromage-NecroMage-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "DES", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 421, Description: "griswold-Griswold-Griswold", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 422, Description: "compellingorb-compellingorb-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9a", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 423, Description: "tyrael2-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 424, Description: "darkwanderer-youngdiablo-DarkWanderer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "1Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 425, Description: "trap-nova-a trap-Trap-Nova", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "9A", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 426, Description: "spiritmummy-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 427, Description: "lightningspire-LightningSpire-ArcaneTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AE", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 428, Description: "firetower-FireTower-DesertTurret", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 429, Description: "slinger1-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 430, Description: "slinger2-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 431, Description: "slinger3-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 432, Description: "slinger4-HellSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 433, Description: "act2guard4-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 434, Description: "act2guard5-Dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GU", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", RH: "SPR", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 435, Description: "skmage_cold1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 436, Description: "skmage_cold2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 437, Description: "skmage_cold3-BaalColdMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 438, Description: "skmage_cold4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 439, Description: "skmage_fire1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 440, Description: "skmage_fire2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 441, Description: "skmage_fire3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 442, Description: "skmage_fire4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 443, Description: "skmage_ltng1-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 444, Description: "skmage_ltng2-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 445, Description: "skmage_ltng3-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 446, Description: "skmage_ltng4-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 447, Description: "hellbovine-Hell Bovine-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 448, Description: "window1--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VH", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 449, Description: "window2--Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VJ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 450, Description: "slinger5-SpearCat-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 451, Description: "slinger6-NightSlinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "PHA", TR: "HVY", RA: "HVY", LA: "HVY", LH: "JAV", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 452, Description: "fetishblow1-RatMan-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 453, Description: "fetishblow2-Fetish-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 454, Description: "fetishblow3-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 455, Description: "fetishblow4-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 456, Description: "fetishblow5-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 457, Description: "mephistospirit-Dummy-Spirit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "M6", Mode: "A1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 458, Description: "smith-The Smith-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 459, Description: "trappedsoul1-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "10", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 460, Description: "trappedsoul2-TrappedSoul-TrappedSoul", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "13", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 461, Description: "jamella-Jamella-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ja", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 462, Description: "izualghost-Izual-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "17", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 463, Description: "fetish11-RatMan-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 464, Description: "malachai-Malachai-Buffy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "36", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 465, Description: "hephasto-The Feature Creep-Smith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 466, Description: "wakeofdestruction-Wake of Destruction-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 467, Description: "chargeboltsentry-Charged Bolt Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 468, Description: "lightningsentry-Lightning Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 469, Description: "bladecreeper-Blade Creeper-BladeCreeper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b8", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 470, Description: "invisopet-Invis Pet-InvisoPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 471, Description: "infernosentry-Inferno Sentry-AssassinSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "e9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 472, Description: "deathsentry-Death Sentry-DeathSentry", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "lg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 473, Description: "shadowwarrior-Shadow Warrior-ShadowWarrior", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 474, Description: "shadowmaster-Shadow Master-ShadowMaster", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 475, Description: "druidhawk-Druid Hawk-Raven", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "hk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 476, Description: "spiritwolf-Druid Spirit Wolf-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 477, Description: "fenris-Druid Fenris-DruidWolf", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 478, Description: "spiritofbarbs-Spirit of Barbs-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 479, Description: "heartofwolverine-Heart of Wolverine-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "x3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 480, Description: "oaksage-Oak Sage-Totem", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 481, Description: "plaguepoppy-Druid Plague Poppy-Vines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 482, Description: "cycleoflife-Druid Cycle of Life-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 483, Description: "vinecreature-Vine Creature-CycleOfLife", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 484, Description: "druidbear-Druid Bear-DruidBear", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "b7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 485, Description: "eagle-Eagle-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "eg", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 486, Description: "wolf-Wolf-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "40", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 487, Description: "bear-Bear-NecroPet", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 488, Description: "barricadedoor1-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AJ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 489, Description: "barricadedoor2-Barricade Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AG", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 490, Description: "prisondoor-Prison Door-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 491, Description: "barricadetower-Barricade Tower-SiegeTower", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ac", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 492, Description: "reanimatedhorde1-RotWalker-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 493, Description: "reanimatedhorde2-ReanimatedHorde-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 494, Description: "reanimatedhorde3-ProwlingDead-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 495, Description: "reanimatedhorde4-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 496, Description: "reanimatedhorde5-DefiledWarrior-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 497, Description: "siegebeast1-Siege Beast-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 498, Description: "siegebeast2-CrushBiest-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 499, Description: "siegebeast3-BloodBringer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 500, Description: "siegebeast4-GoreBearer-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 501, Description: "siegebeast5-DeamonSteed-SiegeBeast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 502, Description: "snowyeti1-SnowYeti1-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 503, Description: "snowyeti2-SnowYeti2-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 504, Description: "snowyeti3-SnowYeti3-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 505, Description: "snowyeti4-SnowYeti4-Brute", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 506, Description: "wolfrider1-WolfRider1-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 507, Description: "wolfrider2-WolfRider2-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 508, Description: "wolfrider3-WolfRider3-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "wr", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 509, Description: "minion1-Minionexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 510, Description: "minion2-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 511, Description: "minion3-IceBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 512, Description: "minion4-FireBoar-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 513, Description: "minion5-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 514, Description: "minion6-IceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 515, Description: "minion7-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 516, Description: "minion8-GreaterIceSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 517, Description: "suicideminion1-FanaticMinion-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 518, Description: "suicideminion2-BerserkSlayer-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 519, Description: "suicideminion3-ConsumedIceBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 520, Description: "suicideminion4-ConsumedFireBoar-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 521, Description: "suicideminion5-FrenziedHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 522, Description: "suicideminion6-FrenziedIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 523, Description: "suicideminion7-InsaneHellSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 524, Description: "suicideminion8-InsaneIceSpawn-SuicideMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xy", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 525, Description: "succubus1-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 526, Description: "succubus2-VileTemptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 527, Description: "succubus3-StygianHarlot-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 528, Description: "succubus4-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 529, Description: "succubus5-Blood Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 530, Description: "succubuswitch1-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 531, Description: "succubuswitch2-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 532, Description: "succubuswitch3-StygianFury-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 533, Description: "succubuswitch4-Blood Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 534, Description: "succubuswitch5-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 535, Description: "overseer1-OverSeer-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 536, Description: "overseer2-Lasher-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 537, Description: "overseer3-OverLord-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 538, Description: "overseer4-BloodBoss-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 539, Description: "overseer5-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 540, Description: "minionspawner1-MinionSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 541, Description: "minionspawner2-MinionSlayerSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 542, Description: "minionspawner3-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 543, Description: "minionspawner4-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 544, Description: "minionspawner5-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 545, Description: "minionspawner6-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 546, Description: "minionspawner7-MinionIce/fireBoarSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 547, Description: "minionspawner8-Minionice/hellSpawnSpawner-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 548, Description: "imp1-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 549, Description: "imp2-Imp2-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 550, Description: "imp3-Imp3-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 551, Description: "imp4-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 552, Description: "imp5-Imp5-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 553, Description: "catapult1-CatapultS-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "65", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 554, Description: "catapult2-CatapultE-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 555, Description: "catapult3-CatapultSiege-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "64", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 556, Description: "catapult4-CatapultW-Catapult", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ua", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 557, Description: "frozenhorror1-Frozen Horror1-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 558, Description: "frozenhorror2-Frozen Horror2-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 559, Description: "frozenhorror3-Frozen Horror3-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 560, Description: "frozenhorror4-Frozen Horror4-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 561, Description: "frozenhorror5-Frozen Horror5-FrozenHorror", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 562, Description: "bloodlord1-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 563, Description: "bloodlord2-Blood Lord2-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 564, Description: "bloodlord3-Blood Lord3-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 565, Description: "bloodlord4-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 566, Description: "bloodlord5-Blood Lord5-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 567, Description: "larzuk-Larzuk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 568, Description: "drehya-Drehya-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 569, Description: "malah-Malah-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 570, Description: "nihlathak-Nihlathak Town-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 571, Description: "qual-kehk-Qual-Kehk-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 572, Description: "catapultspotter1-Catapult Spotter S-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 573, Description: "catapultspotter2-Catapult Spotter E-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 574, Description: "catapultspotter3-Catapult Spotter Siege-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 575, Description: "catapultspotter4-Catapult Spotter W-CatapultSpotter", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "k9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 576, Description: "cain6-DeckardCain-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 577, Description: "tyrael3-tyrael-NpcStationary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TY", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 578, Description: "act5barb1-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 579, Description: "act5barb2-Act 5 Combatant-NpcBarb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "HVY", RH: "AXE", LH: "AXE", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 580, Description: "barricadewall1-Barricade Wall Right-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "A6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 581, Description: "barricadewall2-Barricade Wall Left-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 582, Description: "nihlathakboss-Nihlathak-Nihlathak", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 583, Description: "drehyaiced-Drehya-NpcOutOfTown", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 584, Description: "evilhut-Evil hut-GenericSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "2T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 585, Description: "deathmauler1-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 586, Description: "deathmauler2-Death Mauler2-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 587, Description: "deathmauler3-Death Mauler3-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 588, Description: "deathmauler4-Death Mauler4-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 589, Description: "deathmauler5-Death Mauler5-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 590, Description: "act5pow-POW-Wussie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 591, Description: "act5barb3-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 592, Description: "act5barb4-Act 5 Townguard-Npc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "HTH", HD: "HED", TR: "LIT", RH: "BHN", LH: "BHN", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 593, Description: "ancientstatue1-Ancient Statue 1-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0G", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 594, Description: "ancientstatue2-Ancient Statue 2-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 595, Description: "ancientstatue3-Ancient Statue 3-AncientStatue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0I", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 596, Description: "ancientbarb1-Ancient Barbarian 1-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 597, Description: "ancientbarb2-Ancient Barbarian 2-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 598, Description: "ancientbarb3-Ancient Barbarian 3-Ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 599, Description: "baalthrone-Baal Throne-BaalThrone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "41", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 600, Description: "baalcrab-Baal Crab-BaalCrab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 601, Description: "baaltaunt-Baal Taunt-BaalTaunt", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 602, Description: "putriddefiler1-Putrid Defiler1-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 603, Description: "putriddefiler2-Putrid Defiler2-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 604, Description: "putriddefiler3-Putrid Defiler3-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 605, Description: "putriddefiler4-Putrid Defiler4-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 606, Description: "putriddefiler5-Putrid Defiler5-PutridDefiler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "45", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 607, Description: "painworm1-Pain Worm1-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 608, Description: "painworm2-Pain Worm2-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 609, Description: "painworm3-Pain Worm3-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 610, Description: "painworm4-Pain Worm4-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 611, Description: "painworm5-Pain Worm5-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "46", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 612, Description: "bunny-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "48", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 613, Description: "baalhighpriest-Council Member-HighPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 614, Description: "venomlord-VenomLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FLB", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 615, Description: "baalcrabstairs-Baal Crab to Stairs-BaalToStairs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 616, Description: "act5hire1-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 617, Description: "act5hire2-dummy-Hireable", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0A", Mode: "NU", Class: "1HS", HD: "FHM", TR: "LIT", RH: "AXE", LH: "AXE", S1: "MED", S2: "MED", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 618, Description: "baaltentacle1-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 619, Description: "baaltentacle2-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 620, Description: "baaltentacle3-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 621, Description: "baaltentacle4-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 622, Description: "baaltentacle5-Baal Tentacle-BaalTentacle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "44", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 623, Description: "injuredbarb1-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "6z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 624, Description: "injuredbarb2-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7j", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 625, Description: "injuredbarb3-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "7i", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 626, Description: "baalclone-Baal Crab Clone-BaalCrabClone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 627, Description: "baalminion1-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 628, Description: "baalminion2-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 629, Description: "baalminion3-Baals Minion-BaalMinion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 630, Description: "worldstoneeffect-dummy-Idle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "K9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 631, Description: "sk_archer6-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 632, Description: "sk_archer7-BoneArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 633, Description: "sk_archer8-BurningDeadArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 634, Description: "sk_archer9-ReturnedArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 635, Description: "sk_archer10-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 636, Description: "bighead6-Afflicted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 637, Description: "bighead7-Tainted-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 638, Description: "bighead8-Misshapen-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 639, Description: "bighead9-Disfigured-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 640, Description: "bighead10-Damned-Bighead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 641, Description: "goatman6-MoonClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 642, Description: "goatman7-NightClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 643, Description: "goatman8-HellClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 644, Description: "goatman9-BloodClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 645, Description: "goatman10-DeathClan-Goatman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GM", Mode: "NU", Class: "2HS", TR: "LIT", RH: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 646, Description: "foulcrow5-FoulCrow-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 647, Description: "foulcrow6-BloodHawk-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 648, Description: "foulcrow7-BlackRaptor-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 649, Description: "foulcrow8-CloudStalker-BloodHawk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BK", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 650, Description: "clawviper6-ClawViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 651, Description: "clawviper7-PitViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 652, Description: "clawviper8-Salamander-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 653, Description: "clawviper9-TombViper-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 654, Description: "clawviper10-SerpentMagus-ClawViperEx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 655, Description: "sandraider6-Marauder-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 656, Description: "sandraider7-Infidel-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 657, Description: "sandraider8-SandRaider-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 658, Description: "sandraider9-Invader-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 659, Description: "sandraider10-Assailant-SandRaider", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 660, Description: "deathmauler6-Death Mauler1-DeathMauler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 661, Description: "quillrat6-QuillRat-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 662, Description: "quillrat7-SpikeFiend-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 663, Description: "quillrat8-RazorSpine-QuillRat", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 664, Description: "vulture5-CarrionBird-Vulture", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 665, Description: "thornhulk5-ThornedHulk-ThornHulk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 666, Description: "slinger7-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 667, Description: "slinger8-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 668, Description: "slinger9-Slinger-PantherJavelin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 669, Description: "cr_archer6-VileArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 670, Description: "cr_archer7-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 671, Description: "cr_lancer6-VileLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 672, Description: "cr_lancer7-DarkLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 673, Description: "cr_lancer8-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 674, Description: "blunderbore5-Blunderbore-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 675, Description: "blunderbore6-Mauler-PinHead", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 676, Description: "skmage_fire5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 677, Description: "skmage_fire6-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 678, Description: "skmage_ltng5-ReturnedMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 679, Description: "skmage_ltng6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 680, Description: "skmage_cold5-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 681, Description: "skmage_pois5-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 682, Description: "skmage_pois6-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 683, Description: "pantherwoman5-Huntress-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 684, Description: "pantherwoman6-SaberCat-PantherWoman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 685, Description: "sandleaper6-CaveLeaper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 686, Description: "sandleaper7-TombCreeper-SandLeaper", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 687, Description: "wraith6-Ghost-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 688, Description: "wraith7-Wraith-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 689, Description: "wraith8-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 690, Description: "succubus6-Succubusexp-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 691, Description: "succubus7-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 692, Description: "succubuswitch6-Dominus-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 693, Description: "succubuswitch7-Hell Witch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 694, Description: "succubuswitch8-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 695, Description: "willowisp5-Gloam-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 696, Description: "willowisp6-BlackSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 697, Description: "willowisp7-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 698, Description: "fallen6-Carver-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 699, Description: "fallen7-Devilkin-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 700, Description: "fallen8-DarkOne-Fallen", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "CLB", SH: "BUC", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 701, Description: "fallenshaman6-CarverShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 702, Description: "fallenshaman7-DevilkinShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 703, Description: "fallenshaman8-DarkShaman-FallenShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 704, Description: "skeleton6-BoneWarrior-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 705, Description: "skeleton7-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 706, Description: "batdemon6-Gloombat-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 707, Description: "batdemon7-Fiend-BatDemon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 708, Description: "bloodlord6-Blood Lord1-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 709, Description: "bloodlord7-Blood Lord4-BloodLord", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 710, Description: "scarab6-Scarab-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 711, Description: "scarab7-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 712, Description: "fetish6-Flayer-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 713, Description: "fetish7-StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 714, Description: "fetish8-SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FE", Mode: "NU", Class: "HTH", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 715, Description: "fetishblow6-Flayer-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 716, Description: "fetishblow7-StygianDoll-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 717, Description: "fetishblow8-SoulKiller-FetishBlowgun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 718, Description: "fetishshaman6-FlayerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 719, Description: "fetishshaman7-StygianDollShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 720, Description: "fetishshaman8-SoulKillerShaman-FetishShaman", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 721, Description: "baboon7-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 722, Description: "baboon8-TempleGuard-Baboon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 723, Description: "unraveler6-Guardian-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 724, Description: "unraveler7-Unraveler-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 725, Description: "unraveler8-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 726, Description: "unraveler9-Horadrim Ancient-GreaterMummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 727, Description: "zealot4-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 728, Description: "zealot5-Zealot-ZakarumZealot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZZ", Mode: "NU", Class: "HTH", HD: "HD1", TR: "ZZ5", S1: "HAL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 729, Description: "cantor5-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 730, Description: "cantor6-Heirophant-ZakarumPriest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 731, Description: "vilemother4-Grotesque-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 732, Description: "vilemother5-FleshSpawner-VileMother", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 733, Description: "vilechild4-GrotesqueWyrm-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 734, Description: "vilechild5-FleshBeast-VileDog", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VC", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 735, Description: "sandmaggot6-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 736, Description: "maggotbaby6-WorldKillerYoung-MaggotLarva", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SB", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 737, Description: "maggotegg6-WorldKillerEgg-MaggotEgg", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 738, Description: "minion9-Slayerexp-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 739, Description: "minion10-HellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 740, Description: "minion11-GreaterHellSpawn-Minion", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 741, Description: "arach6-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 742, Description: "megademon4-Balrog-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 743, Description: "megademon5-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 744, Description: "imp6-Imp1-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 745, Description: "imp7-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 746, Description: "bonefetish6-Undead StygianDoll-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 747, Description: "bonefetish7-Undead SoulKiller-Fetish", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FK", Mode: "NU", Class: "1HS", TR: "LIT", RH: "FBL", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 748, Description: "fingermage4-Strangler-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 749, Description: "fingermage5-StormCaster-FingerMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 750, Description: "regurgitator4-MawFiend-Regurgitator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 751, Description: "vampire6-BloodLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 752, Description: "vampire7-GhoulLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 753, Description: "vampire8-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 754, Description: "reanimatedhorde6-UnholyCorpse-ReanimatedHorde", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 755, Description: "dkfig1-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 756, Description: "dkfig2-DoomKnight-DoomKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 757, Description: "dkmag1-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 758, Description: "dkmag2-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 759, Description: "mummy6-Cadaver-Mummy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 760, Description: "ubermephisto-Mephisto-UberMephisto", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MP", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 761, Description: "uberdiablo-Diablo-UberDiablo", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DI", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 762, Description: "uberizual-izual-UberIzual", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "22", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 763, Description: "uberandariel-Lilith-Andariel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "AN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 764, Description: "uberduriel-Duriel-Duriel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DU", Mode: "NU", Class: "HTH", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 765, Description: "uberbaal-Baal Crab-UberBaal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "42", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 766, Description: "demonspawner-Evil hut-MinionSpawner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 767, Description: "demonhole-Dummy-EvilHole", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EH", Mode: "S4", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 768, Description: "megademon6-PitLord-Megademon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 769, Description: "dkmag3-OblivionKnight-OblivionKnight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 770, Description: "imp8-Imp4-Imp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 771, Description: "swarm5-HellSwarm-Swarm", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 772, Description: "sandmaggot7-WorldKiller-SandMaggot", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 773, Description: "arach7-Arach-Arach", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 774, Description: "scarab8-SteelWeevil-Scarab", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 775, Description: "succubus8-Hell Temptress-Succubus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 776, Description: "succubuswitch9-VileWitch-SuccubusWitch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 777, Description: "corruptrogue6-FleshHunter-CorruptRogue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 778, Description: "cr_archer8-DarkArcher-CorruptArcher", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 779, Description: "cr_lancer9-BlackLancer-CorruptLancer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "2HT", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "PIK", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 780, Description: "overseer6-HellWhip-Overseer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 781, Description: "skeleton8-Returned-Skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 782, Description: "sk_archer11-HorrorArcher-SkeletonBow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", LH: "SBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 783, Description: "skmage_fire7-BurningDeadMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "FIR", S5: "FIR", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 784, Description: "skmage_ltng7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "LHT", S5: "LHT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 785, Description: "skmage_cold6-BoneMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "CLD", S5: "CLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 786, Description: "skmage_pois7-HorrorMage-SkeletonMage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "DES", RA: "DES", LA: "DES", S1: "DES", S2: "DES", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 787, Description: "vampire9-DarkLord-Vampire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 788, Description: "wraith9-Specter-Wraith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 789, Description: "willowisp8-BurningSoul-WillOWisp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 790, Description: "Bishibosh-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 791, Description: "Bonebreak-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BUC", S1: "HVY", S2: "HVY", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 792, Description: "Coldcrow-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "BOW", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "LIT", LH: "LBW", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 793, Description: "Rakanishu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FA", Mode: "NU", Class: "HTH", TR: "LIT", RH: "SWD", SH: "TCH", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 794, Description: "Treehead WoodFist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "YE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 795, Description: "Griswold-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 796, Description: "The Countess-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "MED", TR: "LIT", LG: "MED", RA: "LIT", LA: "LIT", RH: "WHM", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 797, Description: "Pitspawn Fouldog-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BH", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 798, Description: "Flamespike the Crawler-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SI", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 799, Description: "Boneash-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SK", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S4: "POS", S5: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 800, Description: "Radament-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "RD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 801, Description: "Bloodwitch the Wild-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "PW", Mode: "NU", Class: "1HT", HD: "BAB", TR: "HVY", RA: "HVY", LA: "HVY", LH: "GPL", SH: "BUC", S1: "HVY", S2: "HVY", S3: "HVY", S4: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 802, Description: "Fangskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 803, Description: "Beetleburst-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SC", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 804, Description: "Leatherarm-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MM", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 805, Description: "Coldworm the Burrower-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "MQ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 806, Description: "Fire Eye-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 807, Description: "Dark Elder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 808, Description: "The Summoner-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 809, Description: "Ancient Kaa the Soulless-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 810, Description: "The Smith-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 811, Description: "Web Mage the Burning-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "SP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 812, Description: "Witch Doctor Endugu-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 813, Description: "Stormtree-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "TH", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", RA: "LIT", LA: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 814, Description: "Sarina the Battlemaid-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CR", Mode: "NU", Class: "1HS", HD: "HVY", TR: "HVY", LG: "HVY", RA: "HVY", LA: "HVY", RH: "AXE", SH: "BRV", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 815, Description: "Icehawk Riftwing-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "BT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 816, Description: "Ismail Vilehand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 817, Description: "Geleb Flamefinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 818, Description: "Bremm Sparkfist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 819, Description: "Toorc Icefist-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 820, Description: "Wyand Voidfinger-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 821, Description: "Maffer Dragonhand-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 822, Description: "Winged Death-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 823, Description: "The Tormentor-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "WW", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 824, Description: "Taintbreeder-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "VM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 825, Description: "Riftwraith the Cannibal-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "CS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 826, Description: "Infector of Souls-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 827, Description: "Lord De Seis-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "UM", Mode: "NU", Class: "HTH", HD: "HRN", TR: "LIT", RA: "MED", LA: "MED", LH: "BSD", S1: "RSP", S2: "LSP", S3: "UNH", S4: "POS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 828, Description: "Grand Vizier of Chaos-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FR", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 829, Description: "The Cow King-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "EC", Mode: "NU", Class: "HTH", TR: "LIT", RH: "BTX", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 830, Description: "Corpsefire-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ZM", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "BLD", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 831, Description: "The Feature Creep-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "5P", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 832, Description: "Siege Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 833, Description: "Ancient Barbarian 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 834, Description: "Ancient Barbarian 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0F", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 835, Description: "Ancient Barbarian 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0E", Mode: "NU", Class: "HTH", TR: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 836, Description: "Axe Dweller-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "L3", Mode: "NU", Class: "HTH", HD: "HEV", TR: "LIT", LG: "HEV", RA: "HEV", LA: "HEV", RH: "FLA", LH: "FLA", S1: "HEV", S2: "HEV", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 837, Description: "Bonesaw Breaker-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 838, Description: "Dac Farren-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 839, Description: "Megaflow Rectifier-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "xx", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", RH: "HVY", SH: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 840, Description: "Eyeback Unleashed-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 841, Description: "Threash Socket-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ox", Mode: "NU", Class: "HTH", TR: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S7: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 842, Description: "Pindleskin-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "re", Mode: "NU", Class: "HTH", HD: "HVY", TR: "LIT", LG: "HVY", RA: "HVY", LA: "HVY", RH: "CLM", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 843, Description: "Snapchip Shatter-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "f0", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 844, Description: "Anodized Elite-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0B", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 845, Description: "Vinvear Molech-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "0C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 846, Description: "Sharp Tooth Sayer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "os", Mode: "NU", Class: "HTH", HD: "HVY", TR: "HVY", RA: "HVY", LA: "HVY", LH: "LIT", S1: "HVY", S2: "HVY", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 847, Description: "Magma Torquer-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "ip", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 848, Description: "Blaze Ripper-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "m5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 849, Description: "Frozenstein-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "io", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 850, Description: "Nihlathak Boss-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XU", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 851, Description: "Baal Subject 1-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "FS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 852, Description: "Baal Subject 2-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "GY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 853, Description: "Baal Subject 3-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "HP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 854, Description: "Baal Subject 4-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "DM", Mode: "NU", Class: "HTH", TR: "LIT", RH: "WSC", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeCharacter, Id: 855, Description: "Baal Subject 5-SUPER UNIQUE", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "43", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", LG: "LIT", RA: "LIT", LA: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 0, Description: "banner 1  (452)", ObjectsTxtId: 452, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AO", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 1, Description: "banner 2  (453)", ObjectsTxtId: 453, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 2, Description: "guild vault  (338)", ObjectsTxtId: 338, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 3, Description: "steeg stone  (337)", ObjectsTxtId: 337, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 4, Description: "Your Private Stash  (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 5, Description: "fog water  (374)", ObjectsTxtId: 374, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "UD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 6, Description: "torch, expansion tiki 1 (482)", ObjectsTxtId: 482, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2P", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 7, Description: "Fire, Rogue camp (39)", ObjectsTxtId: 39, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 8, Description: "standard / direction (35)", ObjectsTxtId: 35, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 9, Description: "standard / direction ((36)", ObjectsTxtId: 36, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 10, Description: "candles R (33)", ObjectsTxtId: 33, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 11, Description: "candles L (34)", ObjectsTxtId: 34, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 12, Description: "torch 2 wall  (38)", ObjectsTxtId: 38, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 13, Description: "floor brazier  (102)", ObjectsTxtId: 102, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 14, Description: "Pot O Torch, level 1 (411)", ObjectsTxtId: 411, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PX", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 15, Description: "burning bodies  (438)", ObjectsTxtId: 438, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6F", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 16, Description: "fire pit, level 1 (412)", ObjectsTxtId: 412, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PY", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 17, Description: "camp fire (435)", ObjectsTxtId: 435, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2W", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 18, Description: "town torch  (436)", ObjectsTxtId: 436, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2X", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 19, Description: "Tribal Flag  (440)", ObjectsTxtId: 440, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6H", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 20, Description: "Town Flag  (441)", ObjectsTxtId: 441, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2Y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 21, Description: "Town Flag  (441)", ObjectsTxtId: 441, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2Y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 22, Description: "Chandelier  (442)", ObjectsTxtId: 442, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2Z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 23, Description: "Waypoint  (429)", ObjectsTxtId: 429, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YY", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 24, Description: "Wooden Chest L  (420)", ObjectsTxtId: 420, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 25, Description: "Wooden Chest R  (431)", ObjectsTxtId: 431, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6A", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 26, Description: "Chest L  (430)", ObjectsTxtId: 430, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 27, Description: "Chest R  (413)", ObjectsTxtId: 413, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6Q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 28, Description: "Chest S L  (432)", ObjectsTxtId: 432, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6B", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 29, Description: "Chest S R  (433)", ObjectsTxtId: 433, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6C", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 30, Description: "wilderness barrel  (418)", ObjectsTxtId: 418, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 31, Description: "exploding wildernes barrel  (419)", ObjectsTxtId: 419, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YO", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 32, Description: "Burial Chest  (424)", ObjectsTxtId: 424, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 33, Description: "Burial Chest R (425)", ObjectsTxtId: 425, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 34, Description: "Hidden Stash  (416)", ObjectsTxtId: 416, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3W", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 35, Description: "Shrine 1  (414)", ObjectsTxtId: 414, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6R", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 36, Description: "Shrine 2  (415)", ObjectsTxtId: 415, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6S", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 37, Description: "Shrine 3  (427)", ObjectsTxtId: 427, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YW", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 38, Description: "Shrine 4  (428)", ObjectsTxtId: 428, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 39, Description: "Shrine 5  (421)", ObjectsTxtId: 421, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YQ", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 40, Description: "Shrine, mana  (422)", ObjectsTxtId: 422, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YR", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 41, Description: "Health Shrine  (423)", ObjectsTxtId: 423, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 42, Description: "Well  (426)", ObjectsTxtId: 426, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YV", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 43, Description: "Hell Gate  (451)", ObjectsTxtId: 451, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6P", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 44, Description: "Your Private Stash  (267)", ObjectsTxtId: 267, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 45, Description: "Jar 1  (443)", ObjectsTxtId: 443, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6I", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 46, Description: "Jar 2  (444)", ObjectsTxtId: 444, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6J", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 47, Description: "Jar 3  (445)", ObjectsTxtId: 445, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6K", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 48, Description: "Swinging Heads  (446)", ObjectsTxtId: 446, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 49, Description: "Pole  (447)", ObjectsTxtId: 447, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6M", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 50, Description: "Skulls and Rocks, no snow  (448)", ObjectsTxtId: 448, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6N", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 51, Description: "Skulls and Rocks, siege  (450)", ObjectsTxtId: 450, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6O", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 52, Description: "Hell Gate  (451)", ObjectsTxtId: 451, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6P", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 53, Description: "Anya start in town  (459)", ObjectsTxtId: 459, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "XS", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 54, Description: "Anya start outside town  (460)", ObjectsTxtId: 460, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2N", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 55, Description: "Nihlathak start in town  (461)", ObjectsTxtId: 461, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 56, Description: "Nihlathak outside in town  (462)", ObjectsTxtId: 462, MonstatsTxtId: -1, Direction: 7, Base: "/Data/Global/Monsters", Token: "0J", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 57, Description: "Torch, expansion tiki torch  (482)", ObjectsTxtId: 482, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2P", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 58, Description: "Cage, caged fellow  (473)", ObjectsTxtId: 473, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 59, Description: "Chest, specialchest  (455)", ObjectsTxtId: 455, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6U", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 60, Description: "Death Pole 1, wilderness (456)", ObjectsTxtId: 456, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6V", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 61, Description: "Death Pole 2, wilderness (457)", ObjectsTxtId: 457, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6W", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 62, Description: "Altar, inside of temple  (458)", ObjectsTxtId: 458, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6X", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 63, Description: "Hidden Stash, icecave  (463)", ObjectsTxtId: 463, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6Y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 64, Description: "Health Shrine, icecave  (464)", ObjectsTxtId: 464, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8A", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 65, Description: "Shrine, icecave  (465)", ObjectsTxtId: 465, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8B", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 66, Description: "Evil Urn, icecave  (466)", ObjectsTxtId: 466, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8C", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 67, Description: "Jar, icecave 1  (467)", ObjectsTxtId: 467, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8D", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 68, Description: "Jar, icecave 2  (468)", ObjectsTxtId: 468, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8E", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 69, Description: "Jar, icecave 3  (469)", ObjectsTxtId: 469, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8F", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 70, Description: "Jar, icecave 4  (470)", ObjectsTxtId: 470, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8G", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 71, Description: "Jar, icecave 5  (471)", ObjectsTxtId: 471, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8H", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 72, Description: "Shrine, icecave 1  (472)", ObjectsTxtId: 472, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8I", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 73, Description: "Dead Barbarian, seige/wilderness  (477)", ObjectsTxtId: 477, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8J", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 74, Description: "Shrine, icecave 2  (479)", ObjectsTxtId: 479, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8K", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 75, Description: "Torch, icecave 1  (480)", ObjectsTxtId: 480, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 76, Description: "Torch, icecave 2  (481)", ObjectsTxtId: 481, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8M", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 77, Description: "Shrine, baals  (483)", ObjectsTxtId: 483, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8N", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 78, Description: "Health Shrine, baals  (484)", ObjectsTxtId: 484, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8O", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 79, Description: "Tomb, baal's lair 1  (485)", ObjectsTxtId: 485, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8P", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 80, Description: "Tomb, baal's lair 2  (486)", ObjectsTxtId: 486, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8Q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 81, Description: "Tomb, baal's lair 3  (487)", ObjectsTxtId: 487, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8R", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 82, Description: "Chest, wilderness/siege exploding  (454)", ObjectsTxtId: 454, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6T", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 83, Description: "Torch, expansion no snow  (437)", ObjectsTxtId: 437, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6E", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 84, Description: "Stash, Pen breakable door  (508)", ObjectsTxtId: 508, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2Q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 85, Description: "Magic Shrine, baal's lair  (488)", ObjectsTxtId: 488, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8S", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 86, Description: "Well, snowy  (493)", ObjectsTxtId: 493, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8X", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 87, Description: "Well, snowy  (493)", ObjectsTxtId: 493, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8X", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 88, Description: "Magic Shrine, snowy_shrine3 a  (495)", ObjectsTxtId: 495, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8Z", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 89, Description: "Magic Shrine, snowy_shrine3 b  (497)", ObjectsTxtId: 497, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5B", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 90, Description: "Magic Shrine, baal's lair  (499)", ObjectsTxtId: 499, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5D", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 91, Description: "Magic Shrine, baals_shrine3  (503)", ObjectsTxtId: 503, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5H", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 92, Description: "Magic Shrine, temple 1  (509)", ObjectsTxtId: 509, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5M", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 93, Description: "Magic Shrine, temple 2  (512)", ObjectsTxtId: 512, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5T", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 94, Description: "Torch, baal's lair 1  (489)", ObjectsTxtId: 489, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8T", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 95, Description: "Torch, baal's lair 2  (490)", ObjectsTxtId: 490, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8U", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 96, Description: "Torch, temple 1  (514)", ObjectsTxtId: 514, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5R", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 97, Description: "Torch, temple 2  (515)", ObjectsTxtId: 515, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5S", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 98, Description: "Well, snowy  (493)", ObjectsTxtId: 493, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8X", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 99, Description: "Well, baalslair  (498)", ObjectsTxtId: 498, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 100, Description: "Well, temple  (513)", ObjectsTxtId: 513, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5Q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 101, Description: "Waypoint, baals_waypoint  (494)", ObjectsTxtId: 494, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8Y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 102, Description: "Waypoint, wilderness_waypoint  (496)", ObjectsTxtId: 496, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5A", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 103, Description: "Waypoint, icecave  (511)", ObjectsTxtId: 511, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5O", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 104, Description: "Hidden Stash, snowy  (500)", ObjectsTxtId: 500, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5E", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 105, Description: "Wooden Chest, snowy L  (501)", ObjectsTxtId: 501, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5F", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 106, Description: "Wooden Chest, snowy R  (502)", ObjectsTxtId: 502, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5G", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 107, Description: "Wooden Chest, snowy L 2  (504)", ObjectsTxtId: 504, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5I", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 108, Description: "Wooden Chest, snowy R 2  (505)", ObjectsTxtId: 505, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5J", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 109, Description: "Swinging Heads, snowy  (506)", ObjectsTxtId: 506, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5K", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 110, Description: "Debris, snowy  (507)", ObjectsTxtId: 507, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 111, Description: "Pole, snowy  (510)", ObjectsTxtId: 510, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5N", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 112, Description: "Fire, fire small  (160)", ObjectsTxtId: 160, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 113, Description: "Fire, fire medium  (161)", ObjectsTxtId: 161, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 114, Description: "Fire, fire large  (162)", ObjectsTxtId: 162, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 115, Description: "gold placeholder  (269)", ObjectsTxtId: 269, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 116, Description: "Red Light, (touch me) for blacksmith  (523)", ObjectsTxtId: 523, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 117, Description: "Torch, expansion no snow  (434)", ObjectsTxtId: 434, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6D", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 118, Description: "Waypoint, wilderness_waypoint 1  (496)", ObjectsTxtId: 496, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5A", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 119, Description: "Waypoint, wilderness_waypoint 2  (496)", ObjectsTxtId: 496, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5A", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 120, Description: "Waypoint, wilderness_waypoint 3  (496)", ObjectsTxtId: 496, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5A", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 121, Description: "Shrub, Ice cave bubbles 01  (527)", ObjectsTxtId: 527, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2U", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 122, Description: "Shrub, Ice cave bubbles 01  (528)", ObjectsTxtId: 528, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2S", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 123, Description: "Candles, temple  (538)", ObjectsTxtId: 538, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3O", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 124, Description: "Waypoint, temple  (539)", ObjectsTxtId: 539, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3P", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 125, Description: "Larzuk Greeting  (542)", ObjectsTxtId: 542, MonstatsTxtId: -1, Direction: 1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 126, Description: "Larzuk Standard  (543)", ObjectsTxtId: 543, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Monsters", Token: "XR", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 127, Description: "Altar of the Heavens, ancientsaltar  (546)", ObjectsTxtId: 546, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4A", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 128, Description: "door, ancient To Worldstone lev 1  (547)", ObjectsTxtId: 547, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4B", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 129, Description: "Weapon Rack, R  (548)", ObjectsTxtId: 548, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3X", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 130, Description: "Weapon Rack, L  (549)", ObjectsTxtId: 549, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3Y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 131, Description: "Armor Stand, R  (550)", ObjectsTxtId: 550, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 132, Description: "Armor Stand, L  (551)", ObjectsTxtId: 551, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4C", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 133, Description: "Torch, summit  (552)", ObjectsTxtId: 552, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9G", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 134, Description: "Ice cave steam  (555)", ObjectsTxtId: 555, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2O", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 135, Description: "funeralpire  (553)", ObjectsTxtId: 553, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9H", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 136, Description: "burninglogs  (554)", ObjectsTxtId: 554, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9I", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 137, Description: "dummy, Baal's lair  (557)", ObjectsTxtId: 557, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 138, Description: "Tomb, temple ground  (541)", ObjectsTxtId: 541, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3S", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 139, Description: "Tomb, temple ground L  (544)", ObjectsTxtId: 544, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3T", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 140, Description: "BBQ Bunny  (559)", ObjectsTxtId: 559, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 141, Description: "Baal Torch Big  (560)", ObjectsTxtId: 560, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 142, Description: "The Ancients' Way, summit door  (564)", ObjectsTxtId: 564, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4U", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 143, Description: "test data, zoo  (567)", ObjectsTxtId: 567, MonstatsTxtId: -1, Direction: -1, Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 144, Description: "test data, keeper  (568)", ObjectsTxtId: 568, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7Z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 145, Description: "Torch, redbaal's lair 1  (536)", ObjectsTxtId: 536, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3M", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 146, Description: "Torch, redbaal's lair 2  (537)", ObjectsTxtId: 537, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3N", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 147, Description: "The Worldstone Chamber, baals portal  (563)", ObjectsTxtId: 563, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4X", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 148, Description: "fire place guy  (570)", ObjectsTxtId: 570, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7Y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 149, Description: "Chest, spark (397)", ObjectsTxtId: 397, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 150, Description: "Dummy-test data SKIPT IT", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "NU0", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 151, Description: "Casket-Casket #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 152, Description: "Shrine-Shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 153, Description: "Casket-Casket #6", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 154, Description: "LargeUrn-Urn #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 155, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 156, Description: "chest-LargeChestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 157, Description: "Barrel-Barrel", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 158, Description: "TowerTome-Tower Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 159, Description: "Urn-Urn #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 160, Description: "Dummy-Bench", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BE", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 161, Description: "Barrel-BarrelExploding", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BX", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 162, Description: "Dummy-RogueFountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FN", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 163, Description: "Door-Door Gate Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 164, Description: "Door-Door Gate Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 165, Description: "Door-Door Wooden Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 166, Description: "Door-Door Wooden Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 167, Description: "StoneAlpha-StoneAlpha", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 168, Description: "StoneBeta-StoneBeta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 169, Description: "StoneGamma-StoneGamma", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 170, Description: "StoneDelta-StoneDelta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 171, Description: "StoneLambda-StoneLambda", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 172, Description: "StoneTheta-StoneTheta", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 173, Description: "Door-Door Courtyard Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 174, Description: "Door-Door Courtyard Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 175, Description: "Door-Door Cathedral Double", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 176, Description: "Gibbet-Cain's Been Captured", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 177, Description: "Door-Door Monastery Double Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 178, Description: "HoleAnim-Hole in Ground", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HI", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 179, Description: "Dummy-Brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BR", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 180, Description: "Inifuss-inifuss tree", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "IT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 181, Description: "Dummy-Fountain", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BF", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 182, Description: "Dummy-crucifix", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 183, Description: "Dummy-Candles1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 184, Description: "Dummy-Candles2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 185, Description: "Dummy-Standard1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 186, Description: "Dummy-Standard2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "N2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 187, Description: "Dummy-Torch1 Tiki", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TO", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 188, Description: "Dummy-Torch2 Wall", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "WT", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 189, Description: "fire-RogueBonfire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RB", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 190, Description: "Dummy-River1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 191, Description: "Dummy-River2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 192, Description: "Dummy-River3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 193, Description: "Dummy-River4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 194, Description: "Dummy-River5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "R5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 195, Description: "AmbientSound-ambient sound generator", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "S1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 196, Description: "Crate-Crate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CT", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 197, Description: "Door-Andariel's Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 198, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 199, Description: "Dummy-RogueTorch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "T2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 200, Description: "Casket-CasketR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 201, Description: "Casket-CasketL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 202, Description: "Urn-Urn #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 203, Description: "Casket-Casket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 204, Description: "RogueCorpse-Rogue corpse 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 205, Description: "RogueCorpse-Rogue corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 206, Description: "RogueCorpse-rolling rogue corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 207, Description: "CorpseOnStick-rogue on a stick 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 208, Description: "CorpseOnStick-rogue on a stick 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Z4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 209, Description: "Portal-Town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 210, Description: "Portal-Permanent town portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "ON", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 211, Description: "Dummy-Invisible object", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SS", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 212, Description: "Door-Door Cathedral Left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "D9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 213, Description: "Door-Door Cathedral Right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 214, Description: "Door-Door Wooden Left #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 215, Description: "Dummy-invisible river sound1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X1", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 216, Description: "Dummy-invisible river sound2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "X2", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 217, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 218, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 219, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 220, Description: "Dummy-ripple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4R", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 221, Description: "Dummy-forest night sound #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F1", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 222, Description: "Dummy-forest night sound #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F2", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 223, Description: "Dummy-yeti dung", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "YD", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 224, Description: "TrappDoor-Trap Door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 225, Description: "Door-Door by Dock, Act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DD", Mode: "ON", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 226, Description: "Dummy-sewer drip", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SZ", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 227, Description: "Shrine-healthorama", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 228, Description: "Dummy-invisible town sound", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TA", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 229, Description: "Casket-casket #3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "C3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 230, Description: "Obelisk-obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "OB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 231, Description: "Shrine-forest altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "AF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 232, Description: "Dummy-bubbling pool of blood", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 233, Description: "Shrine-horn shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 234, Description: "Shrine-healing well", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HW", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 235, Description: "Shrine-bull shrine,health, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 236, Description: "Dummy-stele,magic shrine, stone, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SG", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 237, Description: "Chest3-tombchest 1, largechestL", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CA", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 238, Description: "Chest3-tombchest 2 largechestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 239, Description: "Sarcophagus-mummy coffinL, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 240, Description: "Obelisk-desert obelisk", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DO", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 241, Description: "Door-tomb door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TL", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 242, Description: "Door-tomb door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TR", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 243, Description: "Shrine-mana shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 244, Description: "LargeUrn-Urn #4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 245, Description: "LargeUrn-Urn #5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "U5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 246, Description: "Shrine-health shrineforinnerhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 247, Description: "Shrine-innershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ix", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 248, Description: "Door-tomb door left 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 249, Description: "Door-tomb door right 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TU", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 250, Description: "Duriel's Lair-Portal to Duriel's Lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 251, Description: "Dummy-Brazier3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "B3", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 252, Description: "Dummy-Floor brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FB", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 253, Description: "Dummy-flies", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FL", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 254, Description: "ArmorStand-Armor Stand 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 255, Description: "ArmorStand-Armor Stand 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 256, Description: "WeaponRack-Weapon Rack 1R", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W1", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 257, Description: "WeaponRack-Weapon Rack 2L", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "W2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 258, Description: "Malus-Malus", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HM", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 259, Description: "Shrine-palace shrine, healthR, harom, arcane Sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "P2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 260, Description: "not used-drinker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n5", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 261, Description: "well-Fountain 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 262, Description: "not used-gesturer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n6", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 263, Description: "well-Fountain 2, well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 264, Description: "not used-turner", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "n7", Mode: "S1", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 265, Description: "well-Fountain 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 266, Description: "Shrine-snake woman, magic shrine, tomb, arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SN", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 267, Description: "Dummy-jungle torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JT", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 268, Description: "Well-Fountain 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "F6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 269, Description: "Waypoint-waypoint portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wp", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 270, Description: "Dummy-healthshrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 271, Description: "jerhyn-placeholder #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 272, Description: "jerhyn-placeholder #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 273, Description: "Shrine-innershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 274, Description: "Shrine-innershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 275, Description: "hidden stash-ihobject3 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "iu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 276, Description: "skull pile-skullpile inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "is", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 277, Description: "hidden stash-ihobject5 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ir", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 278, Description: "hidden stash-hobject4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 279, Description: "Door-secret door 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "h2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 280, Description: "Well-pool act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 281, Description: "Dummy-vile dog afterglow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 282, Description: "Well-cathedralwell act 1 inside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 283, Description: "shrine-shrine1_arcane sanctuary", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 284, Description: "shrine-dshrine2 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zs", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 285, Description: "shrine-desertshrine3 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zr", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 286, Description: "shrine-dshrine1 act 2 shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 287, Description: "Well-desertwell act 2 well, desert, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 288, Description: "Well-cavewell act 1 caves ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 289, Description: "chest-chest-r-large act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 290, Description: "chest-chest-r-tallskinney act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q2", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 291, Description: "chest-chest-r-med act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q3", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 292, Description: "jug-jug1 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 293, Description: "jug-jug2 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 294, Description: "chest-Lchest1 act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q6", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 295, Description: "Waypoint-waypointi inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 296, Description: "chest-dchest2R act 2, desert, tomb, chest-r-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 297, Description: "chest-dchestr act 2, desert, tomb, chest -r large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 298, Description: "chest-dchestL act 2, desert, tomb chest l large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "q8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 299, Description: "taintedsunaltar-tainted sun altar quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "za", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 300, Description: "shrine-dshrine1 act 2 , desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zv", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 301, Description: "shrine-dshrine4 act 2, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ze", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 302, Description: "orifice-Where you place the Horadric staff", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HA", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 303, Description: "Door-tyrael's door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "DX", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 304, Description: "corpse-guard corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 305, Description: "hidden stash-rock act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 306, Description: "Waypoint-waypoint act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 307, Description: "Waypoint-waypoint act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wn", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 308, Description: "skeleton-corpse", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 309, Description: "hidden stash-rockb act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 310, Description: "fire-fire small", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 311, Description: "fire-fire medium", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FY", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 312, Description: "fire-fire large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "FZ", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 313, Description: "hiding spot-cliff act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cf", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 314, Description: "Shrine-mana well1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MB", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 315, Description: "Shrine-mana well2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MD", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 316, Description: "Shrine-mana well3, act 2, tomb, ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 317, Description: "Shrine-mana well4, act 2, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 318, Description: "Shrine-mana well5", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "MJ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 319, Description: "hollow log-log", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 320, Description: "Shrine-jungle healwell act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JH", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 321, Description: "skeleton-corpseb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 322, Description: "Shrine-health well, health shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 323, Description: "Shrine-mana well7, mana shrine, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Mi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 324, Description: "loose rock-rockc act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 325, Description: "loose boulder-rockd act 1 wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "RZ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 326, Description: "chest-chest-L-med", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 327, Description: "chest-chest-L-large", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 328, Description: "GuardCorpse-guard on a stick, desert, tomb, harom", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GS", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 329, Description: "bookshelf-bookshelf1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b4", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 330, Description: "bookshelf-bookshelf2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 331, Description: "chest-jungle chest act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "JC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 332, Description: "coffin-tombcoffin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 333, Description: "chest-chest-L-med, jungle", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 334, Description: "Shrine-jungle shrine2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 335, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 336, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 337, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 338, Description: "stash-jungle object act3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ju", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 339, Description: "Dummy-cain portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "tP", Mode: "OP", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 340, Description: "Shrine-jungle shrine3 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "js", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 341, Description: "Shrine-jungle shrine4 act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 342, Description: "teleport pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 343, Description: "LamTome-Lam Esen's Tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ab", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 344, Description: "stair-stairsl", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sl", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 345, Description: "stair-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 346, Description: "a trap-test data floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "a5", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 347, Description: "Shrine-jungleshrine act 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jq", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 348, Description: "chest-chest-L-tallskinney, general chest r?", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "c0", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 349, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mz", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 350, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "my", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 351, Description: "Shrine-mafistoshrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mx", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 352, Description: "Shrine-mafistomana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 353, Description: "stash-mafistolair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 354, Description: "stash-box", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 355, Description: "stash-altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 356, Description: "Shrine-mafistohealth", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "mr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 357, Description: "dummy-water rocks in act 3 wrok", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 358, Description: "Basket-basket 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 359, Description: "Basket-basket 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 360, Description: "Dummy-water logs in act 3  ne logw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 361, Description: "Dummy-water rocks girl in act 3 wrob", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 362, Description: "Dummy-bubbles in act3 water", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yb", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 363, Description: "Dummy-water logs in act 3 logx", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wd", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 364, Description: "Dummy-water rocks in act 3 rokb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wc", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 365, Description: "Dummy-water rocks girl in act 3 watc", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "we", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 366, Description: "Dummy-water rocks in act 3 waty", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 367, Description: "Dummy-water logs in act 3  logz", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "lx", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 368, Description: "Dummy-web covered tree 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w3", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 369, Description: "Dummy-web covered tree 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w4", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 370, Description: "Dummy-web covered tree 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w5", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 371, Description: "Dummy-web covered tree 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 372, Description: "pillar-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "70", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 373, Description: "cocoon-cacoon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CN", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 374, Description: "cocoon-cacoon 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "CC", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 375, Description: "skullpile-hobject1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ib", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 376, Description: "Shrine-outershrinehell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ia", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 377, Description: "dummy-water rock girl act 3  nw  blgb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QX", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 378, Description: "dummy-big log act 3  sw blga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qw", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 379, Description: "door-slimedoor1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SQ", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 380, Description: "door-slimedoor2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "SY", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 381, Description: "Shrine-outershrinehell2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ht", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 382, Description: "Shrine-outershrinehell3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 383, Description: "pillar-hobject2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 384, Description: "dummy-Big log act 3 se blgc ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qy", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 385, Description: "dummy-Big log act 3 nw blgd", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 386, Description: "Shrine-health wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ho", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 387, Description: "Waypoint-act3waypoint town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 388, Description: "Waypoint-waypointh", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wv", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 389, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bz", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 390, Description: "chest-gchest1L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cy", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 391, Description: "chest-gchest2R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cx", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 392, Description: "chest-gchest3R general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cu", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 393, Description: "chest-glchest3L general", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 394, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "rn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 395, Description: "body-burning town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "by", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 396, Description: "ratnest-sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ra", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 397, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qa", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 398, Description: "bed-bed act 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 399, Description: "manashrine-mana wellforhell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hn", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 400, Description: "a trap-exploding cow  for Tristan and ACT 3 only??Very Rare  1 or 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ew", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 401, Description: "gidbinn altar-gidbinn altar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ga", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 402, Description: "gidbinn-gidbinn decoy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "gd", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 403, Description: "Dummy-diablo right light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "11", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 404, Description: "Dummy-diablo left light", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "12", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 405, Description: "Dummy-diablo start point", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 406, Description: "Dummy-stool for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s9", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 407, Description: "Dummy-wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wg", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 408, Description: "Dummy-more wood for act 1 cabin", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 409, Description: "Dummy-skeleton spawn for hell   facing nw", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "QS", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 410, Description: "Shrine-holyshrine for monastery,catacombs,jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "HL", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 411, Description: "a trap-spikes for tombs floortrap", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "A7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 412, Description: "Shrine-act 1 cathedral", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "s0", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 413, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jb", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 414, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 415, Description: "Shrine-act 1 jail", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jf", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 416, Description: "goo pile-goo pile for sand maggot lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GP", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 417, Description: "bank-bank", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "b6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 418, Description: "wirt's body-wirt's body", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "BP", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 419, Description: "dummy-gold placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1g", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 420, Description: "corpse-guard corpse 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "GF", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 421, Description: "corpse-dead villager 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 422, Description: "corpse-dead villager 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "df", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 423, Description: "Dummy-yet another flame, no damage", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 424, Description: "hidden stash-tiny pixel shaped thingie", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "f9", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 425, Description: "Shrine-health shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ce", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 426, Description: "Shrine-mana shrine for caves", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 427, Description: "Shrine-cave magic shrine", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "cg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 428, Description: "Shrine-manashrine, act 3, dungeun", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "de", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 429, Description: "Shrine-magic shrine, act 3 sewers.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wj", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 430, Description: "Shrine-healthwell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 431, Description: "Shrine-manawell, act 3, sewers", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "wl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 432, Description: "Shrine-magic shrine, act 3 sewers, dungeon.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ws", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 433, Description: "dummy-brazier_celler, act 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bi", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 434, Description: "sarcophagus-anubis coffin, act2, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 435, Description: "dummy-brazier_general, act 2, sewers, tomb, desert", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bm", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 436, Description: "Dummy-brazier_tall, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bo", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 437, Description: "Dummy-brazier_small, act 2, desert, town, tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "bq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 438, Description: "Waypoint-waypoint, celler", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "w7", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 439, Description: "bed-bed for harum", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ub", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 440, Description: "door-iron grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 441, Description: "door-iron grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dn", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 442, Description: "door-wooden grate door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dp", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 443, Description: "door-wooden grate door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dt", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 444, Description: "door-wooden door left", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 445, Description: "door-wooden door right", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "dl", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 446, Description: "Dummy-wall torch left for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qd", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 447, Description: "Dummy-wall torch right for tombs", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qe", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 448, Description: "portal-arcane sanctuary portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ay", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 449, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hb", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 450, Description: "magic shrine-magic shrine, act 2, haram", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hc", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 451, Description: "Dummy-maggot well health", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 452, Description: "manashrine-maggot well mana", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 453, Description: "magic shrine-magic shrine, act 3 arcane sanctuary.", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hd", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 454, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 455, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 456, Description: "teleportation pad-teleportation pad", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "aa", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 457, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7a", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 458, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7b", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 459, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 460, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7d", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 461, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7e", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 462, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7f", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 463, Description: "Dummy-arcane thing", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7g", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 464, Description: "dead guard-harem guard 1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qh", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 465, Description: "dead guard-harem guard 2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qi", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 466, Description: "dead guard-harem guard 3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qj", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 467, Description: "dead guard-harem guard 4", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qk", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 468, Description: "eunuch-harem blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 469, Description: "Dummy-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ax", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 470, Description: "manashrine-healthwell, act 2, arcane", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "au", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 471, Description: "Dummy-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "S1", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 472, Description: "Well-tombwell act 2 well, tomb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "hu", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 473, Description: "Waypoint-waypoint act2 sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qm", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 474, Description: "Waypoint-waypoint act3 travincal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ql", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 475, Description: "magic shrine-magic shrine, act 3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qn", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 476, Description: "dead body-act3, sewer", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 477, Description: "dummy-torch (act 3 sewer) stra", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V1", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 478, Description: "dummy-torch (act 3 kurast) strb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "V2", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 479, Description: "chest-mafistochestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 480, Description: "chest-mafistochestlargeright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 481, Description: "chest-mafistochestmedleft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xd", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 482, Description: "chest-mafistochestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xe", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 483, Description: "chest-spiderlairchestlargeLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 484, Description: "chest-spiderlairchesttallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xg", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 485, Description: "chest-spiderlairchestmedright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xh", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 486, Description: "chest-spiderlairchesttallright", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xi", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 487, Description: "Steeg Stone-steeg stone", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y6", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 488, Description: "Guild Vault-guild vault", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 489, Description: "Trophy Case-trophy case", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y2", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 490, Description: "Message Board-message board", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 491, Description: "Dummy-mephisto bridge", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xj", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 492, Description: "portal-hellgate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "1y", Mode: "ON", Class: "HTH", TR: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 493, Description: "Shrine-manawell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xl", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 494, Description: "Shrine-healthwell, act 3, kurast", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xm", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 495, Description: "Dummy-hellfire1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e3", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 496, Description: "Dummy-hellfire2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e4", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 497, Description: "Dummy-hellfire3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e5", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 498, Description: "Dummy-helllava1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e6", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 499, Description: "Dummy-helllava2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e7", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 500, Description: "Dummy-helllava3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "e8", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 501, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 502, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 503, Description: "Dummy-helllightsource1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 504, Description: "chest-horadric cube chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 505, Description: "chest-horadric scroll chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 506, Description: "chest-staff of kings chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 507, Description: "Tome-yet another tome", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "TT", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 508, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E1", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 509, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "E2", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 510, Description: "RockPIle-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 511, Description: "magic shrine-magic shrine, act 3,dundeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "qo", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 512, Description: "basket-dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 513, Description: "HungSkeleton-outerhell skeleton", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "jw", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 514, Description: "Dummy-guy for dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ea", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 515, Description: "casket-casket for Act 3 dungeon", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vb", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 516, Description: "sewer stairs-stairs for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ve", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 517, Description: "sewer lever-lever for act 3 sewer quest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "vf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 518, Description: "darkwanderer-start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 519, Description: "dummy-trapped soul placeholder", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 520, Description: "Dummy-torch for act3 town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "VG", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 521, Description: "chest-LargeChestR", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "L1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 522, Description: "BoneChest-innerhellbonepile", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y1", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 523, Description: "Dummy-skeleton spawn for hell facing ne", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "Qt", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 524, Description: "Dummy-fog act 3 water rfga", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ud", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 525, Description: "Dummy-Not used", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xx", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 526, Description: "Hellforge-Forge  hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ux", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 527, Description: "Guild Portal-Portal to next guild level", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "PP", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 528, Description: "Dummy-hratli start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 529, Description: "Dummy-hratli end", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 530, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "uy", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 531, Description: "TrappedSoul-Burning guy for outer hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "15", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 532, Description: "Dummy-natalya start", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 533, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "18", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 534, Description: "TrappedSoul-guy stuck in hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "19", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 535, Description: "Dummy-cain start position", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 536, Description: "Dummy-stairsr", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "sv", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 537, Description: "chest-arcanesanctuarybigchestLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y7", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 538, Description: "casket-arcanesanctuarycasket", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y8", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 539, Description: "chest-arcanesanctuarybigchestRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "y9", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 540, Description: "chest-arcanesanctuarychestsmallLeft", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ya", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 541, Description: "chest-arcanesanctuarychestsmallRight", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yc", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 542, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "30", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 543, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "31", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 544, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "32", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 545, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "33", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 546, Description: "Seal-Diablo seal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "34", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 547, Description: "chest-sparklychest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yf", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 548, Description: "Waypoint-waypoint pandamonia fortress", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yg", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 549, Description: "fissure-fissure for act 4 inner hell", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "fh", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 550, Description: "Dummy-brazier for act 4, hell mesa", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "he", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 551, Description: "Dummy-smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "35", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 552, Description: "Waypoint-waypoint valleywaypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yi", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 553, Description: "fire-hell brazier", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 554, Description: "compellingorb-compelling orb", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "55", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 555, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 556, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 557, Description: "chest-khalim chest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "xk", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 558, Description: "Dummy-fortress brazier #1", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "98", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 559, Description: "Dummy-fortress brazier #2", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "99", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 560, Description: "Siege Control-To control siege machines", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "zq", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 561, Description: "ptox-Pot O Torch (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "px", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 562, Description: "pyox-fire pit  (level 1)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "py", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 563, Description: "chestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 564, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6r", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 565, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 566, Description: "hiddenstash-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 567, Description: "flag wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ym", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 568, Description: "barrel wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yn", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 569, Description: "barrel wilderness-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 570, Description: "woodchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yp", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 571, Description: "Shrine3wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yq", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 572, Description: "manashrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yr", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 573, Description: "healthshrine-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 574, Description: "burialchestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yt", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 575, Description: "burialchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ys", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 576, Description: "well-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yv", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 577, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yw", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 578, Description: "Shrine2wilderness-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yx", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 579, Description: "Waypoint-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yy", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 580, Description: "ChestL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "yz", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 581, Description: "woodchestR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 582, Description: "ChestSL-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 583, Description: "ChestSR-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 584, Description: "etorch1-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 585, Description: "ecfra-camp fire", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2w", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 586, Description: "ettr-town torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 587, Description: "etorch2-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6e", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 588, Description: "burningbodies-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6f", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 589, Description: "burningpit-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", S3: "LIT", S4: "LIT", S5: "LIT", S6: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 590, Description: "tribal flag-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6h", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 591, Description: "eflg-town flag", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 592, Description: "chan-chandeleir", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 593, Description: "jar1-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 594, Description: "jar2-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 595, Description: "jar3-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 596, Description: "swingingheads-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6L", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 597, Description: "pole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6m", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 598, Description: "animated skulland rockpile-expansion no snow", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 599, Description: "gate-town main gate", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 600, Description: "pileofskullsandrocks-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 601, Description: "hellgate-seige", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 602, Description: "banner 1-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ao", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 603, Description: "banner 2-preset in enemy camp", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ap", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 604, Description: "explodingchest-wilderness/siege", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6t", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 605, Description: "chest-specialchest", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 606, Description: "deathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6v", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 607, Description: "Ldeathpole-wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6w", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 608, Description: "Altar-inside of temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6x", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 609, Description: "dummy-Drehya Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 610, Description: "dummy-Drehya Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 611, Description: "dummy-Nihlathak Start In Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 612, Description: "dummy-Nihlathak Start Outside Town", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 613, Description: "hidden stash-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "6y", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 614, Description: "healthshrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 615, Description: "manashrine-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 616, Description: "evilurn-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 617, Description: "icecavejar1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 618, Description: "icecavejar2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 619, Description: "icecavejar3-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 620, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 621, Description: "icecavejar4-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 622, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 623, Description: "cagedwussie1-caged fellow(A5-Prisonner)", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 624, Description: "Ancient Statue 3-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "60", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 625, Description: "Ancient Statue 1-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "61", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 626, Description: "Ancient Statue 2-statue", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "62", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 627, Description: "deadbarbarian-seige/wilderness", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 628, Description: "clientsmoke-client smoke", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "oz", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 629, Description: "icecaveshrine2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8k", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 630, Description: "icecave_torch1-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8L", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 631, Description: "icecave_torch2-icecave_", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 632, Description: "ttor-expansion tiki torch", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2p", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 633, Description: "manashrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8n", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 634, Description: "healthshrine-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8o", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 635, Description: "tomb1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8p", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 636, Description: "tomb2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8q", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 637, Description: "tomb3-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8r", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 638, Description: "magic shrine-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 639, Description: "torch1-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 640, Description: "torch2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8u", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 641, Description: "manashrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8v", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 642, Description: "healthshrine-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8w", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 643, Description: "well-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 644, Description: "Waypoint-baals_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8y", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 645, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "8z", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 646, Description: "Waypoint-wilderness_waypoint", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 647, Description: "magic shrine-snowy_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5b", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 648, Description: "well-baalslair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 649, Description: "magic shrine2-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5d", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 650, Description: "object1-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5e", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 651, Description: "woodchestL-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 652, Description: "woodchestR-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 653, Description: "magic shrine-baals_shrine3", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 654, Description: "woodchest2L-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 655, Description: "woodchest2R-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 656, Description: "swingingheads-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 657, Description: "debris-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5l", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 658, Description: "pene-Pen breakable door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 659, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 660, Description: "mrpole-snowy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5k", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 661, Description: "Waypoint-icecave ", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5a", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 662, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5t", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 663, Description: "well-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 664, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5r", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 665, Description: "torch1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5s", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 666, Description: "object1-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 667, Description: "object2-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 668, Description: "mrbox-baals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5w", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 669, Description: "well-icecave", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 670, Description: "magic shrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5y", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 671, Description: "healthshrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "5z", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 672, Description: "manashrine-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3a", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 673, Description: "red light- (touch me)  for blacksmith", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 674, Description: "tomb1L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 675, Description: "tomb2L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3c", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 676, Description: "tomb3L-baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3d", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 677, Description: "ubub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2u", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 678, Description: "sbub-Ice cave bubbles 01", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2s", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 679, Description: "tomb1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3f", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 680, Description: "tomb1L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3g", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 681, Description: "tomb2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3h", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 682, Description: "tomb2L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3i", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 683, Description: "tomb3-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3j", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 684, Description: "tomb3L-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3k", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 685, Description: "mrbox-redbaals", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3L", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 686, Description: "torch1-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3m", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 687, Description: "torch2-redbaal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3n", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 688, Description: "candles-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3o", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 689, Description: "Waypoint-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3p", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 690, Description: "deadperson-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3q", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 691, Description: "groundtomb-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3s", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 692, Description: "Dummy-Larzuk Greeting", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 693, Description: "Dummy-Larzuk Standard", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 694, Description: "groundtombL-temple", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3t", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 695, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 696, Description: "ancientsaltar-ancientsaltar", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4a", Mode: "OP", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 697, Description: "To The Worldstone Keep Level 1-ancientsdoor", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4b", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 698, Description: "eweaponrackR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3x", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 699, Description: "eweaponrackL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 700, Description: "earmorstandR-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 701, Description: "earmorstandL-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4c", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 702, Description: "torch2-summit", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9g", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 703, Description: "funeralpire-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9h", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 704, Description: "burninglogs-outside", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "9i", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 705, Description: "stma-Ice cave steam", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2o", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 706, Description: "deadperson2-everywhere", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "3v", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 707, Description: "Dummy-Baal's lair", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 708, Description: "fana-frozen anya", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "2n", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 709, Description: "BBQB-BBQ Bunny", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "29", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", S2: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 710, Description: "btor-Baal Torch Big", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "25", Mode: "NU", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 711, Description: "Dummy-invisible ancient", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 712, Description: "Dummy-invisible base", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 713, Description: "The Worldstone Chamber-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 714, Description: "Glacial Caves Level 1-summit door", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4u", Mode: "OP", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 715, Description: "strlastcinematic-last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 716, Description: "Harrogath-last last portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "pp", Mode: "NU", Class: "HTH", HD: "LIT", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 717, Description: "Zoo-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 718, Description: "Keeper-test data", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7z", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 719, Description: "Throne of Destruction-baals portal", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "4x", Mode: "ON", Class: "HTH", TR: "LIT", S1: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 720, Description: "Dummy-fire place guy", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "7y", Mode: "NU", Class: "HTH", TR: "LIT", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 721, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
	{Act: 5, Type: d2enum.ObjectTypeItem, Id: 722, Description: "Dummy-door blocker", ObjectsTxtId: -1, MonstatsTxtId: -1, Direction: -1, Base: "/Data/Global/Objects", Token: "ss", Index: -1},
}
